;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_AsyncIPipeDouble_Vtbl Extends __COM_IUnknown_Vtbl
  Begin_Pull.l
  Finish_Pull.l
  Begin_Push.l
  Finish_Push.l
EndStructure

Macro BuildCOMVTable_AsyncIPipeDouble(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, AsyncIPipeDouble)
  __COM_VTABLE_SetMethod(__Object__, AsyncIPipeDouble, Begin_Pull, 1)
  __COM_VTABLE_SetMethod(__Object__, AsyncIPipeDouble, Finish_Pull, 2)
  __COM_VTABLE_SetMethod(__Object__, AsyncIPipeDouble, Begin_Push, 2)
  __COM_VTABLE_SetMethod(__Object__, AsyncIPipeDouble, Finish_Push, 0)
  __COM_VTABLE_SetDebug(__Object__, AsyncIPipeDouble)
EndMacro

DefineGUID(IID_AsyncIPipeDouble, $DB2F3ACF, $2F86, $11D1, $8E, $04, $00, $C0, $4F, $B9, $98, $9A)
