;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAMPlayList_Vtbl Extends __COM_IUnknown_Vtbl
  GetFlags.l
  GetItemCount.l
  GetItem.l
  GetNamedEvent.l
  GetRepeatInfo.l
EndStructure

Macro BuildCOMVTable_IAMPlayList(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAMPlayList)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayList, GetFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayList, GetItemCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayList, GetItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayList, GetNamedEvent, 4)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayList, GetRepeatInfo, 3)
  __COM_VTABLE_SetDebug(__Object__, IAMPlayList)
EndMacro

DefineGUID(IID_IAMPlayList, $56A868FE, $0AD4, $11CE, $B0, $A3, $00, $20, $AF, $0B, $A7, $70)
