;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAccessible_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_accParent.l
  get_accChildCount.l
  get_accChild.l
  get_accName.l
  get_accValue.l
  get_accDescription.l
  get_accRole.l
  get_accState.l
  get_accHelp.l
  get_accHelpTopic.l
  get_accKeyboardShortcut.l
  get_accFocus.l
  get_accSelection.l
  get_accDefaultAction.l
  accSelect.l
  accLocation.l
  accNavigate.l
  accHitTest.l
  accDoDefaultAction.l
  put_accName.l
  put_accValue.l
EndStructure

Macro BuildCOMVTable_IAccessible(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAccessible)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accParent, 1)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accChildCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accName, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accValue, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accDescription, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accRole, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accState, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accHelp, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accHelpTopic, 3)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accKeyboardShortcut, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accFocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accSelection, 1)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, get_accDefaultAction, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, accSelect, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, accLocation, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, accNavigate, 3)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, accHitTest, 3)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, accDoDefaultAction, 1)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, put_accName, 2)
  __COM_VTABLE_SetMethod(__Object__, IAccessible, put_accValue, 2)
  __COM_VTABLE_SetDebug(__Object__, IAccessible)
EndMacro

DefineGUID(IID_IAccessible, $618736E0, $3C3D, $11CF, $81, $0C, $00, $AA, $00, $38, $9B, $71)
