;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IActiveDesktop_Vtbl Extends __COM_IUnknown_Vtbl
  ApplyChanges.l
  GetWallpaper.l
  SetWallpaper.l
  GetWallpaperOptions.l
  SetWallpaperOptions.l
  GetPattern.l
  SetPattern.l
  GetDesktopItemOptions.l
  SetDesktopItemOptions.l
  AddDesktopItem.l
  AddDesktopItemWithUI.l
  ModifyDesktopItem.l
  RemoveDesktopItem.l
  GetDesktopItemCount.l
  GetDesktopItem.l
  GetDesktopItemByID.l
  GenerateDesktopItemHtml.l
  AddUrl.l
  GetDesktopItemBySource.l
EndStructure

Macro BuildCOMVTable_IActiveDesktop(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IActiveDesktop)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, ApplyChanges, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetWallpaper, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, SetWallpaper, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetWallpaperOptions, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, SetWallpaperOptions, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetPattern, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, SetPattern, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetDesktopItemOptions, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, SetDesktopItemOptions, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, AddDesktopItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, AddDesktopItemWithUI, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, ModifyDesktopItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, RemoveDesktopItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetDesktopItemCount, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetDesktopItem, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetDesktopItemByID, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GenerateDesktopItemHtml, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, AddUrl, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveDesktop, GetDesktopItemBySource, 3)
  __COM_VTABLE_SetDebug(__Object__, IActiveDesktop)
EndMacro

DefineGUID(IID_IActiveDesktop, $F490EB00, $1240, $11D1, $98, $88, $00, $60, $97, $DE, $AC, $F9)
