;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IActiveIME_Vtbl Extends __COM_IUnknown_Vtbl
  Inquire.l
  ConversionList.l
  Configure.l
  Destroy.l
  Escape.l
  SetActiveContext.l
  ProcessKey.l
  Notify.l
  Select.l
  SetCompositionString.l
  ToAsciiEx.l
  RegisterWord.l
  UnregisterWord.l
  GetRegisterWordStyle.l
  EnumRegisterWord.l
  GetCodePageA.l
  GetLangId.l
EndStructure

Macro BuildCOMVTable_IActiveIME(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IActiveIME)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, Inquire, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, ConversionList, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, Configure, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, Destroy, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, Escape, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, SetActiveContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, ProcessKey, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, Notify, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, Select, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, SetCompositionString, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, ToAsciiEx, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, RegisterWord, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, UnregisterWord, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, GetRegisterWordStyle, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, EnumRegisterWord, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, GetCodePageA, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME, GetLangId, 1)
  __COM_VTABLE_SetDebug(__Object__, IActiveIME)
EndMacro

DefineGUID(IID_IActiveIME, $6FE20962, $D077, $11D0, $8F, $E7, $00, $AA, $00, $6B, $CC, $59)
