;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IActiveIMMIME_Vtbl Extends __COM_IUnknown_Vtbl
  AssociateContext.l
  ConfigureIMEA.l
  ConfigureIMEW.l
  CreateContext.l
  DestroyContext.l
  EnumRegisterWordA.l
  EnumRegisterWordW.l
  EscapeA.l
  EscapeW.l
  GetCandidateListA.l
  GetCandidateListW.l
  GetCandidateListCountA.l
  GetCandidateListCountW.l
  GetCandidateWindow.l
  GetCompositionFontA.l
  GetCompositionFontW.l
  GetCompositionStringA.l
  GetCompositionStringW.l
  GetCompositionWindow.l
  GetContext.l
  GetConversionListA.l
  GetConversionListW.l
  GetConversionStatus.l
  GetDefaultIMEWnd.l
  GetDescriptionA.l
  GetDescriptionW.l
  GetGuideLineA.l
  GetGuideLineW.l
  GetIMEFileNameA.l
  GetIMEFileNameW.l
  GetOpenStatus.l
  GetProperty.l
  GetRegisterWordStyleA.l
  GetRegisterWordStyleW.l
  GetStatusWindowPos.l
  GetVirtualKey.l
  InstallIMEA.l
  InstallIMEW.l
  IsIME.l
  IsUIMessageA.l
  IsUIMessageW.l
  NotifyIME.l
  RegisterWordA.l
  RegisterWordW.l
  ReleaseContext.l
  SetCandidateWindow.l
  SetCompositionFontA.l
  SetCompositionFontW.l
  SetCompositionStringA.l
  SetCompositionStringW.l
  SetCompositionWindow.l
  SetConversionStatus.l
  SetOpenStatus.l
  SetStatusWindowPos.l
  SimulateHotKey.l
  UnregisterWordA.l
  UnregisterWordW.l
  GenerateMessage.l
  LockIMC.l
  UnlockIMC.l
  GetIMCLockCount.l
  CreateIMCC.l
  DestroyIMCC.l
  LockIMCC.l
  UnlockIMCC.l
  ReSizeIMCC.l
  GetIMCCSize.l
  GetIMCCLockCount.l
  GetHotKey.l
  SetHotKey.l
  CreateSoftKeyboard.l
  DestroySoftKeyboard.l
  ShowSoftKeyboard.l
  GetCodePageA.l
  GetLangId.l
  KeybdEvent.l
  LockModal.l
  UnlockModal.l
  AssociateContextEx.l
  DisableIME.l
  GetImeMenuItemsA.l
  GetImeMenuItemsW.l
  EnumInputContext.l
  RequestMessageA.l
  RequestMessageW.l
  SendIMCA.l
  SendIMCW.l
  IsSleeping.l
EndStructure

Macro BuildCOMVTable_IActiveIMMIME(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IActiveIMMIME)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, AssociateContext, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, ConfigureIMEA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, ConfigureIMEW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, CreateContext, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, DestroyContext, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, EnumRegisterWordA, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, EnumRegisterWordW, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, EscapeA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, EscapeW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCandidateListA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCandidateListW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCandidateListCountA, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCandidateListCountW, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCandidateWindow, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCompositionFontA, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCompositionFontW, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCompositionStringA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCompositionStringW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCompositionWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetConversionListA, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetConversionListW, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetConversionStatus, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetDefaultIMEWnd, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetDescriptionA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetDescriptionW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetGuideLineA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetGuideLineW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetIMEFileNameA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetIMEFileNameW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetOpenStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetProperty, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetRegisterWordStyleA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetRegisterWordStyleW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetStatusWindowPos, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetVirtualKey, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, InstallIMEA, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, InstallIMEW, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, IsIME, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, IsUIMessageA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, IsUIMessageW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, NotifyIME, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, RegisterWordA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, RegisterWordW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, ReleaseContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetCandidateWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetCompositionFontA, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetCompositionFontW, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetCompositionStringA, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetCompositionStringW, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetCompositionWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetConversionStatus, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetOpenStatus, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetStatusWindowPos, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SimulateHotKey, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, UnregisterWordA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, UnregisterWordW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GenerateMessage, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, LockIMC, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, UnlockIMC, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetIMCLockCount, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, CreateIMCC, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, DestroyIMCC, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, LockIMCC, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, UnlockIMCC, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, ReSizeIMCC, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetIMCCSize, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetIMCCLockCount, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetHotKey, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SetHotKey, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, CreateSoftKeyboard, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, DestroySoftKeyboard, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, ShowSoftKeyboard, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetCodePageA, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetLangId, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, KeybdEvent, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, LockModal, 0)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, UnlockModal, 0)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, AssociateContextEx, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, DisableIME, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetImeMenuItemsA, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, GetImeMenuItemsW, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, EnumInputContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, RequestMessageA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, RequestMessageW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SendIMCA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, SendIMCW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMIME, IsSleeping, 0)
  __COM_VTABLE_SetDebug(__Object__, IActiveIMMIME)
EndMacro

DefineGUID(IID_IActiveIMMIME, $08C03411, $F96B, $11D0, $A4, $75, $00, $AA, $00, $6B, $CC, $59)
