;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAsyncManager_Vtbl Extends __COM_IUnknown_Vtbl
  CompleteCall.l
  GetCallContext.l
  GetState.l
EndStructure

Macro BuildCOMVTable_IAsyncManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAsyncManager)
  __COM_VTABLE_SetMethod(__Object__, IAsyncManager, CompleteCall, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncManager, GetCallContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IAsyncManager, GetState, 1)
  __COM_VTABLE_SetDebug(__Object__, IAsyncManager)
EndMacro

DefineGUID(IID_IAsyncManager, $0000002A, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
