;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAsyncRpcChannelBuffer_Vtbl Extends __COM_IUnknown_Vtbl
  GetBuffer.l
  SendReceive.l
  FreeBuffer.l
  GetDestCtx.l
  IsConnected.l
  GetProtocolVersion.l
  Send.l
  Receive.l
  GetDestCtxEx.l
EndStructure

Macro BuildCOMVTable_IAsyncRpcChannelBuffer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAsyncRpcChannelBuffer)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, GetBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, SendReceive, 2)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, FreeBuffer, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, GetDestCtx, 2)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, IsConnected, 0)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, GetProtocolVersion, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, Send, 3)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, Receive, 2)
  __COM_VTABLE_SetMethod(__Object__, IAsyncRpcChannelBuffer, GetDestCtxEx, 3)
  __COM_VTABLE_SetDebug(__Object__, IAsyncRpcChannelBuffer)
EndMacro

DefineGUID(IID_IAsyncRpcChannelBuffer, $A5029FB6, $3C34, $11D1, $9C, $99, $00, $C0, $4F, $B9, $98, $AA)
