;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IBandSite_Vtbl Extends __COM_IUnknown_Vtbl
  AddBand.l
  EnumBands.l
  QueryBand.l
  SetBandState.l
  RemoveBand.l
  GetBandObject.l
  SetBandSiteInfo.l
  GetBandSiteInfo.l
EndStructure

Macro BuildCOMVTable_IBandSite(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IBandSite)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, AddBand, 1)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, EnumBands, 2)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, QueryBand, 5)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, SetBandState, 3)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, RemoveBand, 1)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, GetBandObject, 3)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, SetBandSiteInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IBandSite, GetBandSiteInfo, 1)
  __COM_VTABLE_SetDebug(__Object__, IBandSite)
EndMacro

DefineGUID(IID_IBandSite, $4CF504B0, $DE96, $11D0, $8B, $3F, $00, $A0, $C9, $11, $E8, $E5)
