;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IBindCtx_Vtbl Extends __COM_IUnknown_Vtbl
  RegisterObjectBound.l
  RevokeObjectBound.l
  ReleaseBoundObjects.l
  SetBindOptions.l
  GetBindOptions.l
  GetRunningObjectTable.l
  RegisterObjectParam.l
  GetObjectParam.l
  EnumObjectParam.l
  RevokeObjectParam.l
EndStructure

Macro BuildCOMVTable_IBindCtx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IBindCtx)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, RegisterObjectBound, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, RevokeObjectBound, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, ReleaseBoundObjects, 0)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, SetBindOptions, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, GetBindOptions, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, GetRunningObjectTable, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, RegisterObjectParam, 2)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, GetObjectParam, 2)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, EnumObjectParam, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindCtx, RevokeObjectParam, 1)
  __COM_VTABLE_SetDebug(__Object__, IBindCtx)
EndMacro

DefineGUID(IID_IBindCtx, $0000000E, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
