;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IBindHost_Vtbl Extends __COM_IUnknown_Vtbl
  CreateMoniker.l
  MonikerBindToStorage.l
  MonikerBindToObject.l
EndStructure

Macro BuildCOMVTable_IBindHost(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IBindHost)
  __COM_VTABLE_SetMethod(__Object__, IBindHost, CreateMoniker, 4)
  __COM_VTABLE_SetMethod(__Object__, IBindHost, MonikerBindToStorage, 5)
  __COM_VTABLE_SetMethod(__Object__, IBindHost, MonikerBindToObject, 5)
  __COM_VTABLE_SetDebug(__Object__, IBindHost)
EndMacro

DefineGUID(IID_IBindHost, $FC4801A1, $2BA9, $11CF, $A2, $29, $00, $AA, $00, $3D, $73, $52)
