;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IBindStatusCallback_Vtbl Extends __COM_IUnknown_Vtbl
  OnStartBinding.l
  GetPriority.l
  OnLowResource.l
  OnProgress.l
  OnStopBinding.l
  GetBindInfo.l
  OnDataAvailable.l
  OnObjectAvailable.l
EndStructure

Macro BuildCOMVTable_IBindStatusCallback(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IBindStatusCallback)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, OnStartBinding, 2)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, GetPriority, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, OnLowResource, 1)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, OnProgress, 4)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, OnStopBinding, 2)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, GetBindInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, OnDataAvailable, 4)
  __COM_VTABLE_SetMethod(__Object__, IBindStatusCallback, OnObjectAvailable, 2)
  __COM_VTABLE_SetDebug(__Object__, IBindStatusCallback)
EndMacro

DefineGUID(IID_IBindStatusCallback, $79EAC9C1, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
