;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IBlockingLock_Vtbl Extends __COM_IUnknown_Vtbl
  Lock.l
  Unlock.l
EndStructure

Macro BuildCOMVTable_IBlockingLock(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IBlockingLock)
  __COM_VTABLE_SetMethod(__Object__, IBlockingLock, Lock, 1)
  __COM_VTABLE_SetMethod(__Object__, IBlockingLock, Unlock, 0)
  __COM_VTABLE_SetDebug(__Object__, IBlockingLock)
EndMacro

DefineGUID(IID_IBlockingLock, $30F3D47A, $6447, $11D1, $8E, $3C, $00, $C0, $4F, $B9, $38, $6D)
