;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICDBurn_Vtbl Extends __COM_IUnknown_Vtbl
  GetRecorderDriveLetter.l
  Burn.l
  HasRecordableDrive.l
EndStructure

Macro BuildCOMVTable_ICDBurn(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICDBurn)
  __COM_VTABLE_SetMethod(__Object__, ICDBurn, GetRecorderDriveLetter, 2)
  __COM_VTABLE_SetMethod(__Object__, ICDBurn, Burn, 1)
  __COM_VTABLE_SetMethod(__Object__, ICDBurn, HasRecordableDrive, 1)
  __COM_VTABLE_SetDebug(__Object__, ICDBurn)
EndMacro

DefineGUID(IID_ICDBurn, $3D73A659, $E5D0, $4D42, $AF, $C0, $51, $21, $BA, $42, $5C, $8D)
