;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICatInformation_Vtbl Extends __COM_IUnknown_Vtbl
  EnumCategories.l
  GetCategoryDesc.l
  EnumClassesOfCategories.l
  IsClassOfCategories.l
  EnumImplCategoriesOfClass.l
  EnumReqCategoriesOfClass.l
EndStructure

Macro BuildCOMVTable_ICatInformation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICatInformation)
  __COM_VTABLE_SetMethod(__Object__, ICatInformation, EnumCategories, 2)
  __COM_VTABLE_SetMethod(__Object__, ICatInformation, GetCategoryDesc, 3)
  __COM_VTABLE_SetMethod(__Object__, ICatInformation, EnumClassesOfCategories, 5)
  __COM_VTABLE_SetMethod(__Object__, ICatInformation, IsClassOfCategories, 5)
  __COM_VTABLE_SetMethod(__Object__, ICatInformation, EnumImplCategoriesOfClass, 2)
  __COM_VTABLE_SetMethod(__Object__, ICatInformation, EnumReqCategoriesOfClass, 2)
  __COM_VTABLE_SetDebug(__Object__, ICatInformation)
EndMacro

DefineGUID(IID_ICatInformation, $0002E013, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
