;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICatRegister_Vtbl Extends __COM_IUnknown_Vtbl
  RegisterCategories.l
  UnRegisterCategories.l
  RegisterClassImplCategories.l
  UnRegisterClassImplCategories.l
  RegisterClassReqCategories.l
  UnRegisterClassReqCategories.l
EndStructure

Macro BuildCOMVTable_ICatRegister(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICatRegister)
  __COM_VTABLE_SetMethod(__Object__, ICatRegister, RegisterCategories, 2)
  __COM_VTABLE_SetMethod(__Object__, ICatRegister, UnRegisterCategories, 2)
  __COM_VTABLE_SetMethod(__Object__, ICatRegister, RegisterClassImplCategories, 3)
  __COM_VTABLE_SetMethod(__Object__, ICatRegister, UnRegisterClassImplCategories, 3)
  __COM_VTABLE_SetMethod(__Object__, ICatRegister, RegisterClassReqCategories, 3)
  __COM_VTABLE_SetMethod(__Object__, ICatRegister, UnRegisterClassReqCategories, 3)
  __COM_VTABLE_SetDebug(__Object__, ICatRegister)
EndMacro

DefineGUID(IID_ICatRegister, $0002E012, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
