;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICategorizer_Vtbl Extends __COM_IUnknown_Vtbl
  GetDescription.l
  GetCategory.l
  GetCategoryInfo.l
  CompareCategory.l
EndStructure

Macro BuildCOMVTable_ICategorizer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICategorizer)
  __COM_VTABLE_SetMethod(__Object__, ICategorizer, GetDescription, 2)
  __COM_VTABLE_SetMethod(__Object__, ICategorizer, GetCategory, 3)
  __COM_VTABLE_SetMethod(__Object__, ICategorizer, GetCategoryInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ICategorizer, CompareCategory, 3)
  __COM_VTABLE_SetDebug(__Object__, ICategorizer)
EndMacro

DefineGUID(IID_ICategorizer, $A3B14589, $9174, $49A8, $89, $A3, $06, $A1, $AE, $2B, $9B, $A7)
