;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICategoryProvider_Vtbl Extends __COM_IUnknown_Vtbl
  CanCategorizeOnSCID.l
  GetDefaultCategory.l
  GetCategoryForSCID.l
  EnumCategories.l
  GetCategoryName.l
  CreateCategory.l
EndStructure

Macro BuildCOMVTable_ICategoryProvider(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICategoryProvider)
  __COM_VTABLE_SetMethod(__Object__, ICategoryProvider, CanCategorizeOnSCID, 1)
  __COM_VTABLE_SetMethod(__Object__, ICategoryProvider, GetDefaultCategory, 2)
  __COM_VTABLE_SetMethod(__Object__, ICategoryProvider, GetCategoryForSCID, 2)
  __COM_VTABLE_SetMethod(__Object__, ICategoryProvider, EnumCategories, 1)
  __COM_VTABLE_SetMethod(__Object__, ICategoryProvider, GetCategoryName, 3)
  __COM_VTABLE_SetMethod(__Object__, ICategoryProvider, CreateCategory, 3)
  __COM_VTABLE_SetDebug(__Object__, ICategoryProvider)
EndMacro

DefineGUID(IID_ICategoryProvider, $9AF64809, $5864, $4C26, $A7, $20, $C1, $F7, $8C, $08, $6E, $E3)
