;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IChannelHook_Vtbl Extends __COM_IUnknown_Vtbl
  ClientGetSize.l
  ClientFillBuffer.l
  ClientNotify.l
  ServerNotify.l
  ServerGetSize.l
  ServerFillBuffer.l
EndStructure

Macro BuildCOMVTable_IChannelHook(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IChannelHook)
  __COM_VTABLE_SetMethod(__Object__, IChannelHook, ClientGetSize, 3)
  __COM_VTABLE_SetMethod(__Object__, IChannelHook, ClientFillBuffer, 4)
  __COM_VTABLE_SetMethod(__Object__, IChannelHook, ClientNotify, 6)
  __COM_VTABLE_SetMethod(__Object__, IChannelHook, ServerNotify, 5)
  __COM_VTABLE_SetMethod(__Object__, IChannelHook, ServerGetSize, 4)
  __COM_VTABLE_SetMethod(__Object__, IChannelHook, ServerFillBuffer, 5)
  __COM_VTABLE_SetDebug(__Object__, IChannelHook)
EndMacro

DefineGUID(IID_IChannelHook, $1008C4A0, $7613, $11CF, $9A, $F1, $00, $20, $AF, $6E, $72, $F4)
