;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IClassFactory_Vtbl Extends __COM_IUnknown_Vtbl
  CreateInstance.l
  LockServer.l
EndStructure

Macro BuildCOMVTable_IClassFactory(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IClassFactory)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory, CreateInstance, 3)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory, LockServer, 1)
  __COM_VTABLE_SetDebug(__Object__, IClassFactory)
EndMacro

DefineGUID(IID_IClassFactory, $00000001, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
