;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IClassFactory2_Vtbl Extends __COM_IUnknown_Vtbl
  CreateInstance.l
  LockServer.l
  GetLicInfo.l
  RequestLicKey.l
  CreateInstanceLic.l
EndStructure

Macro BuildCOMVTable_IClassFactory2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IClassFactory2)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory2, CreateInstance, 3)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory2, LockServer, 1)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory2, GetLicInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory2, RequestLicKey, 2)
  __COM_VTABLE_SetMethod(__Object__, IClassFactory2, CreateInstanceLic, 5)
  __COM_VTABLE_SetDebug(__Object__, IClassFactory2)
EndMacro

DefineGUID(IID_IClassFactory2, $B196B28F, $BAB4, $101A, $B6, $9C, $00, $AA, $00, $34, $1D, $07)
