;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IClassFactoryEx_Vtbl Extends __COM_IUnknown_Vtbl
  CreateInstance.l
  LockServer.l
  CreateInstanceWithContext.l
EndStructure

Macro BuildCOMVTable_IClassFactoryEx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IClassFactoryEx)
  __COM_VTABLE_SetMethod(__Object__, IClassFactoryEx, CreateInstance, 3)
  __COM_VTABLE_SetMethod(__Object__, IClassFactoryEx, LockServer, 1)
  __COM_VTABLE_SetMethod(__Object__, IClassFactoryEx, CreateInstanceWithContext, 4)
  __COM_VTABLE_SetDebug(__Object__, IClassFactoryEx)
EndMacro

DefineGUID(IID_IClassFactoryEx, $342D1EA0, $AE25, $11D1, $89, $C5, $00, $60, $08, $C3, $FB, $FC)
