;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IComThreadingInfo_Vtbl Extends __COM_IUnknown_Vtbl
  GetCurrentApartmentType.l
  GetCurrentThreadType.l
  GetCurrentLogicalThreadId.l
  SetCurrentLogicalThreadId.l
EndStructure

Macro BuildCOMVTable_IComThreadingInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IComThreadingInfo)
  __COM_VTABLE_SetMethod(__Object__, IComThreadingInfo, GetCurrentApartmentType, 1)
  __COM_VTABLE_SetMethod(__Object__, IComThreadingInfo, GetCurrentThreadType, 1)
  __COM_VTABLE_SetMethod(__Object__, IComThreadingInfo, GetCurrentLogicalThreadId, 1)
  __COM_VTABLE_SetMethod(__Object__, IComThreadingInfo, SetCurrentLogicalThreadId, 1)
  __COM_VTABLE_SetDebug(__Object__, IComThreadingInfo)
EndMacro

DefineGUID(IID_IComThreadingInfo, $000001CE, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
