;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICreateTypeInfo_Vtbl Extends __COM_IUnknown_Vtbl
  SetGuid.l
  SetTypeFlags.l
  SetDocString.l
  SetHelpContext.l
  SetVersion.l
  AddRefTypeInfo.l
  AddFuncDesc.l
  AddImplType.l
  SetImplTypeFlags.l
  SetAlignment.l
  SetSchema.l
  AddVarDesc.l
  SetFuncAndParamNames.l
  SetVarName.l
  SetTypeDescAlias.l
  DefineFuncAsDllEntry.l
  SetFuncDocString.l
  SetVarDocString.l
  SetFuncHelpContext.l
  SetVarHelpContext.l
  SetMops.l
  SetTypeIdldesc.l
  LayOut.l
EndStructure

Macro BuildCOMVTable_ICreateTypeInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICreateTypeInfo)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetGuid, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetTypeFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetDocString, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetHelpContext, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetVersion, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, AddRefTypeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, AddFuncDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, AddImplType, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetImplTypeFlags, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetAlignment, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetSchema, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, AddVarDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetFuncAndParamNames, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetVarName, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetTypeDescAlias, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, DefineFuncAsDllEntry, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetFuncDocString, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetVarDocString, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetFuncHelpContext, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetVarHelpContext, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetMops, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, SetTypeIdldesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo, LayOut, 0)
  __COM_VTABLE_SetDebug(__Object__, ICreateTypeInfo)
EndMacro

DefineGUID(IID_ICreateTypeInfo, $00020405, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
