;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICreateTypeInfo2_Vtbl Extends __COM_IUnknown_Vtbl
  SetGuid.l
  SetTypeFlags.l
  SetDocString.l
  SetHelpContext.l
  SetVersion.l
  AddRefTypeInfo.l
  AddFuncDesc.l
  AddImplType.l
  SetImplTypeFlags.l
  SetAlignment.l
  SetSchema.l
  AddVarDesc.l
  SetFuncAndParamNames.l
  SetVarName.l
  SetTypeDescAlias.l
  DefineFuncAsDllEntry.l
  SetFuncDocString.l
  SetVarDocString.l
  SetFuncHelpContext.l
  SetVarHelpContext.l
  SetMops.l
  SetTypeIdldesc.l
  LayOut.l
  DeleteFuncDesc.l
  DeleteFuncDescByMemId.l
  DeleteVarDesc.l
  DeleteVarDescByMemId.l
  DeleteImplType.l
  SetCustData.l
  SetFuncCustData.l
  SetParamCustData.l
  SetVarCustData.l
  SetImplTypeCustData.l
  SetHelpStringContext.l
  SetFuncHelpStringContext.l
  SetVarHelpStringContext.l
  Invalidate.l
  SetName.l
EndStructure

Macro BuildCOMVTable_ICreateTypeInfo2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICreateTypeInfo2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetGuid, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetTypeFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetDocString, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetHelpContext, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetVersion, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, AddRefTypeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, AddFuncDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, AddImplType, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetImplTypeFlags, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetAlignment, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetSchema, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, AddVarDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetFuncAndParamNames, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetVarName, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetTypeDescAlias, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, DefineFuncAsDllEntry, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetFuncDocString, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetVarDocString, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetFuncHelpContext, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetVarHelpContext, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetMops, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetTypeIdldesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, LayOut, 0)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, DeleteFuncDesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, DeleteFuncDescByMemId, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, DeleteVarDesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, DeleteVarDescByMemId, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, DeleteImplType, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetCustData, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetFuncCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetParamCustData, 4)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetVarCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetImplTypeCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetHelpStringContext, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetFuncHelpStringContext, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetVarHelpStringContext, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, Invalidate, 0)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeInfo2, SetName, 1)
  __COM_VTABLE_SetDebug(__Object__, ICreateTypeInfo2)
EndMacro

DefineGUID(IID_ICreateTypeInfo2, $0002040E, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
