;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICreateTypeLib_Vtbl Extends __COM_IUnknown_Vtbl
  CreateTypeInfo.l
  SetName.l
  SetVersion.l
  SetGuid.l
  SetDocString.l
  SetHelpFileName.l
  SetHelpContext.l
  SetLcid.l
  SetLibFlags.l
  SaveAllChanges.l
EndStructure

Macro BuildCOMVTable_ICreateTypeLib(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICreateTypeLib)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, CreateTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetName, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetVersion, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetGuid, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetDocString, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetHelpFileName, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetHelpContext, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetLcid, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SetLibFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib, SaveAllChanges, 0)
  __COM_VTABLE_SetDebug(__Object__, ICreateTypeLib)
EndMacro

DefineGUID(IID_ICreateTypeLib, $00020406, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
