;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXARGBReadPtr_Vtbl Extends __COM_IUnknown_Vtbl
  GetSurface.l
  GetNativeType.l
  Move.l
  MoveToRow.l
  MoveToXY.l
  MoveAndGetRunInfo.l
  Unpack.l
  UnpackPremult.l
  UnpackRect.l
EndStructure

Macro BuildCOMVTable_IDXARGBReadPtr(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXARGBReadPtr)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, GetSurface, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, GetNativeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, Move, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, MoveToRow, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, MoveToXY, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, MoveAndGetRunInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, Unpack, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, UnpackPremult, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadPtr, UnpackRect, 1)
  __COM_VTABLE_SetDebug(__Object__, IDXARGBReadPtr)
EndMacro

DefineGUID(IID_IDXARGBReadPtr, $EAAAC2D6, $C290, $11D1, $90, $5D, $00, $C0, $4F, $D9, $18, $9D)
