;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXLookupTable_Vtbl Extends __COM_IUnknown_Vtbl
  GetGenerationId.l
  IncrementGenerationId.l
  GetObjectSize.l
  GetTables.l
  IsChannelIdentity.l
  GetIndexValues.l
  ApplyTables.l
EndStructure

Macro BuildCOMVTable_IDXLookupTable(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXLookupTable)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, GetGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, IncrementGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, GetObjectSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, GetTables, 4)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, IsChannelIdentity, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, GetIndexValues, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXLookupTable, ApplyTables, 2)
  __COM_VTABLE_SetDebug(__Object__, IDXLookupTable)
EndMacro

DefineGUID(IID_IDXLookupTable, $01BAFC7F, $9E63, $11D1, $90, $53, $00, $C0, $4F, $D9, $18, $9D)
