;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXSurface_Vtbl Extends __COM_IUnknown_Vtbl
  GetGenerationId.l
  IncrementGenerationId.l
  GetObjectSize.l
  GetPixelFormat.l
  GetBounds.l
  GetStatusFlags.l
  SetStatusFlags.l
  LockSurface.l
  GetDirectDrawSurface.l
  GetColorKey.l
  SetColorKey.l
  LockSurfaceDC.l
  SetAppData.l
  GetAppData.l
EndStructure

Macro BuildCOMVTable_IDXSurface(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXSurface)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, IncrementGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetObjectSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetPixelFormat, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetBounds, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetStatusFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, SetStatusFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, LockSurface, 6)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetDirectDrawSurface, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetColorKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, SetColorKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, LockSurfaceDC, 4)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, SetAppData, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXSurface, GetAppData, 1)
  __COM_VTABLE_SetDebug(__Object__, IDXSurface)
EndMacro

DefineGUID(IID_IDXSurface, $B39FD73F, $E139, $11D1, $90, $65, $00, $C0, $4F, $D9, $18, $9D)
