;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDataObject_Vtbl Extends __COM_IUnknown_Vtbl
  GetData.l
  GetDataHere.l
  QueryGetData.l
  GetCanonicalFormatEtc.l
  SetData.l
  EnumFormatEtc.l
  DAdvise.l
  DUnadvise.l
  EnumDAdvise.l
EndStructure

Macro BuildCOMVTable_IDataObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDataObject)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, GetData, 2)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, GetDataHere, 2)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, QueryGetData, 1)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, GetCanonicalFormatEtc, 2)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, SetData, 3)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, EnumFormatEtc, 2)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, DAdvise, 4)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, DUnadvise, 1)
  __COM_VTABLE_SetMethod(__Object__, IDataObject, EnumDAdvise, 1)
  __COM_VTABLE_SetDebug(__Object__, IDataObject)
EndMacro

DefineGUID(IID_IDataObject, $0000010E, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
