;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDelaydC_Vtbl Extends __COM_IUnknown_Vtbl
  Connect.l
  Disconnect.l
  QueryStatus.l
  Configure.l
  Start.l
  Pause.l
  Resume.l
  Stop.l
  GetControlState.l
  GetTotalStatistics.l
  GetConversationStatistics.l
  InsertSpecialFrame.l
  QueryStations.l
EndStructure

Macro BuildCOMVTable_IDelaydC(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDelaydC)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Connect, 4)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Disconnect, 0)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, QueryStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Configure, 2)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Start, 1)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Pause, 0)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Resume, 0)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, Stop, 1)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, GetControlState, 2)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, GetTotalStatistics, 2)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, GetConversationStatistics, 5)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, InsertSpecialFrame, 4)
  __COM_VTABLE_SetMethod(__Object__, IDelaydC, QueryStations, 1)
  __COM_VTABLE_SetDebug(__Object__, IDelaydC)
EndMacro

DefineGUID(IID_IDelaydC, $BFF9C030, $B58F, $11CE, $B5, $B0, $00, $AA, $00, $6C, $B3, $7D)
