;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDispError_Vtbl Extends __COM_IUnknown_Vtbl
  QueryErrorInfo.l
  GetNext.l
  GetHresult.l
  GetSource.l
  GetHelpInfo.l
  GetDescription.l
EndStructure

Macro BuildCOMVTable_IDispError(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDispError)
  __COM_VTABLE_SetMethod(__Object__, IDispError, QueryErrorInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, IDispError, GetNext, 1)
  __COM_VTABLE_SetMethod(__Object__, IDispError, GetHresult, 1)
  __COM_VTABLE_SetMethod(__Object__, IDispError, GetSource, 1)
  __COM_VTABLE_SetMethod(__Object__, IDispError, GetHelpInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, IDispError, GetDescription, 1)
  __COM_VTABLE_SetDebug(__Object__, IDispError)
EndMacro

DefineGUID(IID_IDispError, $A6EF9861, $C720, $11D0, $93, $37, $00, $A0, $C9, $0D, $CA, $A9)
