;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDispatch_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
EndStructure

Macro BuildCOMVTable_IDispatch(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDispatch)
  __COM_VTABLE_SetMethod(__Object__, IDispatch, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IDispatch, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IDispatch, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IDispatch, Invoke, 8)
  __COM_VTABLE_SetDebug(__Object__, IDispatch)
EndMacro

DefineGUID(IID_IDispatch, $00020400, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
