;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDispatchEx_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  GetDispID.l
  InvokeEx.l
  DeleteMemberByName.l
  DeleteMemberByDispID.l
  GetMemberProperties.l
  GetMemberName.l
  GetNextDispID.l
  GetNameSpaceParent.l
EndStructure

Macro BuildCOMVTable_IDispatchEx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDispatchEx)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetDispID, 3)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, InvokeEx, 7)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, DeleteMemberByName, 2)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, DeleteMemberByDispID, 1)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetMemberProperties, 3)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetMemberName, 2)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetNextDispID, 3)
  __COM_VTABLE_SetMethod(__Object__, IDispatchEx, GetNameSpaceParent, 1)
  __COM_VTABLE_SetDebug(__Object__, IDispatchEx)
EndMacro

DefineGUID(IID_IDispatchEx, $A6EF9860, $C720, $11D0, $93, $37, $00, $A0, $C9, $0D, $CA, $A9)
