;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDocHostUIHandler_Vtbl Extends __COM_IUnknown_Vtbl
  ShowContextMenu.l
  GetHostInfo.l
  ShowUI.l
  HideUI.l
  UpdateUI.l
  EnableModeless.l
  OnDocWindowActivate.l
  OnFrameWindowActivate.l
  ResizeBorder.l
  TranslateAccelerator.l
  GetOptionKeyPath.l
  GetDropTarget.l
  GetExternal.l
  TranslateUrl.l
  FilterDataObject.l
EndStructure

Macro BuildCOMVTable_IDocHostUIHandler(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDocHostUIHandler)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, ShowContextMenu, 4)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, GetHostInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, ShowUI, 5)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, HideUI, 0)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, UpdateUI, 0)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, EnableModeless, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, OnDocWindowActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, OnFrameWindowActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, ResizeBorder, 3)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, TranslateAccelerator, 3)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, GetOptionKeyPath, 2)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, GetDropTarget, 2)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, GetExternal, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, TranslateUrl, 3)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler, FilterDataObject, 2)
  __COM_VTABLE_SetDebug(__Object__, IDocHostUIHandler)
EndMacro

DefineGUID(IID_IDocHostUIHandler, $BD3F23C0, $D43E, $11CF, $89, $3B, $00, $AA, $00, $BD, $CE, $1A)
