;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDocHostUIHandler2_Vtbl Extends __COM_IUnknown_Vtbl
  ShowContextMenu.l
  GetHostInfo.l
  ShowUI.l
  HideUI.l
  UpdateUI.l
  EnableModeless.l
  OnDocWindowActivate.l
  OnFrameWindowActivate.l
  ResizeBorder.l
  TranslateAccelerator.l
  GetOptionKeyPath.l
  GetDropTarget.l
  GetExternal.l
  TranslateUrl.l
  FilterDataObject.l
  GetOverrideKeyPath.l
EndStructure

Macro BuildCOMVTable_IDocHostUIHandler2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDocHostUIHandler2)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, ShowContextMenu, 4)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, GetHostInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, ShowUI, 5)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, HideUI, 0)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, UpdateUI, 0)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, EnableModeless, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, OnDocWindowActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, OnFrameWindowActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, ResizeBorder, 3)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, TranslateAccelerator, 3)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, GetOptionKeyPath, 2)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, GetDropTarget, 2)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, GetExternal, 1)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, TranslateUrl, 3)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, FilterDataObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IDocHostUIHandler2, GetOverrideKeyPath, 2)
  __COM_VTABLE_SetDebug(__Object__, IDocHostUIHandler2)
EndMacro

DefineGUID(IID_IDocHostUIHandler2, $3050F6D0, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
