;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDropTarget_Vtbl Extends __COM_IUnknown_Vtbl
  DragEnter.l
  DragOver.l
  DragLeave.l
  Drop.l
EndStructure

Macro BuildCOMVTable_IDropTarget(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDropTarget)
  __COM_VTABLE_SetMethod(__Object__, IDropTarget, DragEnter, 4)
  __COM_VTABLE_SetMethod(__Object__, IDropTarget, DragOver, 3)
  __COM_VTABLE_SetMethod(__Object__, IDropTarget, DragLeave, 0)
  __COM_VTABLE_SetMethod(__Object__, IDropTarget, Drop, 4)
  __COM_VTABLE_SetDebug(__Object__, IDropTarget)
EndMacro

DefineGUID(IID_IDropTarget, $00000122, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
