;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDropTargetHelper_Vtbl Extends __COM_IUnknown_Vtbl
  DragEnter.l
  DragLeave.l
  DragOver.l
  Drop.l
  Show.l
EndStructure

Macro BuildCOMVTable_IDropTargetHelper(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDropTargetHelper)
  __COM_VTABLE_SetMethod(__Object__, IDropTargetHelper, DragEnter, 4)
  __COM_VTABLE_SetMethod(__Object__, IDropTargetHelper, DragLeave, 0)
  __COM_VTABLE_SetMethod(__Object__, IDropTargetHelper, DragOver, 2)
  __COM_VTABLE_SetMethod(__Object__, IDropTargetHelper, Drop, 3)
  __COM_VTABLE_SetMethod(__Object__, IDropTargetHelper, Show, 1)
  __COM_VTABLE_SetDebug(__Object__, IDropTargetHelper)
EndMacro

DefineGUID(IID_IDropTargetHelper, $4657278B, $411B, $11D2, $83, $9A, $00, $C0, $4F, $D9, $18, $D0)
