;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IElementBehaviorLayout_Vtbl Extends __COM_IUnknown_Vtbl
  GetSize.l
  GetLayoutInfo.l
  GetPosition.l
  MapSize.l
EndStructure

Macro BuildCOMVTable_IElementBehaviorLayout(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IElementBehaviorLayout)
  __COM_VTABLE_SetMethod(__Object__, IElementBehaviorLayout, GetSize, 5)
  __COM_VTABLE_SetMethod(__Object__, IElementBehaviorLayout, GetLayoutInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IElementBehaviorLayout, GetPosition, 2)
  __COM_VTABLE_SetMethod(__Object__, IElementBehaviorLayout, MapSize, 2)
  __COM_VTABLE_SetDebug(__Object__, IElementBehaviorLayout)
EndMacro

DefineGUID(IID_IElementBehaviorLayout, $3050F6BA, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
