;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IEncodingFilterFactory_Vtbl Extends __COM_IUnknown_Vtbl
  FindBestFilter.l
  GetDefaultFilter.l
EndStructure

Macro BuildCOMVTable_IEncodingFilterFactory(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IEncodingFilterFactory)
  __COM_VTABLE_SetMethod(__Object__, IEncodingFilterFactory, FindBestFilter, 4)
  __COM_VTABLE_SetMethod(__Object__, IEncodingFilterFactory, GetDefaultFilter, 3)
  __COM_VTABLE_SetDebug(__Object__, IEncodingFilterFactory)
EndMacro

DefineGUID(IID_IEncodingFilterFactory, $70BDDE00, $C18E, $11D0, $A9, $CE, $00, $60, $97, $94, $23, $11)
