;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IFont_Vtbl Extends __COM_IUnknown_Vtbl
  get_Name.l
  put_Name.l
  get_Size.l
  put_Size.l
  get_Bold.l
  put_Bold.l
  get_Italic.l
  put_Italic.l
  get_Underline.l
  put_Underline.l
  get_Strikethrough.l
  put_Strikethrough.l
  get_Weight.l
  put_Weight.l
  get_Charset.l
  put_Charset.l
  get_hFont.l
  Clone.l
  IsEqual.l
  SetRatio.l
  QueryTextMetrics.l
  AddRefHfont.l
  ReleaseHfont.l
  SetHdc.l
EndStructure

Macro BuildCOMVTable_IFont(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IFont)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Size, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Size, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Bold, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Bold, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Italic, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Italic, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Underline, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Underline, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Strikethrough, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Strikethrough, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Weight, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Weight, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_Charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, put_Charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, get_hFont, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, Clone, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, IsEqual, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, SetRatio, 2)
  __COM_VTABLE_SetMethod(__Object__, IFont, QueryTextMetrics, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, AddRefHfont, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, ReleaseHfont, 1)
  __COM_VTABLE_SetMethod(__Object__, IFont, SetHdc, 1)
  __COM_VTABLE_SetDebug(__Object__, IFont)
EndMacro

DefineGUID(IID_IFont, $BEF6E002, $A874, $101A, $8B, $BA, $00, $AA, $00, $30, $0C, $AB)
