;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTCDefaultDispatch_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_element.l
  createEventObject.l
  get_defaults.l
  get_document.l
EndStructure

Macro BuildCOMVTable_IHTCDefaultDispatch(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTCDefaultDispatch)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, get_element, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, createEventObject, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, get_defaults, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTCDefaultDispatch, get_document, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTCDefaultDispatch)
EndMacro

DefineGUID(IID_IHTCDefaultDispatch, $3050F4FD, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
