;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLAppBehavior_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_applicationName.l
  get_applicationName.l
  put_version.l
  get_version.l
  put_icon.l
  get_icon.l
  put_singleInstance.l
  get_singleInstance.l
  put_minimizeButton.l
  get_minimizeButton.l
  put_maximizeButton.l
  get_maximizeButton.l
  put_border.l
  get_border.l
  put_borderStyle.l
  get_borderStyle.l
  put_sysMenu.l
  get_sysMenu.l
  put_caption.l
  get_caption.l
  put_windowState.l
  get_windowState.l
  put_showInTaskBar.l
  get_showInTaskBar.l
  get_commandLine.l
EndStructure

Macro BuildCOMVTable_IHTMLAppBehavior(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLAppBehavior)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_applicationName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_applicationName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_version, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_version, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_icon, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_icon, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_singleInstance, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_singleInstance, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_minimizeButton, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_minimizeButton, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_maximizeButton, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_maximizeButton, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_borderStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_borderStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_sysMenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_sysMenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_caption, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_caption, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_windowState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_windowState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, put_showInTaskBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_showInTaskBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLAppBehavior, get_commandLine, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLAppBehavior)
EndMacro

DefineGUID(IID_IHTMLAppBehavior, $3050F5CA, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
