;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLCaret_Vtbl Extends __COM_IUnknown_Vtbl
  MoveCaretToPointer.l
  MoveCaretToPointerEx.l
  MoveMarkupPointerToCaret.l
  MoveDisplayPointerToCaret.l
  IsVisible.l
  Show.l
  Hide.l
  InsertText.l
  ScrollIntoView.l
  GetLocation.l
  GetCaretDirection.l
  SetCaretDirection.l
EndStructure

Macro BuildCOMVTable_IHTMLCaret(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLCaret)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, MoveCaretToPointer, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, MoveCaretToPointerEx, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, MoveMarkupPointerToCaret, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, MoveDisplayPointerToCaret, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, IsVisible, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, Show, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, Hide, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, InsertText, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, ScrollIntoView, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, GetLocation, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, GetCaretDirection, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCaret, SetCaretDirection, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLCaret)
EndMacro

DefineGUID(IID_IHTMLCaret, $3050F604, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
