;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLControlElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_tabIndex.l
  get_tabIndex.l
  focus.l
  put_accessKey.l
  get_accessKey.l
  put_onblur.l
  get_onblur.l
  put_onfocus.l
  get_onfocus.l
  put_onresize.l
  get_onresize.l
  blur.l
  addFilter.l
  removeFilter.l
  get_clientHeight.l
  get_clientWidth.l
  get_clientTop.l
  get_clientLeft.l
EndStructure

Macro BuildCOMVTable_IHTMLControlElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLControlElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, put_tabIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_tabIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, focus, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, put_accessKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_accessKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, put_onblur, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_onblur, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, put_onfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_onfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, put_onresize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_onresize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, blur, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, addFilter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, removeFilter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_clientHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_clientWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_clientTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlElement, get_clientLeft, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLControlElement)
EndMacro

DefineGUID(IID_IHTMLControlElement, $3050F4E9, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
