;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLCurrentStyle_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_position.l
  get_styleFloat.l
  get_color.l
  get_backgroundColor.l
  get_fontFamily.l
  get_fontStyle.l
  get_fontVariant.l
  get_fontWeight.l
  get_fontSize.l
  get_backgroundImage.l
  get_backgroundPositionX.l
  get_backgroundPositionY.l
  get_backgroundRepeat.l
  get_borderLeftColor.l
  get_borderTopColor.l
  get_borderRightColor.l
  get_borderBottomColor.l
  get_borderTopStyle.l
  get_borderRightStyle.l
  get_borderBottomStyle.l
  get_borderLeftStyle.l
  get_borderTopWidth.l
  get_borderRightWidth.l
  get_borderBottomWidth.l
  get_borderLeftWidth.l
  get_left.l
  get_top.l
  get_width.l
  get_height.l
  get_paddingLeft.l
  get_paddingTop.l
  get_paddingRight.l
  get_paddingBottom.l
  get_textAlign.l
  get_textDecoration.l
  get_display.l
  get_visibility.l
  get_zIndex.l
  get_letterSpacing.l
  get_lineHeight.l
  get_textIndent.l
  get_verticalAlign.l
  get_backgroundAttachment.l
  get_marginTop.l
  get_marginRight.l
  get_marginBottom.l
  get_marginLeft.l
  get_clear.l
  get_listStyleType.l
  get_listStylePosition.l
  get_listStyleImage.l
  get_clipTop.l
  get_clipRight.l
  get_clipBottom.l
  get_clipLeft.l
  get_overflow.l
  get_pageBreakBefore.l
  get_pageBreakAfter.l
  get_cursor.l
  get_tableLayout.l
  get_borderCollapse.l
  get_direction.l
  get_behavior.l
  getAttribute.l
  get_unicodeBidi.l
  get_right.l
  get_bottom.l
  get_imeMode.l
  get_rubyAlign.l
  get_rubyPosition.l
  get_rubyOverhang.l
  get_textAutospace.l
  get_lineBreak.l
  get_wordBreak.l
  get_textJustify.l
  get_textJustifyTrim.l
  get_textKashida.l
  get_blockDirection.l
  get_layoutGridChar.l
  get_layoutGridLine.l
  get_layoutGridMode.l
  get_layoutGridType.l
  get_borderStyle.l
  get_borderColor.l
  get_borderWidth.l
  get_padding.l
  get_margin.l
  get_accelerator.l
  get_overflowX.l
  get_overflowY.l
  get_textTransform.l
EndStructure

Macro BuildCOMVTable_IHTMLCurrentStyle(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLCurrentStyle)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_position, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_styleFloat, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_color, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_backgroundColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_fontFamily, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_fontStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_fontVariant, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_fontWeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_fontSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_backgroundImage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_backgroundPositionX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_backgroundPositionY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_backgroundRepeat, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderLeftColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderTopColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderRightColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderBottomColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderTopStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderRightStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderBottomStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderLeftStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderTopWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderRightWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderBottomWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderLeftWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_left, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_top, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_paddingLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_paddingTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_paddingRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_paddingBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textDecoration, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_display, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_visibility, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_zIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_letterSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_lineHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textIndent, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_verticalAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_backgroundAttachment, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_marginTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_marginRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_marginBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_marginLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_clear, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_listStyleType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_listStylePosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_listStyleImage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_clipTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_clipRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_clipBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_clipLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_overflow, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_pageBreakBefore, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_pageBreakAfter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_cursor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_tableLayout, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderCollapse, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_direction, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_behavior, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, getAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_unicodeBidi, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_right, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_bottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_imeMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_rubyAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_rubyPosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_rubyOverhang, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textAutospace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_lineBreak, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_wordBreak, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textJustify, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textJustifyTrim, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textKashida, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_blockDirection, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_layoutGridChar, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_layoutGridLine, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_layoutGridMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_layoutGridType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_borderWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_padding, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_margin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_accelerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_overflowX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_overflowY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLCurrentStyle, get_textTransform, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLCurrentStyle)
EndMacro

DefineGUID(IID_IHTMLCurrentStyle, $3050F3DB, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
