;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLDataTransfer_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  setData.l
  getData.l
  clearData.l
  put_dropEffect.l
  get_dropEffect.l
  put_effectAllowed.l
  get_effectAllowed.l
EndStructure

Macro BuildCOMVTable_IHTMLDataTransfer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLDataTransfer)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, setData, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, getData, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, clearData, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, put_dropEffect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, get_dropEffect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, put_effectAllowed, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDataTransfer, get_effectAllowed, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLDataTransfer)
EndMacro

DefineGUID(IID_IHTMLDataTransfer, $3050F4B3, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
