;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLDialog_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_dialogTop.l
  get_dialogTop.l
  put_dialogLeft.l
  get_dialogLeft.l
  put_dialogWidth.l
  get_dialogWidth.l
  put_dialogHeight.l
  get_dialogHeight.l
  get_dialogArguments.l
  get_menuArguments.l
  put_returnValue.l
  get_returnValue.l
  close.l
  toString.l
EndStructure

Macro BuildCOMVTable_IHTMLDialog(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLDialog)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, put_dialogTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_dialogTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, put_dialogLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_dialogLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, put_dialogWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_dialogWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, put_dialogHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_dialogHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_dialogArguments, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_menuArguments, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, put_returnValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, get_returnValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, close, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDialog, toString, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLDialog)
EndMacro

DefineGUID(IID_IHTMLDialog, $3050F216, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
