;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLDocument3_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  releaseCapture.l
  recalc.l
  createTextNode.l
  get_documentElement.l
  get_uniqueID.l
  attachEvent.l
  detachEvent.l
  put_onrowsdelete.l
  get_onrowsdelete.l
  put_onrowsinserted.l
  get_onrowsinserted.l
  put_oncellchange.l
  get_oncellchange.l
  put_ondatasetchanged.l
  get_ondatasetchanged.l
  put_ondataavailable.l
  get_ondataavailable.l
  put_ondatasetcomplete.l
  get_ondatasetcomplete.l
  put_onpropertychange.l
  get_onpropertychange.l
  put_dir.l
  get_dir.l
  put_oncontextmenu.l
  get_oncontextmenu.l
  put_onstop.l
  get_onstop.l
  createDocumentFragment.l
  get_parentDocument.l
  put_enableDownload.l
  get_enableDownload.l
  put_baseUrl.l
  get_baseUrl.l
  get_childNodes.l
  put_inheritStyleSheets.l
  get_inheritStyleSheets.l
  put_onbeforeeditfocus.l
  get_onbeforeeditfocus.l
  getElementsByName.l
  getElementById.l
  getElementsByTagName.l
EndStructure

Macro BuildCOMVTable_IHTMLDocument3(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLDocument3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, releaseCapture, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, recalc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, createTextNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_documentElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_uniqueID, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, attachEvent, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, detachEvent, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_onrowsdelete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_onrowsdelete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_onrowsinserted, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_onrowsinserted, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_oncellchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_oncellchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_ondatasetchanged, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_ondatasetchanged, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_ondataavailable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_ondataavailable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_ondatasetcomplete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_ondatasetcomplete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_onpropertychange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_onpropertychange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_dir, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_dir, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_oncontextmenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_oncontextmenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_onstop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_onstop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, createDocumentFragment, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_parentDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_enableDownload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_enableDownload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_baseUrl, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_baseUrl, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_inheritStyleSheets, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_inheritStyleSheets, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, put_onbeforeeditfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, get_onbeforeeditfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, getElementsByName, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, getElementById, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument3, getElementsByTagName, 2)
  __COM_VTABLE_SetDebug(__Object__, IHTMLDocument3)
EndMacro

DefineGUID(IID_IHTMLDocument3, $3050F485, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
