;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLEditServices_Vtbl Extends __COM_IUnknown_Vtbl
  AddDesigner.l
  RemoveDesigner.l
  GetSelectionServices.l
  MoveToSelectionAnchor.l
  MoveToSelectionEnd.l
  SelectRange.l
EndStructure

Macro BuildCOMVTable_IHTMLEditServices(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLEditServices)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices, AddDesigner, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices, RemoveDesigner, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices, GetSelectionServices, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices, MoveToSelectionAnchor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices, MoveToSelectionEnd, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices, SelectRange, 3)
  __COM_VTABLE_SetDebug(__Object__, IHTMLEditServices)
EndMacro

DefineGUID(IID_IHTMLEditServices, $3050F663, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
