;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLEditServices2_Vtbl Extends __COM_IUnknown_Vtbl
  AddDesigner.l
  RemoveDesigner.l
  GetSelectionServices.l
  MoveToSelectionAnchor.l
  MoveToSelectionEnd.l
  SelectRange.l
  MoveToSelectionAnchorEx.l
  MoveToSelectionEndEx.l
  FreezeVirtualCaretPos.l
  UnFreezeVirtualCaretPos.l
EndStructure

Macro BuildCOMVTable_IHTMLEditServices2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLEditServices2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, AddDesigner, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, RemoveDesigner, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, GetSelectionServices, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, MoveToSelectionAnchor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, MoveToSelectionEnd, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, SelectRange, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, MoveToSelectionAnchorEx, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, MoveToSelectionEndEx, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, FreezeVirtualCaretPos, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEditServices2, UnFreezeVirtualCaretPos, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLEditServices2)
EndMacro

DefineGUID(IID_IHTMLEditServices2, $3050F812, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
