;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLElement2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_scopeName.l
  setCapture.l
  releaseCapture.l
  put_onlosecapture.l
  get_onlosecapture.l
  componentFromPoint.l
  doScroll.l
  put_onscroll.l
  get_onscroll.l
  put_ondrag.l
  get_ondrag.l
  put_ondragend.l
  get_ondragend.l
  put_ondragenter.l
  get_ondragenter.l
  put_ondragover.l
  get_ondragover.l
  put_ondragleave.l
  get_ondragleave.l
  put_ondrop.l
  get_ondrop.l
  put_onbeforecut.l
  get_onbeforecut.l
  put_oncut.l
  get_oncut.l
  put_onbeforecopy.l
  get_onbeforecopy.l
  put_oncopy.l
  get_oncopy.l
  put_onbeforepaste.l
  get_onbeforepaste.l
  put_onpaste.l
  get_onpaste.l
  get_currentStyle.l
  put_onpropertychange.l
  get_onpropertychange.l
  getClientRects.l
  getBoundingClientRect.l
  setExpression.l
  getExpression.l
  removeExpression.l
  put_tabIndex.l
  get_tabIndex.l
  focus.l
  put_accessKey.l
  get_accessKey.l
  put_onblur.l
  get_onblur.l
  put_onfocus.l
  get_onfocus.l
  put_onresize.l
  get_onresize.l
  blur.l
  addFilter.l
  removeFilter.l
  get_clientHeight.l
  get_clientWidth.l
  get_clientTop.l
  get_clientLeft.l
  attachEvent.l
  detachEvent.l
  get_readyState.l
  put_onreadystatechange.l
  get_onreadystatechange.l
  put_onrowsdelete.l
  get_onrowsdelete.l
  put_onrowsinserted.l
  get_onrowsinserted.l
  put_oncellchange.l
  get_oncellchange.l
  put_dir.l
  get_dir.l
  createControlRange.l
  get_scrollHeight.l
  get_scrollWidth.l
  put_scrollTop.l
  get_scrollTop.l
  put_scrollLeft.l
  get_scrollLeft.l
  clearAttributes.l
  mergeAttributes.l
  put_oncontextmenu.l
  get_oncontextmenu.l
  insertAdjacentElement.l
  applyElement.l
  getAdjacentText.l
  replaceAdjacentText.l
  get_canHaveChildren.l
  addBehavior.l
  removeBehavior.l
  get_runtimeStyle.l
  get_behaviorUrns.l
  put_tagUrn.l
  get_tagUrn.l
  put_onbeforeeditfocus.l
  get_onbeforeeditfocus.l
  get_readyStateValue.l
  getElementsByTagName.l
EndStructure

Macro BuildCOMVTable_IHTMLElement2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLElement2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_scopeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, setCapture, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, releaseCapture, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onlosecapture, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onlosecapture, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, componentFromPoint, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, doScroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onscroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onscroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_ondrag, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_ondrag, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_ondragend, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_ondragend, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_ondragenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_ondragenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_ondragover, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_ondragover, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_ondragleave, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_ondragleave, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_ondrop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_ondrop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onbeforecut, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onbeforecut, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_oncut, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_oncut, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onbeforecopy, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onbeforecopy, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_oncopy, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_oncopy, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onbeforepaste, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onbeforepaste, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onpaste, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onpaste, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_currentStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onpropertychange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onpropertychange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, getClientRects, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, getBoundingClientRect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, setExpression, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, getExpression, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, removeExpression, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_tabIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_tabIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, focus, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_accessKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_accessKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onblur, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onblur, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onresize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onresize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, blur, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, addFilter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, removeFilter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_clientHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_clientWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_clientTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_clientLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, attachEvent, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, detachEvent, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onrowsdelete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onrowsdelete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onrowsinserted, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onrowsinserted, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_oncellchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_oncellchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_dir, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_dir, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, createControlRange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_scrollHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_scrollWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_scrollTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_scrollTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_scrollLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_scrollLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, clearAttributes, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, mergeAttributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_oncontextmenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_oncontextmenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, insertAdjacentElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, applyElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, getAdjacentText, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, replaceAdjacentText, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_canHaveChildren, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, addBehavior, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, removeBehavior, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_runtimeStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_behaviorUrns, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_tagUrn, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_tagUrn, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, put_onbeforeeditfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_onbeforeeditfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, get_readyStateValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement2, getElementsByTagName, 2)
  __COM_VTABLE_SetDebug(__Object__, IHTMLElement2)
EndMacro

DefineGUID(IID_IHTMLElement2, $3050F434, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
