;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLElement3_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  mergeAttributes.l
  get_isMultiLine.l
  get_canHaveHTML.l
  put_onlayoutcomplete.l
  get_onlayoutcomplete.l
  put_onpage.l
  get_onpage.l
  put_inflateBlock.l
  get_inflateBlock.l
  put_onbeforedeactivate.l
  get_onbeforedeactivate.l
  setActive.l
  put_contentEditable.l
  get_contentEditable.l
  get_isContentEditable.l
  put_hideFocus.l
  get_hideFocus.l
  put_disabled.l
  get_disabled.l
  get_isDisabled.l
  put_onmove.l
  get_onmove.l
  put_oncontrolselect.l
  get_oncontrolselect.l
  fireEvent.l
  put_onresizestart.l
  get_onresizestart.l
  put_onresizeend.l
  get_onresizeend.l
  put_onmovestart.l
  get_onmovestart.l
  put_onmoveend.l
  get_onmoveend.l
  put_onmouseenter.l
  get_onmouseenter.l
  put_onmouseleave.l
  get_onmouseleave.l
  put_onactivate.l
  get_onactivate.l
  put_ondeactivate.l
  get_ondeactivate.l
  dragDrop.l
  get_glyphMode.l
EndStructure

Macro BuildCOMVTable_IHTMLElement3(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLElement3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, mergeAttributes, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_isMultiLine, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_canHaveHTML, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onlayoutcomplete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onlayoutcomplete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onpage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onpage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_inflateBlock, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_inflateBlock, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onbeforedeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onbeforedeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, setActive, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_contentEditable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_contentEditable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_isContentEditable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_hideFocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_hideFocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_disabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_disabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_isDisabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onmove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onmove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_oncontrolselect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_oncontrolselect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, fireEvent, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onresizestart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onresizestart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onresizeend, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onresizeend, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onmovestart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onmovestart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onmoveend, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onmoveend, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onmouseenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onmouseenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onmouseleave, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onmouseleave, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_onactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_onactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, put_ondeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_ondeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, dragDrop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement3, get_glyphMode, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLElement3)
EndMacro

DefineGUID(IID_IHTMLElement3, $3050F673, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
