;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLEmbedElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_hidden.l
  get_hidden.l
  get_palette.l
  get_pluginspage.l
  put_src.l
  get_src.l
  put_units.l
  get_units.l
  put_name.l
  get_name.l
  put_width.l
  get_width.l
  put_height.l
  get_height.l
EndStructure

Macro BuildCOMVTable_IHTMLEmbedElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLEmbedElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, put_hidden, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_hidden, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_palette, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_pluginspage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, put_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, put_units, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_units, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, put_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, put_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, put_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEmbedElement, get_height, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLEmbedElement)
EndMacro

DefineGUID(IID_IHTMLEmbedElement, $3050F25F, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
