;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLEventObj_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_srcElement.l
  get_altKey.l
  get_ctrlKey.l
  get_shiftKey.l
  put_returnValue.l
  get_returnValue.l
  put_cancelBubble.l
  get_cancelBubble.l
  get_fromElement.l
  get_toElement.l
  put_keyCode.l
  get_keyCode.l
  get_button.l
  get_type.l
  get_qualifier.l
  get_reason.l
  get_x.l
  get_y.l
  get_clientX.l
  get_clientY.l
  get_offsetX.l
  get_offsetY.l
  get_screenX.l
  get_screenY.l
  get_srcFilter.l
EndStructure

Macro BuildCOMVTable_IHTMLEventObj(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLEventObj)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_srcElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_altKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_ctrlKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_shiftKey, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, put_returnValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_returnValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, put_cancelBubble, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_cancelBubble, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_fromElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_toElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, put_keyCode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_keyCode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_button, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_type, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_qualifier, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_reason, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_x, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_y, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_clientX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_clientY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_offsetX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_offsetY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_screenX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_screenY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLEventObj, get_srcFilter, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLEventObj)
EndMacro

DefineGUID(IID_IHTMLEventObj, $3050F32D, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
