;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLFrameBase_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_src.l
  get_src.l
  put_name.l
  get_name.l
  put_border.l
  get_border.l
  put_frameBorder.l
  get_frameBorder.l
  put_frameSpacing.l
  get_frameSpacing.l
  put_marginWidth.l
  get_marginWidth.l
  put_marginHeight.l
  get_marginHeight.l
  put_noResize.l
  get_noResize.l
  put_scrolling.l
  get_scrolling.l
EndStructure

Macro BuildCOMVTable_IHTMLFrameBase(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLFrameBase)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_frameBorder, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_frameBorder, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_frameSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_frameSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_marginWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_marginWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_marginHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_marginHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_noResize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_noResize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, put_scrolling, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLFrameBase, get_scrolling, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLFrameBase)
EndMacro

DefineGUID(IID_IHTMLFrameBase, $3050F311, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
