;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLOptionsHolder_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_document.l
  get_fonts.l
  put_execArg.l
  get_execArg.l
  put_errorLine.l
  get_errorLine.l
  put_errorCharacter.l
  get_errorCharacter.l
  put_errorCode.l
  get_errorCode.l
  put_errorMessage.l
  get_errorMessage.l
  put_errorDebug.l
  get_errorDebug.l
  get_unsecuredWindowOfDocument.l
  put_findText.l
  get_findText.l
  put_anythingAfterFrameset.l
  get_anythingAfterFrameset.l
  sizes.l
  openfiledlg.l
  savefiledlg.l
  choosecolordlg.l
  showSecurityInfo.l
  isApartmentModel.l
  getCharset.l
  get_secureConnectionInfo.l
EndStructure

Macro BuildCOMVTable_IHTMLOptionsHolder(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLOptionsHolder)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_document, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_fonts, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_execArg, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_execArg, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_errorLine, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_errorLine, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_errorCharacter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_errorCharacter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_errorCode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_errorCode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_errorMessage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_errorMessage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_errorDebug, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_errorDebug, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_unsecuredWindowOfDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_findText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_findText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, put_anythingAfterFrameset, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_anythingAfterFrameset, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, sizes, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, openfiledlg, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, savefiledlg, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, choosecolordlg, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, showSecurityInfo, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, isApartmentModel, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, getCharset, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOptionsHolder, get_secureConnectionInfo, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLOptionsHolder)
EndMacro

DefineGUID(IID_IHTMLOptionsHolder, $3050F378, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
