;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLTable_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_cols.l
  get_cols.l
  put_border.l
  get_border.l
  put_frame.l
  get_frame.l
  put_rules.l
  get_rules.l
  put_cellSpacing.l
  get_cellSpacing.l
  put_cellPadding.l
  get_cellPadding.l
  put_background.l
  get_background.l
  put_bgColor.l
  get_bgColor.l
  put_borderColor.l
  get_borderColor.l
  put_borderColorLight.l
  get_borderColorLight.l
  put_borderColorDark.l
  get_borderColorDark.l
  put_align.l
  get_align.l
  refresh.l
  get_rows.l
  put_width.l
  get_width.l
  put_height.l
  get_height.l
  put_dataPageSize.l
  get_dataPageSize.l
  nextPage.l
  previousPage.l
  get_tHead.l
  get_tFoot.l
  get_tBodies.l
  get_caption.l
  createTHead.l
  deleteTHead.l
  createTFoot.l
  deleteTFoot.l
  createCaption.l
  deleteCaption.l
  insertRow.l
  deleteRow.l
  get_readyState.l
  put_onreadystatechange.l
  get_onreadystatechange.l
EndStructure

Macro BuildCOMVTable_IHTMLTable(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLTable)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_cols, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_cols, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_frame, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_frame, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_rules, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_rules, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_cellSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_cellSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_cellPadding, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_cellPadding, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_background, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_background, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_bgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_bgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_borderColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_borderColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_borderColorLight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_borderColorLight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_borderColorDark, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_borderColorDark, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_align, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_align, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, refresh, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_rows, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_dataPageSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_dataPageSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, nextPage, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, previousPage, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_tHead, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_tFoot, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_tBodies, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_caption, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, createTHead, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, deleteTHead, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, createTFoot, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, deleteTFoot, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, createCaption, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, deleteCaption, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, insertRow, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, deleteRow, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, put_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTable, get_onreadystatechange, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLTable)
EndMacro

DefineGUID(IID_IHTMLTable, $3050F21E, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
