;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLTxtRange_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_htmlText.l
  put_text.l
  get_text.l
  parentElement.l
  duplicate.l
  inRange.l
  isEqual.l
  scrollIntoView.l
  collapse.l
  expand.l
  move.l
  moveStart.l
  moveEnd.l
  select.l
  pasteHTML.l
  moveToElementText.l
  setEndPoint.l
  compareEndPoints.l
  findText.l
  moveToPoint.l
  getBookmark.l
  moveToBookmark.l
  queryCommandSupported.l
  queryCommandEnabled.l
  queryCommandState.l
  queryCommandIndeterm.l
  queryCommandText.l
  queryCommandValue.l
  execCommand.l
  execCommandShowHelp.l
EndStructure

Macro BuildCOMVTable_IHTMLTxtRange(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLTxtRange)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, get_htmlText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, parentElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, duplicate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, inRange, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, isEqual, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, scrollIntoView, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, collapse, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, expand, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, move, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, moveStart, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, moveEnd, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, select, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, pasteHTML, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, moveToElementText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, setEndPoint, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, compareEndPoints, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, findText, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, moveToPoint, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, getBookmark, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, moveToBookmark, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, queryCommandSupported, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, queryCommandEnabled, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, queryCommandState, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, queryCommandIndeterm, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, queryCommandText, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, queryCommandValue, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, execCommand, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLTxtRange, execCommandShowHelp, 2)
  __COM_VTABLE_SetDebug(__Object__, IHTMLTxtRange)
EndMacro

DefineGUID(IID_IHTMLTxtRange, $3050F220, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
