;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLWindow3_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_screenLeft.l
  get_screenTop.l
  attachEvent.l
  detachEvent.l
  setTimeout.l
  setInterval.l
  print.l
  put_onbeforeprint.l
  get_onbeforeprint.l
  put_onafterprint.l
  get_onafterprint.l
  get_clipboardData.l
  showModelessDialog.l
EndStructure

Macro BuildCOMVTable_IHTMLWindow3(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLWindow3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, get_screenLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, get_screenTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, attachEvent, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, detachEvent, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, setTimeout, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, setInterval, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, print, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, put_onbeforeprint, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, get_onbeforeprint, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, put_onafterprint, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, get_onafterprint, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, get_clipboardData, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow3, showModelessDialog, 4)
  __COM_VTABLE_SetDebug(__Object__, IHTMLWindow3)
EndMacro

DefineGUID(IID_IHTMLWindow3, $3050F4AE, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
