;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHlink_Vtbl Extends __COM_IUnknown_Vtbl
  SetHlinkSite.l
  GetHlinkSite.l
  SetMonikerReference.l
  GetMonikerReference.l
  SetStringReference.l
  GetStringReference.l
  SetFriendlyName.l
  GetFriendlyName.l
  SetTargetFrameName.l
  GetTargetFrameName.l
  GetMiscStatus.l
  Navigate.l
  SetAdditionalParams.l
  GetAdditionalParams.l
EndStructure

Macro BuildCOMVTable_IHlink(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHlink)
  __COM_VTABLE_SetMethod(__Object__, IHlink, SetHlinkSite, 2)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetHlinkSite, 2)
  __COM_VTABLE_SetMethod(__Object__, IHlink, SetMonikerReference, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetMonikerReference, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlink, SetStringReference, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetStringReference, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlink, SetFriendlyName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetFriendlyName, 2)
  __COM_VTABLE_SetMethod(__Object__, IHlink, SetTargetFrameName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetTargetFrameName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetMiscStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlink, Navigate, 4)
  __COM_VTABLE_SetMethod(__Object__, IHlink, SetAdditionalParams, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlink, GetAdditionalParams, 1)
  __COM_VTABLE_SetDebug(__Object__, IHlink)
EndMacro

DefineGUID(IID_IHlink, $79EAC9C3, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
