;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInputObject_Vtbl Extends __COM_IUnknown_Vtbl
  UIActivateIO.l
  HasFocusIO.l
  TranslateAcceleratorIO.l
EndStructure

Macro BuildCOMVTable_IInputObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInputObject)
  __COM_VTABLE_SetMethod(__Object__, IInputObject, UIActivateIO, 2)
  __COM_VTABLE_SetMethod(__Object__, IInputObject, HasFocusIO, 0)
  __COM_VTABLE_SetMethod(__Object__, IInputObject, TranslateAcceleratorIO, 1)
  __COM_VTABLE_SetDebug(__Object__, IInputObject)
EndMacro

DefineGUID(IID_IInputObject, $68284FAA, $6A48, $11D0, $8C, $78, $00, $C0, $4F, $D9, $18, $B4)
