;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInternetSecurityManagerEx_Vtbl Extends __COM_IUnknown_Vtbl
  SetSecuritySite.l
  GetSecuritySite.l
  MapUrlToZone.l
  GetSecurityId.l
  ProcessUrlAction.l
  QueryCustomPolicy.l
  SetZoneMapping.l
  GetZoneMappings.l
  ProcessUrlActionEx.l
EndStructure

Macro BuildCOMVTable_IInternetSecurityManagerEx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInternetSecurityManagerEx)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, SetSecuritySite, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, GetSecuritySite, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, MapUrlToZone, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, GetSecurityId, 4)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, ProcessUrlAction, 8)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, QueryCustomPolicy, 7)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, SetZoneMapping, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, GetZoneMappings, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManagerEx, ProcessUrlActionEx, 9)
  __COM_VTABLE_SetDebug(__Object__, IInternetSecurityManagerEx)
EndMacro

DefineGUID(IID_IInternetSecurityManagerEx, $F164EDF1, $CC7C, $4F0D, $9A, $94, $34, $22, $26, $25, $C3, $93)
