;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInternetSession_Vtbl Extends __COM_IUnknown_Vtbl
  RegisterNameSpace.l
  UnregisterNameSpace.l
  RegisterMimeFilter.l
  UnregisterMimeFilter.l
  CreateBinding.l
  SetSessionOption.l
  GetSessionOption.l
EndStructure

Macro BuildCOMVTable_IInternetSession(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInternetSession)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, RegisterNameSpace, 6)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, UnregisterNameSpace, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, RegisterMimeFilter, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, UnregisterMimeFilter, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, CreateBinding, 6)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, SetSessionOption, 4)
  __COM_VTABLE_SetMethod(__Object__, IInternetSession, GetSessionOption, 4)
  __COM_VTABLE_SetDebug(__Object__, IInternetSession)
EndMacro

DefineGUID(IID_IInternetSession, $79EAC9E7, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
