;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInternetZoneManager_Vtbl Extends __COM_IUnknown_Vtbl
  GetZoneAttributes.l
  SetZoneAttributes.l
  GetZoneCustomPolicy.l
  SetZoneCustomPolicy.l
  GetZoneActionPolicy.l
  SetZoneActionPolicy.l
  PromptAction.l
  LogAction.l
  CreateZoneEnumerator.l
  GetZoneAt.l
  DestroyZoneEnumerator.l
  CopyTemplatePoliciesToZone.l
EndStructure

Macro BuildCOMVTable_IInternetZoneManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInternetZoneManager)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, GetZoneAttributes, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, SetZoneAttributes, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, GetZoneCustomPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, SetZoneCustomPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, GetZoneActionPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, SetZoneActionPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, PromptAction, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, LogAction, 4)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, CreateZoneEnumerator, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, GetZoneAt, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, DestroyZoneEnumerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManager, CopyTemplatePoliciesToZone, 3)
  __COM_VTABLE_SetDebug(__Object__, IInternetZoneManager)
EndMacro

DefineGUID(IID_IInternetZoneManager, $79EAC9EF, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
