;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ILayoutStorage_Vtbl Extends __COM_IUnknown_Vtbl
  LayoutScript.l
  BeginMonitor.l
  EndMonitor.l
  ReLayoutDocfile.l
  ReLayoutDocfileOnILockBytes.l
EndStructure

Macro BuildCOMVTable_ILayoutStorage(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ILayoutStorage)
  __COM_VTABLE_SetMethod(__Object__, ILayoutStorage, LayoutScript, 3)
  __COM_VTABLE_SetMethod(__Object__, ILayoutStorage, BeginMonitor, 0)
  __COM_VTABLE_SetMethod(__Object__, ILayoutStorage, EndMonitor, 0)
  __COM_VTABLE_SetMethod(__Object__, ILayoutStorage, ReLayoutDocfile, 1)
  __COM_VTABLE_SetMethod(__Object__, ILayoutStorage, ReLayoutDocfileOnILockBytes, 1)
  __COM_VTABLE_SetDebug(__Object__, ILayoutStorage)
EndMacro

DefineGUID(IID_ILayoutStorage, $0E6D4D90, $6738, $11CF, $96, $08, $00, $AA, $00, $68, $0D, $B4)
