;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ILockBytes_Vtbl Extends __COM_IUnknown_Vtbl
  ReadAt.l
  WriteAt.l
  Flush.l
  SetSize.l
  LockRegion.l
  UnlockRegion.l
  Stat.l
EndStructure

Macro BuildCOMVTable_ILockBytes(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ILockBytes)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, ReadAt, 4)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, WriteAt, 4)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, Flush, 0)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, SetSize, 1)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, LockRegion, 3)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, UnlockRegion, 3)
  __COM_VTABLE_SetMethod(__Object__, ILockBytes, Stat, 2)
  __COM_VTABLE_SetDebug(__Object__, ILockBytes)
EndMacro

DefineGUID(IID_ILockBytes, $0000000A, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
