;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMallocSpy_Vtbl Extends __COM_IUnknown_Vtbl
  PreAlloc.l
  PostAlloc.l
  PreFree.l
  PostFree.l
  PreRealloc.l
  PostRealloc.l
  PreGetSize.l
  PostGetSize.l
  PreDidAlloc.l
  PostDidAlloc.l
  PreHeapMinimize.l
  PostHeapMinimize.l
EndStructure

Macro BuildCOMVTable_IMallocSpy(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMallocSpy)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PreAlloc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PostAlloc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PreFree, 2)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PostFree, 1)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PreRealloc, 4)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PostRealloc, 2)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PreGetSize, 2)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PostGetSize, 2)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PreDidAlloc, 2)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PostDidAlloc, 3)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PreHeapMinimize, 0)
  __COM_VTABLE_SetMethod(__Object__, IMallocSpy, PostHeapMinimize, 0)
  __COM_VTABLE_SetDebug(__Object__, IMallocSpy)
EndMacro

DefineGUID(IID_IMallocSpy, $0000001D, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
