;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarkupPointer2_Vtbl Extends __COM_IUnknown_Vtbl
  OwningDoc.l
  Gravity.l
  SetGravity.l
  Cling.l
  SetCling.l
  Unposition.l
  IsPositioned.l
  GetContainer.l
  MoveAdjacentToElement.l
  MoveToPointer.l
  MoveToContainer.l
  Left.l
  Right.l
  CurrentScope.l
  IsLeftOf.l
  IsLeftOfOrEqualTo.l
  IsRightOf.l
  IsRightOfOrEqualTo.l
  IsEqualTo.l
  MoveUnit.l
  FindText.l
  IsAtWordBreak.l
  GetMarkupPosition.l
  MoveToMarkupPosition.l
  MoveUnitBounded.l
  IsInsideURL.l
  MoveToContent.l
EndStructure

Macro BuildCOMVTable_IMarkupPointer2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarkupPointer2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, OwningDoc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, Gravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, SetGravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, Cling, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, SetCling, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, Unposition, 0)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsPositioned, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, GetContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveAdjacentToElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveToPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveToContainer, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, Left, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, Right, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, CurrentScope, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsLeftOf, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsLeftOfOrEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsRightOf, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsRightOfOrEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveUnit, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, FindText, 4)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsAtWordBreak, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, GetMarkupPosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveToMarkupPosition, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveUnitBounded, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, IsInsideURL, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer2, MoveToContent, 2)
  __COM_VTABLE_SetDebug(__Object__, IMarkupPointer2)
EndMacro

DefineGUID(IID_IMarkupPointer2, $3050F675, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
