;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarkupServices_Vtbl Extends __COM_IUnknown_Vtbl
  CreateMarkupPointer.l
  CreateMarkupContainer.l
  CreateElement.l
  CloneElement.l
  InsertElement.l
  RemoveElement.l
  Remove.l
  Copy.l
  Move.l
  InsertText.l
  ParseString.l
  ParseGlobal.l
  IsScopedElement.l
  GetElementTagId.l
  GetTagIDForName.l
  GetNameForTagID.l
  MovePointersToRange.l
  MoveRangeToPointers.l
  BeginUndoUnit.l
  EndUndoUnit.l
EndStructure

Macro BuildCOMVTable_IMarkupServices(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarkupServices)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, CreateMarkupPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, CreateMarkupContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, CreateElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, CloneElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, InsertElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, RemoveElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, Remove, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, Copy, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, Move, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, InsertText, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, ParseString, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, ParseGlobal, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, IsScopedElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, GetElementTagId, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, GetTagIDForName, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, GetNameForTagID, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, MovePointersToRange, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, MoveRangeToPointers, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, BeginUndoUnit, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices, EndUndoUnit, 0)
  __COM_VTABLE_SetDebug(__Object__, IMarkupServices)
EndMacro

DefineGUID(IID_IMarkupServices, $3050F4A0, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
