;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarkupTextFrags_Vtbl Extends __COM_IUnknown_Vtbl
  GetTextFragCount.l
  GetTextFrag.l
  RemoveTextFrag.l
  InsertTextFrag.l
  FindTextFragFromMarkupPointer.l
EndStructure

Macro BuildCOMVTable_IMarkupTextFrags(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarkupTextFrags)
  __COM_VTABLE_SetMethod(__Object__, IMarkupTextFrags, GetTextFragCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupTextFrags, GetTextFrag, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupTextFrags, RemoveTextFrag, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupTextFrags, InsertTextFrag, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupTextFrags, FindTextFragFromMarkupPointer, 3)
  __COM_VTABLE_SetDebug(__Object__, IMarkupTextFrags)
EndMacro

DefineGUID(IID_IMarkupTextFrags, $3050F5FA, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
