;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarshal_Vtbl Extends __COM_IUnknown_Vtbl
  GetUnmarshalClass.l
  GetMarshalSizeMax.l
  MarshalInterface.l
  UnmarshalInterface.l
  ReleaseMarshalData.l
  DisconnectObject.l
EndStructure

Macro BuildCOMVTable_IMarshal(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarshal)
  __COM_VTABLE_SetMethod(__Object__, IMarshal, GetUnmarshalClass, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarshal, GetMarshalSizeMax, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarshal, MarshalInterface, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarshal, UnmarshalInterface, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarshal, ReleaseMarshalData, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarshal, DisconnectObject, 1)
  __COM_VTABLE_SetDebug(__Object__, IMarshal)
EndMacro

DefineGUID(IID_IMarshal, $00000003, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
