;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMessageFilter_Vtbl Extends __COM_IUnknown_Vtbl
  HandleInComingCall.l
  RetryRejectedCall.l
  MessagePending.l
EndStructure

Macro BuildCOMVTable_IMessageFilter(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMessageFilter)
  __COM_VTABLE_SetMethod(__Object__, IMessageFilter, HandleInComingCall, 4)
  __COM_VTABLE_SetMethod(__Object__, IMessageFilter, RetryRejectedCall, 3)
  __COM_VTABLE_SetMethod(__Object__, IMessageFilter, MessagePending, 3)
  __COM_VTABLE_SetDebug(__Object__, IMessageFilter)
EndMacro

DefineGUID(IID_IMessageFilter, $00000016, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
