;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMoniker_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  Load.l
  Save.l
  GetSizeMax.l
  BindToObject.l
  BindToStorage.l
  Reduce.l
  ComposeWith.l
  Enum.l
  IsEqual.l
  Hash.l
  IsRunning.l
  GetTimeOfLastChange.l
  Inverse.l
  CommonPrefixWith.l
  RelativePathTo.l
  GetDisplayName.l
  ParseDisplayName.l
  IsSystemMoniker.l
EndStructure

Macro BuildCOMVTable_IMoniker(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMoniker)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, Load, 1)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, Save, 2)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, GetSizeMax, 1)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, BindToObject, 4)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, BindToStorage, 4)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, Reduce, 4)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, ComposeWith, 3)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, Enum, 2)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, IsEqual, 1)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, Hash, 1)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, IsRunning, 3)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, GetTimeOfLastChange, 3)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, Inverse, 1)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, CommonPrefixWith, 2)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, RelativePathTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, GetDisplayName, 3)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, ParseDisplayName, 5)
  __COM_VTABLE_SetMethod(__Object__, IMoniker, IsSystemMoniker, 1)
  __COM_VTABLE_SetDebug(__Object__, IMoniker)
EndMacro

DefineGUID(IID_IMoniker, $0000000F, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
