;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_INamedPropertyBag_Vtbl Extends __COM_IUnknown_Vtbl
  ReadPropertyNPB.l
  WritePropertyNPB.l
  RemovePropertyNPB.l
EndStructure

Macro BuildCOMVTable_INamedPropertyBag(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, INamedPropertyBag)
  __COM_VTABLE_SetMethod(__Object__, INamedPropertyBag, ReadPropertyNPB, 3)
  __COM_VTABLE_SetMethod(__Object__, INamedPropertyBag, WritePropertyNPB, 3)
  __COM_VTABLE_SetMethod(__Object__, INamedPropertyBag, RemovePropertyNPB, 2)
  __COM_VTABLE_SetDebug(__Object__, INamedPropertyBag)
EndMacro

DefineGUID(IID_INamedPropertyBag, $FB700430, $952C, $11D1, $94, $6F, $00, $00, $00, $00, $00, $00)
