;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleAdviseHolder_Vtbl Extends __COM_IUnknown_Vtbl
  Advise.l
  Unadvise.l
  EnumAdvise.l
  SendOnRename.l
  SendOnSave.l
  SendOnClose.l
EndStructure

Macro BuildCOMVTable_IOleAdviseHolder(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleAdviseHolder)
  __COM_VTABLE_SetMethod(__Object__, IOleAdviseHolder, Advise, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleAdviseHolder, Unadvise, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleAdviseHolder, EnumAdvise, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleAdviseHolder, SendOnRename, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleAdviseHolder, SendOnSave, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleAdviseHolder, SendOnClose, 0)
  __COM_VTABLE_SetDebug(__Object__, IOleAdviseHolder)
EndMacro

DefineGUID(IID_IOleAdviseHolder, $00000111, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
