;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleCache_Vtbl Extends __COM_IUnknown_Vtbl
  Cache.l
  Uncache.l
  EnumCache.l
  InitCache.l
  SetData.l
EndStructure

Macro BuildCOMVTable_IOleCache(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleCache)
  __COM_VTABLE_SetMethod(__Object__, IOleCache, Cache, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleCache, Uncache, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleCache, EnumCache, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleCache, InitCache, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleCache, SetData, 3)
  __COM_VTABLE_SetDebug(__Object__, IOleCache)
EndMacro

DefineGUID(IID_IOleCache, $0000011E, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
