;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetControlInfo.l
  OnMnemonic.l
  OnAmbientPropertyChange.l
  FreezeEvents.l
EndStructure

Macro BuildCOMVTable_IOleControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleControl)
  __COM_VTABLE_SetMethod(__Object__, IOleControl, GetControlInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleControl, OnMnemonic, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleControl, OnAmbientPropertyChange, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleControl, FreezeEvents, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleControl)
EndMacro

DefineGUID(IID_IOleControl, $B196B288, $BAB4, $101A, $B6, $9C, $00, $AA, $00, $34, $1D, $07)
