;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceFrame_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  GetBorder.l
  RequestBorderSpace.l
  SetBorderSpace.l
  SetActiveObject.l
  InsertMenus.l
  SetMenu.l
  RemoveMenus.l
  SetStatusText.l
  EnableModeless.l
  TranslateAccelerator.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceFrame(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceFrame)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, GetBorder, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, RequestBorderSpace, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, SetBorderSpace, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, SetActiveObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, InsertMenus, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, SetMenu, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, RemoveMenus, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, SetStatusText, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, EnableModeless, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceFrame, TranslateAccelerator, 2)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceFrame)
EndMacro

DefineGUID(IID_IOleInPlaceFrame, $00000116, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
