;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceObjectWindowless_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  InPlaceDeactivate.l
  UIDeactivate.l
  SetObjectRects.l
  ReactivateAndUndo.l
  OnWindowMessage.l
  GetDropTarget.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceObjectWindowless(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceObjectWindowless)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, InPlaceDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, UIDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, SetObjectRects, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, ReactivateAndUndo, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, OnWindowMessage, 4)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObjectWindowless, GetDropTarget, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceObjectWindowless)
EndMacro

DefineGUID(IID_IOleInPlaceObjectWindowless, $1C2056CC, $5EF4, $101B, $8B, $C8, $00, $AA, $00, $3E, $3B, $29)
