;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceSite_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  CanInPlaceActivate.l
  OnInPlaceActivate.l
  OnUIActivate.l
  GetWindowContext.l
  Scroll.l
  OnUIDeactivate.l
  OnInPlaceDeactivate.l
  DiscardUndoState.l
  DeactivateAndUndo.l
  OnPosRectChange.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceSite(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceSite)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, CanInPlaceActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, OnInPlaceActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, OnUIActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, GetWindowContext, 5)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, Scroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, OnUIDeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, OnInPlaceDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, DiscardUndoState, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, DeactivateAndUndo, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSite, OnPosRectChange, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceSite)
EndMacro

DefineGUID(IID_IOleInPlaceSite, $00000119, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
