;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceSiteWindowless_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  CanInPlaceActivate.l
  OnInPlaceActivate.l
  OnUIActivate.l
  GetWindowContext.l
  Scroll.l
  OnUIDeactivate.l
  OnInPlaceDeactivate.l
  DiscardUndoState.l
  DeactivateAndUndo.l
  OnPosRectChange.l
  OnInPlaceActivateEx.l
  OnInPlaceDeactivateEx.l
  RequestUIActivate.l
  CanWindowlessActivate.l
  GetCapture.l
  SetCapture.l
  GetFocus.l
  SetFocus.l
  GetDC.l
  ReleaseDC.l
  InvalidateRect.l
  InvalidateRgn.l
  ScrollRect.l
  AdjustRect.l
  OnDefWindowMessage.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceSiteWindowless(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceSiteWindowless)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, CanInPlaceActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnInPlaceActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnUIActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, GetWindowContext, 5)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, Scroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnUIDeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnInPlaceDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, DiscardUndoState, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, DeactivateAndUndo, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnPosRectChange, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnInPlaceActivateEx, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnInPlaceDeactivateEx, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, RequestUIActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, CanWindowlessActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, GetCapture, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, SetCapture, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, GetFocus, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, SetFocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, GetDC, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, ReleaseDC, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, InvalidateRect, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, InvalidateRgn, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, ScrollRect, 4)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, AdjustRect, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteWindowless, OnDefWindowMessage, 4)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceSiteWindowless)
EndMacro

DefineGUID(IID_IOleInPlaceSiteWindowless, $922EADA0, $3424, $11CF, $B6, $70, $00, $AA, $00, $4C, $D6, $D8)
