;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleItemContainer_Vtbl Extends __COM_IUnknown_Vtbl
  ParseDisplayName.l
  EnumObjects.l
  LockContainer.l
  GetObject.l
  GetObjectStorage.l
  IsRunning.l
EndStructure

Macro BuildCOMVTable_IOleItemContainer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleItemContainer)
  __COM_VTABLE_SetMethod(__Object__, IOleItemContainer, ParseDisplayName, 4)
  __COM_VTABLE_SetMethod(__Object__, IOleItemContainer, EnumObjects, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleItemContainer, LockContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleItemContainer, GetObject, 5)
  __COM_VTABLE_SetMethod(__Object__, IOleItemContainer, GetObjectStorage, 4)
  __COM_VTABLE_SetMethod(__Object__, IOleItemContainer, IsRunning, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleItemContainer)
EndMacro

DefineGUID(IID_IOleItemContainer, $0000011C, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
