;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleLink_Vtbl Extends __COM_IUnknown_Vtbl
  SetUpdateOptions.l
  GetUpdateOptions.l
  SetSourceMoniker.l
  GetSourceMoniker.l
  SetSourceDisplayName.l
  GetSourceDisplayName.l
  BindToSource.l
  BindIfRunning.l
  GetBoundSource.l
  UnbindSource.l
  Update.l
EndStructure

Macro BuildCOMVTable_IOleLink(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleLink)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, SetUpdateOptions, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, GetUpdateOptions, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, SetSourceMoniker, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, GetSourceMoniker, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, SetSourceDisplayName, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, GetSourceDisplayName, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, BindToSource, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, BindIfRunning, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, GetBoundSource, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, UnbindSource, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleLink, Update, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleLink)
EndMacro

DefineGUID(IID_IOleLink, $0000011D, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
