;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleObject_Vtbl Extends __COM_IUnknown_Vtbl
  SetClientSite.l
  GetClientSite.l
  SetHostNames.l
  Close.l
  SetMoniker.l
  GetMoniker.l
  InitFromData.l
  GetClipboardData.l
  DoVerb.l
  EnumVerbs.l
  Update.l
  IsUpToDate.l
  GetUserClassID.l
  GetUserType.l
  SetExtent.l
  GetExtent.l
  Advise.l
  Unadvise.l
  EnumAdvise.l
  GetMiscStatus.l
  SetColorScheme.l
EndStructure

Macro BuildCOMVTable_IOleObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleObject)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, SetClientSite, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetClientSite, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, SetHostNames, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, Close, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, SetMoniker, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetMoniker, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, InitFromData, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetClipboardData, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, DoVerb, 6)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, EnumVerbs, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, Update, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, IsUpToDate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetUserClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetUserType, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, SetExtent, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetExtent, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, Advise, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, Unadvise, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, EnumAdvise, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, GetMiscStatus, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleObject, SetColorScheme, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleObject)
EndMacro

DefineGUID(IID_IOleObject, $00000112, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
