;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleParentUndoUnit_Vtbl Extends __COM_IUnknown_Vtbl
  Do.l
  GetDescription.l
  GetUnitType.l
  OnNextAdd.l
  Open.l
  Close.l
  Add.l
  FindUnit.l
  GetParentState.l
EndStructure

Macro BuildCOMVTable_IOleParentUndoUnit(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleParentUndoUnit)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, Do, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, GetDescription, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, GetUnitType, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, OnNextAdd, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, Close, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, Add, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, FindUnit, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleParentUndoUnit, GetParentState, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleParentUndoUnit)
EndMacro

DefineGUID(IID_IOleParentUndoUnit, $A1FAF330, $EF97, $11CE, $9B, $C9, $00, $AA, $00, $60, $8E, $01)
