;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleUndoManager_Vtbl Extends __COM_IUnknown_Vtbl
  Open.l
  Close.l
  Add.l
  GetOpenParentState.l
  DiscardFrom.l
  UndoTo.l
  RedoTo.l
  EnumUndoable.l
  EnumRedoable.l
  GetLastUndoDescription.l
  GetLastRedoDescription.l
  Enable.l
EndStructure

Macro BuildCOMVTable_IOleUndoManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleUndoManager)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, Close, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, Add, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, GetOpenParentState, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, DiscardFrom, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, UndoTo, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, RedoTo, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, EnumUndoable, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, EnumRedoable, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, GetLastUndoDescription, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, GetLastRedoDescription, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleUndoManager, Enable, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleUndoManager)
EndMacro

DefineGUID(IID_IOleUndoManager, $D001F200, $EF97, $11CE, $9B, $C9, $00, $AA, $00, $60, $8E, $01)
