;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPersistFile_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  Load.l
  Save.l
  SaveCompleted.l
  GetCurFile.l
EndStructure

Macro BuildCOMVTable_IPersistFile(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPersistFile)
  __COM_VTABLE_SetMethod(__Object__, IPersistFile, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistFile, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPersistFile, Load, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistFile, Save, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistFile, SaveCompleted, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistFile, GetCurFile, 1)
  __COM_VTABLE_SetDebug(__Object__, IPersistFile)
EndMacro

DefineGUID(IID_IPersistFile, $0000010B, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
