;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPersistMoniker_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  Load.l
  Save.l
  SaveCompleted.l
  GetCurMoniker.l
EndStructure

Macro BuildCOMVTable_IPersistMoniker(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPersistMoniker)
  __COM_VTABLE_SetMethod(__Object__, IPersistMoniker, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistMoniker, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPersistMoniker, Load, 4)
  __COM_VTABLE_SetMethod(__Object__, IPersistMoniker, Save, 3)
  __COM_VTABLE_SetMethod(__Object__, IPersistMoniker, SaveCompleted, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistMoniker, GetCurMoniker, 1)
  __COM_VTABLE_SetDebug(__Object__, IPersistMoniker)
EndMacro

DefineGUID(IID_IPersistMoniker, $79EAC9C9, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
