;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPersistStorage_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  InitNew.l
  Load.l
  Save.l
  SaveCompleted.l
  HandsOffStorage.l
EndStructure

Macro BuildCOMVTable_IPersistStorage(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPersistStorage)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, InitNew, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, Load, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, Save, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, SaveCompleted, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStorage, HandsOffStorage, 0)
  __COM_VTABLE_SetDebug(__Object__, IPersistStorage)
EndMacro

DefineGUID(IID_IPersistStorage, $0000010A, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
