;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPersistStreamInit_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  Load.l
  Save.l
  GetSizeMax.l
  InitNew.l
EndStructure

Macro BuildCOMVTable_IPersistStreamInit(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPersistStreamInit)
  __COM_VTABLE_SetMethod(__Object__, IPersistStreamInit, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStreamInit, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPersistStreamInit, Load, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStreamInit, Save, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistStreamInit, GetSizeMax, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStreamInit, InitNew, 0)
  __COM_VTABLE_SetDebug(__Object__, IPersistStreamInit)
EndMacro

DefineGUID(IID_IPersistStreamInit, $7FD52380, $4E07, $101B, $AE, $2D, $08, $00, $2B, $2E, $C7, $13)
