;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPicture_Vtbl Extends __COM_IUnknown_Vtbl
  get_Handle.l
  get_hPal.l
  get_Type.l
  get_Width.l
  get_Height.l
  Render.l
  set_hPal.l
  get_CurDC.l
  SelectPicture.l
  get_KeepOriginalFormat.l
  put_KeepOriginalFormat.l
  PictureChanged.l
  SaveAsFile.l
  get_Attributes.l
EndStructure

Macro BuildCOMVTable_IPicture(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPicture)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_Handle, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_hPal, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_Type, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, Render, 10)
  __COM_VTABLE_SetMethod(__Object__, IPicture, set_hPal, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_CurDC, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, SelectPicture, 3)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_KeepOriginalFormat, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, put_KeepOriginalFormat, 1)
  __COM_VTABLE_SetMethod(__Object__, IPicture, PictureChanged, 0)
  __COM_VTABLE_SetMethod(__Object__, IPicture, SaveAsFile, 3)
  __COM_VTABLE_SetMethod(__Object__, IPicture, get_Attributes, 1)
  __COM_VTABLE_SetDebug(__Object__, IPicture)
EndMacro

DefineGUID(IID_IPicture, $7BF80980, $BF32, $101A, $8B, $BB, $00, $AA, $00, $30, $0C, $AB)
