;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPropertyBag2_Vtbl Extends __COM_IUnknown_Vtbl
  Read.l
  Write.l
  CountProperties.l
  GetPropertyInfo.l
  LoadObject.l
EndStructure

Macro BuildCOMVTable_IPropertyBag2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPropertyBag2)
  __COM_VTABLE_SetMethod(__Object__, IPropertyBag2, Read, 5)
  __COM_VTABLE_SetMethod(__Object__, IPropertyBag2, Write, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyBag2, CountProperties, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyBag2, GetPropertyInfo, 4)
  __COM_VTABLE_SetMethod(__Object__, IPropertyBag2, LoadObject, 4)
  __COM_VTABLE_SetDebug(__Object__, IPropertyBag2)
EndMacro

DefineGUID(IID_IPropertyBag2, $22F55882, $280B, $11D0, $A8, $A9, $00, $A0, $C9, $0C, $20, $04)
