;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPropertyPage2_Vtbl Extends __COM_IUnknown_Vtbl
  SetPageSite.l
  Activate.l
  Deactivate.l
  GetPageInfo.l
  SetObjects.l
  Show.l
  Move.l
  IsPageDirty.l
  Apply.l
  Help.l
  TranslateAccelerator.l
  EditProperty.l
EndStructure

Macro BuildCOMVTable_IPropertyPage2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPropertyPage2)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, SetPageSite, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, Activate, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, Deactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, GetPageInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, SetObjects, 2)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, Show, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, Move, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, IsPageDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, Apply, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, Help, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, TranslateAccelerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage2, EditProperty, 1)
  __COM_VTABLE_SetDebug(__Object__, IPropertyPage2)
EndMacro

DefineGUID(IID_IPropertyPage2, $01E44665, $24AC, $101B, $84, $ED, $08, $00, $2B, $2E, $C7, $13)
