;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPropertyUI_Vtbl Extends __COM_IUnknown_Vtbl
  ParsePropertyName.l
  GetCannonicalName.l
  GetDisplayName.l
  GetPropertyDescription.l
  GetDefaultWidth.l
  GetFlags.l
  FormatForDisplay.l
  GetHelpInfo.l
EndStructure

Macro BuildCOMVTable_IPropertyUI(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPropertyUI)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, ParsePropertyName, 4)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, GetCannonicalName, 4)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, GetDisplayName, 5)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, GetPropertyDescription, 4)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, GetDefaultWidth, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, GetFlags, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, FormatForDisplay, 6)
  __COM_VTABLE_SetMethod(__Object__, IPropertyUI, GetHelpInfo, 5)
  __COM_VTABLE_SetDebug(__Object__, IPropertyUI)
EndMacro

DefineGUID(IID_IPropertyUI, $757A7D9F, $919A, $4118, $99, $D7, $DB, $B2, $08, $C8, $CC, $66)
