;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRTC_Vtbl Extends __COM_IUnknown_Vtbl
  Connect.l
  Disconnect.l
  QueryStatus.l
  Configure.l
  Start.l
  Pause.l
  Resume.l
  Stop.l
  GetControlState.l
  GetTotalStatistics.l
  GetConversationStatistics.l
  InsertSpecialFrame.l
  QueryStations.l
EndStructure

Macro BuildCOMVTable_IRTC(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRTC)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Connect, 5)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Disconnect, 0)
  __COM_VTABLE_SetMethod(__Object__, IRTC, QueryStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Configure, 2)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Start, 0)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Pause, 0)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Resume, 0)
  __COM_VTABLE_SetMethod(__Object__, IRTC, Stop, 0)
  __COM_VTABLE_SetMethod(__Object__, IRTC, GetControlState, 2)
  __COM_VTABLE_SetMethod(__Object__, IRTC, GetTotalStatistics, 2)
  __COM_VTABLE_SetMethod(__Object__, IRTC, GetConversationStatistics, 5)
  __COM_VTABLE_SetMethod(__Object__, IRTC, InsertSpecialFrame, 4)
  __COM_VTABLE_SetMethod(__Object__, IRTC, QueryStations, 1)
  __COM_VTABLE_SetDebug(__Object__, IRTC)
EndMacro

DefineGUID(IID_IRTC, $4811EA40, $B582, $11CE, $B5, $AF, $00, $AA, $00, $6C, $B3, $7D)
