;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRecordInfo_Vtbl Extends __COM_IUnknown_Vtbl
  RecordInit.l
  RecordClear.l
  RecordCopy.l
  GetGuid.l
  GetName.l
  GetSize.l
  GetTypeInfo.l
  GetField.l
  GetFieldNoCopy.l
  PutField.l
  PutFieldNoCopy.l
  GetFieldNames.l
  IsMatchingType.l
  RecordCreate.l
  RecordCreateCopy.l
  RecordDestroy.l
EndStructure

Macro BuildCOMVTable_IRecordInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRecordInfo)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, RecordInit, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, RecordClear, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, RecordCopy, 2)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetGuid, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetName, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetTypeInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetField, 3)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetFieldNoCopy, 4)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, PutField, 4)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, PutFieldNoCopy, 4)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, GetFieldNames, 2)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, IsMatchingType, 1)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, RecordCreate, 0)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, RecordCreateCopy, 2)
  __COM_VTABLE_SetMethod(__Object__, IRecordInfo, RecordDestroy, 1)
  __COM_VTABLE_SetDebug(__Object__, IRecordInfo)
EndMacro

DefineGUID(IID_IRecordInfo, $0000002F, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
