;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IResourceManager_Vtbl Extends __COM_IUnknown_Vtbl
  Register.l
  RegisterGroup.l
  RequestResource.l
  NotifyAcquire.l
  NotifyRelease.l
  CancelRequest.l
  SetFocus.l
  ReleaseFocus.l
EndStructure

Macro BuildCOMVTable_IResourceManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IResourceManager)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, Register, 3)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, RegisterGroup, 4)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, RequestResource, 3)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, NotifyAcquire, 3)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, NotifyRelease, 3)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, CancelRequest, 2)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, SetFocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IResourceManager, ReleaseFocus, 1)
  __COM_VTABLE_SetDebug(__Object__, IResourceManager)
EndMacro

DefineGUID(IID_IResourceManager, $13741D21, $87EB, $11CE, $80, $81, $00, $80, $C7, $58, $52, $7E)
