;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRpcChannelBuffer_Vtbl Extends __COM_IUnknown_Vtbl
  GetBuffer.l
  SendReceive.l
  FreeBuffer.l
  GetDestCtx.l
  IsConnected.l
EndStructure

Macro BuildCOMVTable_IRpcChannelBuffer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRpcChannelBuffer)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer, GetBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer, SendReceive, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer, FreeBuffer, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer, GetDestCtx, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer, IsConnected, 0)
  __COM_VTABLE_SetDebug(__Object__, IRpcChannelBuffer)
EndMacro

DefineGUID(IID_IRpcChannelBuffer, $D5F56B60, $593B, $101A, $B5, $69, $08, $00, $2B, $2D, $BF, $7A)
