;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRpcChannelBuffer2_Vtbl Extends __COM_IUnknown_Vtbl
  GetBuffer.l
  SendReceive.l
  FreeBuffer.l
  GetDestCtx.l
  IsConnected.l
  GetProtocolVersion.l
EndStructure

Macro BuildCOMVTable_IRpcChannelBuffer2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRpcChannelBuffer2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer2, GetBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer2, SendReceive, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer2, FreeBuffer, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer2, GetDestCtx, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer2, IsConnected, 0)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer2, GetProtocolVersion, 1)
  __COM_VTABLE_SetDebug(__Object__, IRpcChannelBuffer2)
EndMacro

DefineGUID(IID_IRpcChannelBuffer2, $594F31D0, $7F19, $11D0, $B1, $94, $00, $A0, $C9, $0D, $C8, $BF)
