;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRpcChannelBuffer3_Vtbl Extends __COM_IUnknown_Vtbl
  GetBuffer.l
  SendReceive.l
  FreeBuffer.l
  GetDestCtx.l
  IsConnected.l
  GetProtocolVersion.l
  Send.l
  Receive.l
  Cancel.l
  GetCallContext.l
  GetDestCtxEx.l
  GetState.l
  RegisterAsync.l
EndStructure

Macro BuildCOMVTable_IRpcChannelBuffer3(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRpcChannelBuffer3)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, GetBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, SendReceive, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, FreeBuffer, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, GetDestCtx, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, IsConnected, 0)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, GetProtocolVersion, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, Send, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, Receive, 3)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, Cancel, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, GetCallContext, 3)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, GetDestCtxEx, 3)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, GetState, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcChannelBuffer3, RegisterAsync, 2)
  __COM_VTABLE_SetDebug(__Object__, IRpcChannelBuffer3)
EndMacro

DefineGUID(IID_IRpcChannelBuffer3, $25B15600, $0115, $11D0, $BF, $0D, $00, $AA, $00, $B8, $DF, $D2)
