;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRunnableTask_Vtbl Extends __COM_IUnknown_Vtbl
  Run.l
  Kill.l
  Suspend.l
  Resume.l
  IsRunning.l
EndStructure

Macro BuildCOMVTable_IRunnableTask(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRunnableTask)
  __COM_VTABLE_SetMethod(__Object__, IRunnableTask, Run, 0)
  __COM_VTABLE_SetMethod(__Object__, IRunnableTask, Kill, 1)
  __COM_VTABLE_SetMethod(__Object__, IRunnableTask, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IRunnableTask, Resume, 0)
  __COM_VTABLE_SetMethod(__Object__, IRunnableTask, IsRunning, 0)
  __COM_VTABLE_SetDebug(__Object__, IRunnableTask)
EndMacro

DefineGUID(IID_IRunnableTask, $85788D00, $6807, $11D0, $B8, $10, $00, $C0, $4F, $D7, $06, $EC)
