;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRunningObjectTable_Vtbl Extends __COM_IUnknown_Vtbl
  Register.l
  Revoke.l
  IsRunning.l
  GetObject.l
  NoteChangeTime.l
  GetTimeOfLastChange.l
  EnumRunning.l
EndStructure

Macro BuildCOMVTable_IRunningObjectTable(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRunningObjectTable)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, Register, 4)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, Revoke, 1)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, IsRunning, 1)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, GetObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, NoteChangeTime, 2)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, GetTimeOfLastChange, 2)
  __COM_VTABLE_SetMethod(__Object__, IRunningObjectTable, EnumRunning, 1)
  __COM_VTABLE_SetDebug(__Object__, IRunningObjectTable)
EndMacro

DefineGUID(IID_IRunningObjectTable, $00000010, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
