;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISecurityInformation_Vtbl Extends __COM_IUnknown_Vtbl
  GetObjectInformation.l
  GetSecurity.l
  SetSecurity.l
  GetAccessRights.l
  MapGeneric.l
  GetInheritTypes.l
  PropertySheetPageCallback.l
EndStructure

Macro BuildCOMVTable_ISecurityInformation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISecurityInformation)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, GetObjectInformation, 1)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, GetSecurity, 3)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, SetSecurity, 2)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, GetAccessRights, 5)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, MapGeneric, 3)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, GetInheritTypes, 2)
  __COM_VTABLE_SetMethod(__Object__, ISecurityInformation, PropertySheetPageCallback, 3)
  __COM_VTABLE_SetDebug(__Object__, ISecurityInformation)
EndMacro

DefineGUID(IID_ISecurityInformation, $965FC360, $16FF, $11D0, $91, $CB, $00, $AA, $00, $BB, $B7, $23)
