;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISelectionServices_Vtbl Extends __COM_IUnknown_Vtbl
  SetSelectionType.l
  GetMarkupContainer.l
  AddSegment.l
  AddElementSegment.l
  RemoveSegment.l
  GetSelectionServicesListener.l
EndStructure

Macro BuildCOMVTable_ISelectionServices(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISelectionServices)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServices, SetSelectionType, 2)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServices, GetMarkupContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServices, AddSegment, 3)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServices, AddElementSegment, 2)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServices, RemoveSegment, 1)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServices, GetSelectionServicesListener, 1)
  __COM_VTABLE_SetDebug(__Object__, ISelectionServices)
EndMacro

DefineGUID(IID_ISelectionServices, $3050F684, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
