;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellFolder2_Vtbl Extends __COM_IUnknown_Vtbl
  ParseDisplayName.l
  EnumObjects.l
  BindToObject.l
  BindToStorage.l
  CompareIDs.l
  CreateViewObject.l
  GetAttributesOf.l
  GetUIObjectOf.l
  GetDisplayNameOf.l
  SetNameOf.l
  GetDefaultSearchGUID.l
  EnumSearches.l
  GetDefaultColumn.l
  GetDefaultColumnState.l
  GetDetailsEx.l
  GetDetailsOf.l
  MapColumnToSCID.l
EndStructure

Macro BuildCOMVTable_IShellFolder2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellFolder2)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, ParseDisplayName, 6)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, EnumObjects, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, BindToObject, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, BindToStorage, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, CompareIDs, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, CreateViewObject, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetAttributesOf, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetUIObjectOf, 6)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetDisplayNameOf, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, SetNameOf, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetDefaultSearchGUID, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, EnumSearches, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetDefaultColumn, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetDefaultColumnState, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetDetailsEx, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, GetDetailsOf, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder2, MapColumnToSCID, 2)
  __COM_VTABLE_SetDebug(__Object__, IShellFolder2)
EndMacro

DefineGUID(IID_IShellFolder2, $93F2F68C, $1D1B, $11D3, $A3, $0E, $00, $C0, $4F, $79, $AB, $D1)
