;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellImageStore_Vtbl Extends __COM_IUnknown_Vtbl
  Open.l
  Create.l
  ReleaseLock.l
  Close.l
  Commit.l
  IsLocked.l
  GetMode.l
  GetCapabilities.l
  AddEntry.l
  GetEntry.l
  DeleteEntry.l
  IsEntryInStore.l
  Enum.l
EndStructure

Macro BuildCOMVTable_IShellImageStore(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellImageStore)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, Open, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, Create, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, ReleaseLock, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, Close, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, Commit, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, IsLocked, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, GetMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, GetCapabilities, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, AddEntry, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, GetEntry, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, DeleteEntry, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, IsEntryInStore, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellImageStore, Enum, 1)
  __COM_VTABLE_SetDebug(__Object__, IShellImageStore)
EndMacro

DefineGUID(IID_IShellImageStore, $48C8118C, $B924, $11D1, $98, $D5, $00, $C0, $4F, $B6, $87, $DA)
