;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellItem_Vtbl Extends __COM_IUnknown_Vtbl
  BindToHandler.l
  GetParent.l
  GetDisplayName.l
  GetAttributes.l
  Compare.l
EndStructure

Macro BuildCOMVTable_IShellItem(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellItem)
  __COM_VTABLE_SetMethod(__Object__, IShellItem, BindToHandler, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellItem, GetParent, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellItem, GetDisplayName, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellItem, GetAttributes, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellItem, Compare, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellItem)
EndMacro

DefineGUID(IID_IShellItem, $43826D1E, $E718, $42EE, $BC, $55, $A1, $E2, $61, $C3, $7B, $FE)
