;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellLinkA_Vtbl Extends __COM_IUnknown_Vtbl
  GetPath.l
  GetIDList.l
  SetIDList.l
  GetDescription.l
  SetDescription.l
  GetWorkingDirectory.l
  SetWorkingDirectory.l
  GetArguments.l
  SetArguments.l
  GetHotkey.l
  SetHotkey.l
  GetShowCmd.l
  SetShowCmd.l
  GetIconLocation.l
  SetIconLocation.l
  SetRelativePath.l
  Resolve.l
  SetPath.l
EndStructure

Macro BuildCOMVTable_IShellLinkA(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellLinkA)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetPath, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetIDList, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetIDList, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetDescription, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetDescription, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetWorkingDirectory, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetWorkingDirectory, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetArguments, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetArguments, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetHotkey, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetHotkey, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetShowCmd, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetShowCmd, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, GetIconLocation, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetIconLocation, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetRelativePath, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, Resolve, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkA, SetPath, 1)
  __COM_VTABLE_SetDebug(__Object__, IShellLinkA)
EndMacro

DefineGUID(IID_IShellLinkA, $000214EE, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
