;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellLinkW_Vtbl Extends __COM_IUnknown_Vtbl
  GetPath.l
  GetIDList.l
  SetIDList.l
  GetDescription.l
  SetDescription.l
  GetWorkingDirectory.l
  SetWorkingDirectory.l
  GetArguments.l
  SetArguments.l
  GetHotkey.l
  SetHotkey.l
  GetShowCmd.l
  SetShowCmd.l
  GetIconLocation.l
  SetIconLocation.l
  SetRelativePath.l
  Resolve.l
  SetPath.l
EndStructure

Macro BuildCOMVTable_IShellLinkW(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellLinkW)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetPath, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetIDList, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetIDList, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetDescription, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetDescription, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetWorkingDirectory, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetWorkingDirectory, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetArguments, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetArguments, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetHotkey, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetHotkey, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetShowCmd, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetShowCmd, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, GetIconLocation, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetIconLocation, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetRelativePath, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, Resolve, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellLinkW, SetPath, 1)
  __COM_VTABLE_SetDebug(__Object__, IShellLinkW)
EndMacro

DefineGUID(IID_IShellLinkW, $000214F9, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
