;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellNameSpace_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  MoveSelectionUp.l
  MoveSelectionDown.l
  ResetSort.l
  NewFolder.l
  Synchronize.l
  Import.l
  Export.l
  InvokeContextMenuCommand.l
  MoveSelectionTo.l
  get_SubscriptionsEnabled.l
  CreateSubscriptionForSelection.l
  DeleteSubscriptionForSelection.l
  SetRoot.l
  get_EnumOptions.l
  put_EnumOptions.l
  get_SelectedItem.l
  put_SelectedItem.l
  get_Root.l
  put_Root.l
  get_Depth.l
  put_Depth.l
  get_Mode.l
  put_Mode.l
  get_Flags.l
  put_Flags.l
  put_TVFlags.l
  get_TVFlags.l
  get_Columns.l
  put_Columns.l
  get_CountViewTypes.l
  SetViewType.l
  SelectedItems.l
  Expand.l
  UnselectAll.l
EndStructure

Macro BuildCOMVTable_IShellNameSpace(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellNameSpace)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, MoveSelectionUp, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, MoveSelectionDown, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, ResetSort, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, NewFolder, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, Synchronize, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, Import, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, Export, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, InvokeContextMenuCommand, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, MoveSelectionTo, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_SubscriptionsEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, CreateSubscriptionForSelection, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, DeleteSubscriptionForSelection, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, SetRoot, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_EnumOptions, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_EnumOptions, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_SelectedItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_SelectedItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_Root, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_Root, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_Depth, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_Depth, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_Mode, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_Mode, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_Flags, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_Flags, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_TVFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_TVFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_Columns, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, put_Columns, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, get_CountViewTypes, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, SetViewType, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, SelectedItems, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, Expand, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellNameSpace, UnselectAll, 0)
  __COM_VTABLE_SetDebug(__Object__, IShellNameSpace)
EndMacro

DefineGUID(IID_IShellNameSpace, $E572D3C9, $37BE, $4AE2, $82, $5D, $D5, $21, $76, $3E, $31, $08)
