;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellView2_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  TranslateAccelerator.l
  EnableModeless.l
  UIActivate.l
  Refresh.l
  CreateViewWindow.l
  DestroyViewWindow.l
  GetCurrentInfo.l
  AddPropertySheetPages.l
  SaveViewState.l
  SelectItem.l
  GetItemObject.l
  GetView.l
  CreateViewWindow2.l
  HandleRename.l
  SelectAndPositionItem.l
EndStructure

Macro BuildCOMVTable_IShellView2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellView2)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, TranslateAccelerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, EnableModeless, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, UIActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, Refresh, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, CreateViewWindow, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, DestroyViewWindow, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, GetCurrentInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, AddPropertySheetPages, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, SaveViewState, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, SelectItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, GetItemObject, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, GetView, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, CreateViewWindow2, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, HandleRename, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView2, SelectAndPositionItem, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellView2)
EndMacro

DefineGUID(IID_IShellView2, $88E39E80, $3578, $11CF, $AE, $69, $08, $00, $2B, $2E, $12, $62)
