;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISoftDistExt_Vtbl Extends __COM_IUnknown_Vtbl
  ProcessSoftDist.l
  GetFirstCodeBase.l
  GetNextCodeBase.l
  AsyncInstallDistributionUnit.l
EndStructure

Macro BuildCOMVTable_ISoftDistExt(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISoftDistExt)
  __COM_VTABLE_SetMethod(__Object__, ISoftDistExt, ProcessSoftDist, 3)
  __COM_VTABLE_SetMethod(__Object__, ISoftDistExt, GetFirstCodeBase, 2)
  __COM_VTABLE_SetMethod(__Object__, ISoftDistExt, GetNextCodeBase, 2)
  __COM_VTABLE_SetMethod(__Object__, ISoftDistExt, AsyncInstallDistributionUnit, 4)
  __COM_VTABLE_SetDebug(__Object__, ISoftDistExt)
EndMacro

DefineGUID(IID_ISoftDistExt, $B15B8DC1, $C7E1, $11D0, $86, $80, $00, $AA, $00, $BD, $CB, $71)
