;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISynchronize_Vtbl Extends __COM_IUnknown_Vtbl
  Wait.l
  Signal.l
  Reset.l
EndStructure

Macro BuildCOMVTable_ISynchronize(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISynchronize)
  __COM_VTABLE_SetMethod(__Object__, ISynchronize, Wait, 2)
  __COM_VTABLE_SetMethod(__Object__, ISynchronize, Signal, 0)
  __COM_VTABLE_SetMethod(__Object__, ISynchronize, Reset, 0)
  __COM_VTABLE_SetDebug(__Object__, ISynchronize)
EndMacro

DefineGUID(IID_ISynchronize, $00000030, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
