;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISynchronizeContainer_Vtbl Extends __COM_IUnknown_Vtbl
  AddSynchronize.l
  WaitMultiple.l
EndStructure

Macro BuildCOMVTable_ISynchronizeContainer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISynchronizeContainer)
  __COM_VTABLE_SetMethod(__Object__, ISynchronizeContainer, AddSynchronize, 1)
  __COM_VTABLE_SetMethod(__Object__, ISynchronizeContainer, WaitMultiple, 3)
  __COM_VTABLE_SetDebug(__Object__, ISynchronizeContainer)
EndMacro

DefineGUID(IID_ISynchronizeContainer, $00000033, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
