;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITAddress_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_State.l
  get_AddressName.l
  get_ServiceProviderName.l
  get_TAPIObject.l
  CreateCall.l
  get_Calls.l
  EnumerateCalls.l
  get_DialableAddress.l
  CreateForwardInfoObject.l
  Forward.l
  get_CurrentForwardInfo.l
  put_MessageWaiting.l
  get_MessageWaiting.l
  put_DoNotDisturb.l
  get_DoNotDisturb.l
EndStructure

Macro BuildCOMVTable_ITAddress(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITAddress)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_State, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_AddressName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_ServiceProviderName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_TAPIObject, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, CreateCall, 4)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_Calls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, EnumerateCalls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_DialableAddress, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, CreateForwardInfoObject, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, Forward, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_CurrentForwardInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, put_MessageWaiting, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_MessageWaiting, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, put_DoNotDisturb, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress, get_DoNotDisturb, 1)
  __COM_VTABLE_SetDebug(__Object__, ITAddress)
EndMacro

DefineGUID(IID_ITAddress, $B1EFC386, $9355, $11D0, $83, $5C, $00, $AA, $00, $3C, $CA, $BD)
