;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITAddress2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_State.l
  get_AddressName.l
  get_ServiceProviderName.l
  get_TAPIObject.l
  CreateCall.l
  get_Calls.l
  EnumerateCalls.l
  get_DialableAddress.l
  CreateForwardInfoObject.l
  Forward.l
  get_CurrentForwardInfo.l
  put_MessageWaiting.l
  get_MessageWaiting.l
  put_DoNotDisturb.l
  get_DoNotDisturb.l
  get_Phones.l
  EnumeratePhones.l
  GetPhoneFromTerminal.l
  get_PreferredPhones.l
  EnumeratePreferredPhones.l
  get_EventFilter.l
  put_EventFilter.l
  DeviceSpecific.l
  DeviceSpecificVariant.l
  NegotiateExtVersion.l
EndStructure

Macro BuildCOMVTable_ITAddress2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITAddress2)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_State, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_AddressName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_ServiceProviderName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_TAPIObject, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, CreateCall, 4)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_Calls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, EnumerateCalls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_DialableAddress, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, CreateForwardInfoObject, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, Forward, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_CurrentForwardInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, put_MessageWaiting, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_MessageWaiting, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, put_DoNotDisturb, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_DoNotDisturb, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_Phones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, EnumeratePhones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, GetPhoneFromTerminal, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_PreferredPhones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, EnumeratePreferredPhones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, get_EventFilter, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, put_EventFilter, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, DeviceSpecific, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, DeviceSpecificVariant, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddress2, NegotiateExtVersion, 3)
  __COM_VTABLE_SetDebug(__Object__, ITAddress2)
EndMacro

DefineGUID(IID_ITAddress2, $B0AE5D9B, $BE51, $46C9, $B0, $F7, $DF, $A8, $A2, $2A, $8B, $C4)
