;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITAddressCapabilities_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_AddressCapability.l
  get_AddressCapabilityString.l
  get_CallTreatments.l
  EnumerateCallTreatments.l
  get_CompletionMessages.l
  EnumerateCompletionMessages.l
  get_DeviceClasses.l
  EnumerateDeviceClasses.l
EndStructure

Macro BuildCOMVTable_ITAddressCapabilities(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITAddressCapabilities)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, get_AddressCapability, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, get_AddressCapabilityString, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, get_CallTreatments, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, EnumerateCallTreatments, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, get_CompletionMessages, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, EnumerateCompletionMessages, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, get_DeviceClasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressCapabilities, EnumerateDeviceClasses, 1)
  __COM_VTABLE_SetDebug(__Object__, ITAddressCapabilities)
EndMacro

DefineGUID(IID_ITAddressCapabilities, $8DF232F5, $821B, $11D1, $BB, $5C, $00, $C0, $4F, $B6, $80, $9F)
