;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITAddressTranslation_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  TranslateAddress.l
  TranslateDialog.l
  EnumerateLocations.l
  get_Locations.l
  EnumerateCallingCards.l
  get_CallingCards.l
EndStructure

Macro BuildCOMVTable_ITAddressTranslation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITAddressTranslation)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, TranslateAddress, 4)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, TranslateDialog, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, EnumerateLocations, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, get_Locations, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, EnumerateCallingCards, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAddressTranslation, get_CallingCards, 1)
  __COM_VTABLE_SetDebug(__Object__, ITAddressTranslation)
EndMacro

DefineGUID(IID_ITAddressTranslation, $0C4D8F03, $8DDB, $11D1, $A0, $9E, $00, $80, $5F, $C1, $47, $D3)
