;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITBasicCallControl2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  Connect.l
  Answer.l
  Disconnect.l
  Hold.l
  HandoffDirect.l
  HandoffIndirect.l
  Conference.l
  Transfer.l
  BlindTransfer.l
  SwapHold.l
  ParkDirect.l
  ParkIndirect.l
  Unpark.l
  SetQOS.l
  Pickup.l
  Dial.l
  Finish.l
  RemoveFromConference.l
  RequestTerminal.l
  SelectTerminalOnCall.l
  UnselectTerminalOnCall.l
EndStructure

Macro BuildCOMVTable_ITBasicCallControl2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITBasicCallControl2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Connect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Answer, 0)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Disconnect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Hold, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, HandoffDirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, HandoffIndirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Conference, 2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Transfer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, BlindTransfer, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, SwapHold, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, ParkDirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, ParkIndirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Unpark, 0)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, SetQOS, 2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Pickup, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Dial, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, Finish, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, RemoveFromConference, 0)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, RequestTerminal, 4)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, SelectTerminalOnCall, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl2, UnselectTerminalOnCall, 1)
  __COM_VTABLE_SetDebug(__Object__, ITBasicCallControl2)
EndMacro

DefineGUID(IID_ITBasicCallControl2, $161A4A56, $1E99, $4B3F, $A4, $6A, $16, $8F, $38, $A5, $EE, $4C)
