;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITCallHub_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  Clear.l
  EnumerateCalls.l
  get_Calls.l
  get_NumCalls.l
  get_State.l
EndStructure

Macro BuildCOMVTable_ITCallHub(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITCallHub)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, Clear, 0)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, EnumerateCalls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, get_Calls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, get_NumCalls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallHub, get_State, 1)
  __COM_VTABLE_SetDebug(__Object__, ITCallHub)
EndMacro

DefineGUID(IID_ITCallHub, $A3C1544E, $5B92, $11D1, $8F, $4E, $00, $C0, $4F, $B6, $80, $9F)
