;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITCallInfo_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Address.l
  get_CallState.l
  get_Privilege.l
  get_CallHub.l
  get_CallInfoLong.l
  put_CallInfoLong.l
  get_CallInfoString.l
  put_CallInfoString.l
  get_CallInfoBuffer.l
  put_CallInfoBuffer.l
  GetCallInfoBuffer.l
  SetCallInfoBuffer.l
  ReleaseUserUserInfo.l
EndStructure

Macro BuildCOMVTable_ITCallInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITCallInfo)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_Address, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_CallState, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_Privilege, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_CallHub, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_CallInfoLong, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, put_CallInfoLong, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_CallInfoString, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, put_CallInfoString, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, get_CallInfoBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, put_CallInfoBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, GetCallInfoBuffer, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, SetCallInfoBuffer, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo, ReleaseUserUserInfo, 0)
  __COM_VTABLE_SetDebug(__Object__, ITCallInfo)
EndMacro

DefineGUID(IID_ITCallInfo, $350F85D1, $1227, $11D3, $83, $D4, $00, $C0, $4F, $B6, $80, $9F)
