;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITCallInfo2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Address.l
  get_CallState.l
  get_Privilege.l
  get_CallHub.l
  get_CallInfoLong.l
  put_CallInfoLong.l
  get_CallInfoString.l
  put_CallInfoString.l
  get_CallInfoBuffer.l
  put_CallInfoBuffer.l
  GetCallInfoBuffer.l
  SetCallInfoBuffer.l
  ReleaseUserUserInfo.l
  get_EventFilter.l
  put_EventFilter.l
EndStructure

Macro BuildCOMVTable_ITCallInfo2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITCallInfo2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_Address, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_CallState, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_Privilege, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_CallHub, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_CallInfoLong, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, put_CallInfoLong, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_CallInfoString, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, put_CallInfoString, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_CallInfoBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, put_CallInfoBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, GetCallInfoBuffer, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, SetCallInfoBuffer, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, ReleaseUserUserInfo, 0)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, get_EventFilter, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallInfo2, put_EventFilter, 3)
  __COM_VTABLE_SetDebug(__Object__, ITCallInfo2)
EndMacro

DefineGUID(IID_ITCallInfo2, $94D70CA6, $7AB0, $4DAA, $81, $CA, $B8, $F8, $64, $3F, $AE, $C1)
