;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITCallStateEvent_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Call.l
  get_State.l
  get_Cause.l
  get_CallbackInstance.l
EndStructure

Macro BuildCOMVTable_ITCallStateEvent(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITCallStateEvent)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, get_Call, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, get_State, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, get_Cause, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallStateEvent, get_CallbackInstance, 1)
  __COM_VTABLE_SetDebug(__Object__, ITCallStateEvent)
EndMacro

DefineGUID(IID_ITCallStateEvent, $62F47097, $95C9, $11D0, $83, $5D, $00, $AA, $00, $3C, $CA, $BD)
