;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITCallingCard_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_PermanentCardID.l
  get_NumberOfDigits.l
  get_Options.l
  get_CardName.l
  get_SameAreaDialingRule.l
  get_LongDistanceDialingRule.l
  get_InternationalDialingRule.l
EndStructure

Macro BuildCOMVTable_ITCallingCard(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITCallingCard)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_PermanentCardID, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_NumberOfDigits, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_Options, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_CardName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_SameAreaDialingRule, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_LongDistanceDialingRule, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCallingCard, get_InternationalDialingRule, 1)
  __COM_VTABLE_SetDebug(__Object__, ITCallingCard)
EndMacro

DefineGUID(IID_ITCallingCard, $0C4D8F00, $8DDB, $11D1, $A0, $9E, $00, $80, $5F, $C1, $47, $D3)
