;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITCollection_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Count.l
  get_Item.l
  get__NewEnum.l
EndStructure

Macro BuildCOMVTable_ITCollection(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITCollection)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, get_Count, 1)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, get_Item, 2)
  __COM_VTABLE_SetMethod(__Object__, ITCollection, get__NewEnum, 1)
  __COM_VTABLE_SetDebug(__Object__, ITCollection)
EndMacro

DefineGUID(IID_ITCollection, $5EC5ACF2, $9C02, $11D0, $83, $62, $00, $AA, $00, $3C, $CA, $BD)
