;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITLegacyCallMediaControl2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  DetectDigits.l
  GenerateDigits.l
  GetID.l
  SetMediaType.l
  MonitorMedia.l
  GenerateDigits2.l
  GatherDigits.l
  DetectTones.l
  DetectTonesByCollection.l
  GenerateTone.l
  GenerateCustomTones.l
  GenerateCustomTonesByCollection.l
  CreateDetectToneObject.l
  CreateCustomToneObject.l
  GetIDAsVariant.l
EndStructure

Macro BuildCOMVTable_ITLegacyCallMediaControl2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITLegacyCallMediaControl2)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, DetectDigits, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GenerateDigits, 2)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GetID, 3)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, SetMediaType, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, MonitorMedia, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GenerateDigits2, 3)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GatherDigits, 5)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, DetectTones, 2)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, DetectTonesByCollection, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GenerateTone, 2)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GenerateCustomTones, 3)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GenerateCustomTonesByCollection, 2)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, CreateDetectToneObject, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, CreateCustomToneObject, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLegacyCallMediaControl2, GetIDAsVariant, 2)
  __COM_VTABLE_SetDebug(__Object__, ITLegacyCallMediaControl2)
EndMacro

DefineGUID(IID_ITLegacyCallMediaControl2, $57CA332D, $7BC2, $44F1, $A6, $0C, $93, $6F, $E8, $D7, $CE, $73)
