;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITMultiTrackTerminal_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_TrackTerminals.l
  EnumerateTrackTerminals.l
  CreateTrackTerminal.l
  get_MediaTypesInUse.l
  get_DirectionsInUse.l
  RemoveTrackTerminal.l
EndStructure

Macro BuildCOMVTable_ITMultiTrackTerminal(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITMultiTrackTerminal)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, get_TrackTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, EnumerateTrackTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, CreateTrackTerminal, 3)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, get_MediaTypesInUse, 1)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, get_DirectionsInUse, 1)
  __COM_VTABLE_SetMethod(__Object__, ITMultiTrackTerminal, RemoveTrackTerminal, 1)
  __COM_VTABLE_SetDebug(__Object__, ITMultiTrackTerminal)
EndMacro

DefineGUID(IID_ITMultiTrackTerminal, $FE040091, $ADE8, $4072, $95, $C9, $BF, $7D, $E8, $C5, $4B, $44)
