;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITPhone_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  Open.l
  Close.l
  get_Addresses.l
  EnumerateAddresses.l
  get_PhoneCapsLong.l
  get_PhoneCapsString.l
  get_Terminals.l
  EnumerateTerminals.l
  get_ButtonMode.l
  put_ButtonMode.l
  get_ButtonFunction.l
  put_ButtonFunction.l
  get_ButtonText.l
  put_ButtonText.l
  get_ButtonState.l
  get_HookSwitchState.l
  put_HookSwitchState.l
  put_RingMode.l
  get_RingMode.l
  put_RingVolume.l
  get_RingVolume.l
  get_Privilege.l
  GetPhoneCapsBuffer.l
  get_PhoneCapsBuffer.l
  get_LampMode.l
  put_LampMode.l
  get_Display.l
  SetDisplay.l
  get_PreferredAddresses.l
  EnumeratePreferredAddresses.l
  DeviceSpecific.l
  DeviceSpecificVariant.l
  NegotiateExtVersion.l
EndStructure

Macro BuildCOMVTable_ITPhone(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITPhone)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, Close, 0)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_Addresses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, EnumerateAddresses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_PhoneCapsLong, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_PhoneCapsString, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_Terminals, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, EnumerateTerminals, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_ButtonMode, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_ButtonMode, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_ButtonFunction, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_ButtonFunction, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_ButtonText, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_ButtonText, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_ButtonState, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_HookSwitchState, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_HookSwitchState, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_RingMode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_RingMode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_RingVolume, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_RingVolume, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_Privilege, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, GetPhoneCapsBuffer, 3)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_PhoneCapsBuffer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_LampMode, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, put_LampMode, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_Display, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, SetDisplay, 3)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, get_PreferredAddresses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, EnumeratePreferredAddresses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, DeviceSpecific, 2)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, DeviceSpecificVariant, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhone, NegotiateExtVersion, 3)
  __COM_VTABLE_SetDebug(__Object__, ITPhone)
EndMacro

DefineGUID(IID_ITPhone, $09D48DB4, $10CC, $4388, $9D, $E7, $A8, $46, $56, $18, $97, $5A)
