;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITPrivateEvent_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Address.l
  get_Call.l
  get_CallHub.l
  get_EventCode.l
  get_EventInterface.l
EndStructure

Macro BuildCOMVTable_ITPrivateEvent(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITPrivateEvent)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, get_Address, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, get_Call, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, get_CallHub, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, get_EventCode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPrivateEvent, get_EventInterface, 1)
  __COM_VTABLE_SetDebug(__Object__, ITPrivateEvent)
EndMacro

DefineGUID(IID_ITPrivateEvent, $0E269CD0, $10D4, $4121, $9C, $22, $9C, $85, $D6, $25, $65, $0D)
