;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITRequestEvent_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_RegistrationInstance.l
  get_RequestMode.l
  get_DestAddress.l
  get_AppName.l
  get_CalledParty.l
  get_Comment.l
EndStructure

Macro BuildCOMVTable_ITRequestEvent(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITRequestEvent)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, get_RegistrationInstance, 1)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, get_RequestMode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, get_DestAddress, 1)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, get_AppName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, get_CalledParty, 1)
  __COM_VTABLE_SetMethod(__Object__, ITRequestEvent, get_Comment, 1)
  __COM_VTABLE_SetDebug(__Object__, ITRequestEvent)
EndMacro

DefineGUID(IID_ITRequestEvent, $AC48FFDE, $F8C4, $11D1, $A0, $30, $00, $C0, $4F, $B6, $80, $9F)
