;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITStreamControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  CreateStream.l
  RemoveStream.l
  EnumerateStreams.l
  get_Streams.l
EndStructure

Macro BuildCOMVTable_ITStreamControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITStreamControl)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, CreateStream, 3)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, RemoveStream, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, EnumerateStreams, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStreamControl, get_Streams, 1)
  __COM_VTABLE_SetDebug(__Object__, ITStreamControl)
EndMacro

DefineGUID(IID_ITStreamControl, $EE3BD604, $3868, $11D2, $A0, $45, $00, $C0, $4F, $B6, $80, $9F)
