;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITSubStream_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  StartSubStream.l
  PauseSubStream.l
  StopSubStream.l
  SelectTerminal.l
  UnselectTerminal.l
  EnumerateTerminals.l
  get_Terminals.l
  get_Stream.l
EndStructure

Macro BuildCOMVTable_ITSubStream(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITSubStream)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, StartSubStream, 0)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, PauseSubStream, 0)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, StopSubStream, 0)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, SelectTerminal, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, UnselectTerminal, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, EnumerateTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, get_Terminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStream, get_Stream, 1)
  __COM_VTABLE_SetDebug(__Object__, ITSubStream)
EndMacro

DefineGUID(IID_ITSubStream, $EE3BD608, $3868, $11D2, $A0, $45, $00, $C0, $4F, $B6, $80, $9F)
