;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITTerminalSupport_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_StaticTerminals.l
  EnumerateStaticTerminals.l
  get_DynamicTerminalClasses.l
  EnumerateDynamicTerminalClasses.l
  CreateTerminal.l
  GetDefaultStaticTerminal.l
EndStructure

Macro BuildCOMVTable_ITTerminalSupport(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITTerminalSupport)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, get_StaticTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, EnumerateStaticTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, get_DynamicTerminalClasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, EnumerateDynamicTerminalClasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, CreateTerminal, 4)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport, GetDefaultStaticTerminal, 3)
  __COM_VTABLE_SetDebug(__Object__, ITTerminalSupport)
EndMacro

DefineGUID(IID_ITTerminalSupport, $B1EFC385, $9355, $11D0, $83, $5C, $00, $AA, $00, $3C, $CA, $BD)
