;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITaskbarList2_Vtbl Extends __COM_IUnknown_Vtbl
  HrInit.l
  AddTab.l
  DeleteTab.l
  ActivateTab.l
  SetActiveAlt.l
  MarkFullscreenWindow.l
EndStructure

Macro BuildCOMVTable_ITaskbarList2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITaskbarList2)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList2, HrInit, 0)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList2, AddTab, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList2, DeleteTab, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList2, ActivateTab, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList2, SetActiveAlt, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList2, MarkFullscreenWindow, 2)
  __COM_VTABLE_SetDebug(__Object__, ITaskbarList2)
EndMacro

DefineGUID(IID_ITaskbarList2, $602D4995, $B13A, $429B, $A6, $6E, $19, $35, $E4, $4F, $43, $17)
