;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITypeInfo2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeAttr.l
  GetTypeComp.l
  GetFuncDesc.l
  GetVarDesc.l
  GetNames.l
  GetRefTypeOfImplType.l
  GetImplTypeFlags.l
  GetIDsOfNames.l
  Invoke.l
  GetDocumentation.l
  GetDllEntry.l
  GetRefTypeInfo.l
  AddressOfMember.l
  CreateInstance.l
  GetMops.l
  GetContainingTypeLib.l
  ReleaseTypeAttr.l
  ReleaseFuncDesc.l
  ReleaseVarDesc.l
  GetTypeKind.l
  GetTypeFlags.l
  GetFuncIndexOfMemId.l
  GetVarIndexOfMemId.l
  GetCustData.l
  GetFuncCustData.l
  GetParamCustData.l
  GetVarCustData.l
  GetImplTypeCustData.l
  GetDocumentation2.l
  GetAllCustData.l
  GetAllFuncCustData.l
  GetAllParamCustData.l
  GetAllVarCustData.l
  GetAllImplTypeCustData.l
EndStructure

Macro BuildCOMVTable_ITypeInfo2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITypeInfo2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetTypeAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetTypeComp, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetFuncDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetVarDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetNames, 4)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetRefTypeOfImplType, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetImplTypeFlags, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetIDsOfNames, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, Invoke, 7)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetDocumentation, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetDllEntry, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetRefTypeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, AddressOfMember, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, CreateInstance, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetMops, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetContainingTypeLib, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, ReleaseTypeAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, ReleaseFuncDesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, ReleaseVarDesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetTypeKind, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetTypeFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetFuncIndexOfMemId, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetVarIndexOfMemId, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetCustData, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetFuncCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetParamCustData, 4)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetVarCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetImplTypeCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetDocumentation2, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetAllCustData, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetAllFuncCustData, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetAllParamCustData, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetAllVarCustData, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo2, GetAllImplTypeCustData, 2)
  __COM_VTABLE_SetDebug(__Object__, ITypeInfo2)
EndMacro

DefineGUID(IID_ITypeInfo2, $00020412, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
