;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITypeLib2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetTypeInfoType.l
  GetTypeInfoOfGuid.l
  GetLibAttr.l
  GetTypeComp.l
  GetDocumentation.l
  IsName.l
  FindName.l
  ReleaseTLibAttr.l
  GetCustData.l
  GetLibStatistics.l
  GetDocumentation2.l
  GetAllCustData.l
EndStructure

Macro BuildCOMVTable_ITypeLib2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITypeLib2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetTypeInfoCount, 0)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetTypeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetTypeInfoType, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetTypeInfoOfGuid, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetLibAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetTypeComp, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetDocumentation, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, IsName, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, FindName, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, ReleaseTLibAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetCustData, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetLibStatistics, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetDocumentation2, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib2, GetAllCustData, 1)
  __COM_VTABLE_SetDebug(__Object__, ITypeLib2)
EndMacro

DefineGUID(IID_ITypeLib2, $00020411, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
