;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IUserEventTimer_Vtbl Extends __COM_IUnknown_Vtbl
  SetUserEventTimer.l
  KillUserEventTimer.l
  GetUserEventTimerElapsed.l
  InitTimerTickInterval.l
EndStructure

Macro BuildCOMVTable_IUserEventTimer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IUserEventTimer)
  __COM_VTABLE_SetMethod(__Object__, IUserEventTimer, SetUserEventTimer, 5)
  __COM_VTABLE_SetMethod(__Object__, IUserEventTimer, KillUserEventTimer, 2)
  __COM_VTABLE_SetMethod(__Object__, IUserEventTimer, GetUserEventTimerElapsed, 3)
  __COM_VTABLE_SetMethod(__Object__, IUserEventTimer, InitTimerTickInterval, 1)
  __COM_VTABLE_SetDebug(__Object__, IUserEventTimer)
EndMacro

DefineGUID(IID_IUserEventTimer, $0F504B94, $6E42, $42E6, $99, $E0, $E2, $0F, $AF, $E5, $2A, $B4)
