;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IViewObject_Vtbl Extends __COM_IUnknown_Vtbl
  Draw.l
  GetColorSet.l
  Freeze.l
  Unfreeze.l
  SetAdvise.l
  GetAdvise.l
EndStructure

Macro BuildCOMVTable_IViewObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IViewObject)
  __COM_VTABLE_SetMethod(__Object__, IViewObject, Draw, 10)
  __COM_VTABLE_SetMethod(__Object__, IViewObject, GetColorSet, 6)
  __COM_VTABLE_SetMethod(__Object__, IViewObject, Freeze, 4)
  __COM_VTABLE_SetMethod(__Object__, IViewObject, Unfreeze, 1)
  __COM_VTABLE_SetMethod(__Object__, IViewObject, SetAdvise, 3)
  __COM_VTABLE_SetMethod(__Object__, IViewObject, GetAdvise, 3)
  __COM_VTABLE_SetDebug(__Object__, IViewObject)
EndMacro

DefineGUID(IID_IViewObject, $0000010D, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
