;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IViewObjectEx_Vtbl Extends __COM_IUnknown_Vtbl
  Draw.l
  GetColorSet.l
  Freeze.l
  Unfreeze.l
  SetAdvise.l
  GetAdvise.l
  GetExtent.l
  GetRect.l
  GetViewStatus.l
  QueryHitPoint.l
  QueryHitRect.l
  GetNaturalExtent.l
EndStructure

Macro BuildCOMVTable_IViewObjectEx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IViewObjectEx)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, Draw, 10)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, GetColorSet, 6)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, Freeze, 4)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, Unfreeze, 1)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, SetAdvise, 3)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, GetAdvise, 3)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, GetExtent, 4)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, GetRect, 2)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, GetViewStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, QueryHitPoint, 5)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, QueryHitRect, 5)
  __COM_VTABLE_SetMethod(__Object__, IViewObjectEx, GetNaturalExtent, 6)
  __COM_VTABLE_SetDebug(__Object__, IViewObjectEx)
EndMacro

DefineGUID(IID_IViewObjectEx, $3AF24292, $0C96, $11CE, $A0, $CF, $00, $AA, $00, $60, $0A, $B8)
