;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IWebBridge_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_URL.l
  get_URL.l
  put_Scrollbar.l
  get_Scrollbar.l
  put_embed.l
  get_embed.l
  get_event.l
  get_readyState.l
  AboutBox.l
EndStructure

Macro BuildCOMVTable_IWebBridge(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IWebBridge)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, put_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, get_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, put_Scrollbar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, get_Scrollbar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, put_embed, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, get_embed, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, get_event, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBridge, AboutBox, 0)
  __COM_VTABLE_SetDebug(__Object__, IWebBridge)
EndMacro

DefineGUID(IID_IWebBridge, $AE24FDAD, $03C6, $11D1, $8B, $76, $00, $80, $C7, $44, $F3, $89)
