;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IWebBrowser_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  GoBack.l
  GoForward.l
  GoHome.l
  GoSearch.l
  Navigate.l
  Refresh.l
  Refresh2.l
  Stop.l
  get_Application.l
  get_Parent.l
  get_Container.l
  get_Document.l
  get_TopLevelContainer.l
  get_Type.l
  get_Left.l
  put_Left.l
  get_Top.l
  put_Top.l
  get_Width.l
  put_Width.l
  get_Height.l
  put_Height.l
  get_LocationName.l
  get_LocationURL.l
  get_Busy.l
EndStructure

Macro BuildCOMVTable_IWebBrowser(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IWebBrowser)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GoBack, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GoForward, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GoHome, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, GoSearch, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, Navigate, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, Refresh, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, Refresh2, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, Stop, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Container, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Document, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_TopLevelContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Type, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Left, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, put_Left, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Top, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, put_Top, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, put_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, put_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_LocationName, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_LocationURL, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser, get_Busy, 1)
  __COM_VTABLE_SetDebug(__Object__, IWebBrowser)
EndMacro

DefineGUID(IID_IWebBrowser, $EAB22AC1, $30C1, $11CF, $A7, $EB, $00, $00, $C0, $5B, $AE, $0B)
