;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IWebBrowser2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  GoBack.l
  GoForward.l
  GoHome.l
  GoSearch.l
  Navigate.l
  Refresh.l
  Refresh2.l
  Stop.l
  get_Application.l
  get_Parent.l
  get_Container.l
  get_Document.l
  get_TopLevelContainer.l
  get_Type.l
  get_Left.l
  put_Left.l
  get_Top.l
  put_Top.l
  get_Width.l
  put_Width.l
  get_Height.l
  put_Height.l
  get_LocationName.l
  get_LocationURL.l
  get_Busy.l
  Quit.l
  ClientToWindow.l
  PutProperty.l
  GetProperty.l
  get_Name.l
  get_HWND.l
  get_FullName.l
  get_Path.l
  get_Visible.l
  put_Visible.l
  get_StatusBar.l
  put_StatusBar.l
  get_StatusText.l
  put_StatusText.l
  get_ToolBar.l
  put_ToolBar.l
  get_MenuBar.l
  put_MenuBar.l
  get_FullScreen.l
  put_FullScreen.l
  Navigate2.l
  QueryStatusWB.l
  ExecWB.l
  ShowBrowserBar.l
  get_ReadyState.l
  get_Offline.l
  put_Offline.l
  get_Silent.l
  put_Silent.l
  get_RegisterAsBrowser.l
  put_RegisterAsBrowser.l
  get_RegisterAsDropTarget.l
  put_RegisterAsDropTarget.l
  get_TheaterMode.l
  put_TheaterMode.l
  get_AddressBar.l
  put_AddressBar.l
  get_Resizable.l
  put_Resizable.l
EndStructure

Macro BuildCOMVTable_IWebBrowser2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IWebBrowser2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GoBack, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GoForward, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GoHome, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GoSearch, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Navigate, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Refresh, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Refresh2, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Stop, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Container, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Document, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_TopLevelContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Type, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Left, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Left, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Top, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Top, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_LocationName, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_LocationURL, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Busy, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Quit, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, ClientToWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, PutProperty, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, GetProperty, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_HWND, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_FullName, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Path, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Visible, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Visible, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_StatusBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_StatusBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_StatusText, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_StatusText, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_ToolBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_ToolBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_MenuBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_MenuBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_FullScreen, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_FullScreen, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, Navigate2, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, QueryStatusWB, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, ExecWB, 4)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, ShowBrowserBar, 3)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_ReadyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Offline, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Offline, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Silent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Silent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_RegisterAsBrowser, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_RegisterAsBrowser, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_RegisterAsDropTarget, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_RegisterAsDropTarget, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_TheaterMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_TheaterMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_AddressBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_AddressBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, get_Resizable, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowser2, put_Resizable, 1)
  __COM_VTABLE_SetDebug(__Object__, IWebBrowser2)
EndMacro

DefineGUID(IID_IWebBrowser2, $D30C1661, $CDAF, $11D0, $8A, $3E, $00, $C0, $4F, $C9, $E2, $6E)
