;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMDocumentFragment_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
EndStructure

Macro BuildCOMVTable_IXMLDOMDocumentFragment(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMDocumentFragment)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentFragment, transformNodeToObject, 2)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMDocumentFragment)
EndMacro

DefineGUID(IID_IXMLDOMDocumentFragment, $3EFAA413, $272F, $11D2, $83, $6F, $00, $00, $F8, $7A, $77, $82)
