;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMDocumentType_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_name.l
  get_entities.l
  get_notations.l
EndStructure

Macro BuildCOMVTable_IXMLDOMDocumentType(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMDocumentType)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_entities, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocumentType, get_notations, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMDocumentType)
EndMacro

DefineGUID(IID_IXMLDOMDocumentType, $2933BF8B, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
