;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_tagName.l
  getAttribute.l
  setAttribute.l
  removeAttribute.l
  getAttributeNode.l
  setAttributeNode.l
  removeAttributeNode.l
  getElementsByTagName.l
  normalize.l
EndStructure

Macro BuildCOMVTable_IXMLDOMElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMElement)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, get_tagName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, getAttribute, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, setAttribute, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, removeAttribute, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, getAttributeNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, setAttributeNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, removeAttributeNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, getElementsByTagName, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMElement, normalize, 0)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMElement)
EndMacro

DefineGUID(IID_IXMLDOMElement, $2933BF86, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
