;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMEntity_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_publicId.l
  get_systemId.l
  get_notationName.l
EndStructure

Macro BuildCOMVTable_IXMLDOMEntity(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMEntity)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_publicId, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_systemId, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntity, get_notationName, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMEntity)
EndMacro

DefineGUID(IID_IXMLDOMEntity, $2933BF8D, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
