;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMEntityReference_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
EndStructure

Macro BuildCOMVTable_IXMLDOMEntityReference(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMEntityReference)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMEntityReference, transformNodeToObject, 2)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMEntityReference)
EndMacro

DefineGUID(IID_IXMLDOMEntityReference, $2933BF8E, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
