;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMText_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_data.l
  put_data.l
  get_length.l
  substringData.l
  appendData.l
  insertData.l
  deleteData.l
  replaceData.l
  splitText.l
EndStructure

Macro BuildCOMVTable_IXMLDOMText(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMText)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, put_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, get_length, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, substringData, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, appendData, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, insertData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, deleteData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, replaceData, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMText, splitText, 2)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMText)
EndMacro

DefineGUID(IID_IXMLDOMText, $2933BF87, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
