;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDSOControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_XMLDocument.l
  put_XMLDocument.l
  get_JavaDSOCompatible.l
  put_JavaDSOCompatible.l
  get_readyState.l
EndStructure

Macro BuildCOMVTable_IXMLDSOControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDSOControl)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, get_XMLDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, put_XMLDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, get_JavaDSOCompatible, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, put_JavaDSOCompatible, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDSOControl, get_readyState, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDSOControl)
EndMacro

DefineGUID(IID_IXMLDSOControl, $310AFA62, $0575, $11D2, $9C, $A9, $00, $60, $B0, $EC, $3D, $39)
