;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDocument2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_root.l
  get_fileSize.l
  get_fileModifiedDate.l
  get_fileUpdatedDate.l
  get_URL.l
  put_URL.l
  get_mimeType.l
  get_readyState.l
  get_charset.l
  put_charset.l
  get_version.l
  get_doctype.l
  get_dtdURL.l
  createElement.l
  get_async.l
  put_async.l
EndStructure

Macro BuildCOMVTable_IXMLDocument2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDocument2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_root, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_fileSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_fileModifiedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_fileUpdatedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, put_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_mimeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, put_charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_version, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_doctype, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_dtdURL, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, createElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, get_async, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument2, put_async, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDocument2)
EndMacro

DefineGUID(IID_IXMLDocument2, $2B8DE2FE, $8D2D, $11D1, $B2, $FC, $00, $C0, $4F, $D9, $15, $A9)
