;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_tagName.l
  put_tagName.l
  get_parent.l
  setAttribute.l
  getAttribute.l
  removeAttribute.l
  get_children.l
  get_type.l
  get_text.l
  put_text.l
  addChild.l
  removeChild.l
EndStructure

Macro BuildCOMVTable_IXMLElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLElement)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, get_tagName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, put_tagName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, get_parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, setAttribute, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, getAttribute, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, removeAttribute, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, get_children, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, get_type, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, addChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLElement, removeChild, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLElement)
EndMacro

DefineGUID(IID_IXMLElement, $3F7F31AC, $E15F, $11D0, $9C, $25, $00, $C0, $4F, $C9, $9C, $8E)
