;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLHttpRequest_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  open.l
  setRequestHeader.l
  getResponseHeader.l
  getAllResponseHeaders.l
  send.l
  abort.l
  get_status.l
  get_statusText.l
  get_responseXML.l
  get_responseText.l
  get_responseBody.l
  get_responseStream.l
  get_readyState.l
  put_onreadystatechange.l
EndStructure

Macro BuildCOMVTable_IXMLHttpRequest(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLHttpRequest)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, open, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, setRequestHeader, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, getResponseHeader, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, getAllResponseHeaders, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, send, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, abort, 0)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_status, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_statusText, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_responseXML, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_responseText, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_responseBody, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_responseStream, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLHttpRequest, put_onreadystatechange, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLHttpRequest)
EndMacro

DefineGUID(IID_IXMLHttpRequest, $ED8C108D, $4349, $11D2, $91, $A4, $00, $C0, $4F, $79, $69, $E8)
