;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_AsyncIUnknown_Vtbl Extends __COM_IUnknown_Vtbl
  Begin_QueryInterface.l
  Finish_QueryInterface.l
  Begin_AddRef.l
  Finish_AddRef.l
  Begin_Release.l
  Finish_Release.l
EndStructure

Macro BuildCOMVTable_AsyncIUnknown(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, AsyncIUnknown)
  __COM_VTABLE_SetMethod(__Object__, AsyncIUnknown, Begin_QueryInterface, 1)
  __COM_VTABLE_SetMethod(__Object__, AsyncIUnknown, Finish_QueryInterface, 1)
  __COM_VTABLE_SetMethod(__Object__, AsyncIUnknown, Begin_AddRef, 0)
  __COM_VTABLE_SetMethod(__Object__, AsyncIUnknown, Finish_AddRef, 0)
  __COM_VTABLE_SetMethod(__Object__, AsyncIUnknown, Begin_Release, 0)
  __COM_VTABLE_SetMethod(__Object__, AsyncIUnknown, Finish_Release, 0)
  __COM_VTABLE_SetDebug(__Object__, AsyncIUnknown)
EndMacro

DefineGUID(IID_AsyncIUnknown, $000E0000, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
