;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_Folder_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Title.l
  get_Application.l
  get_Parent.l
  get_ParentFolder.l
  Items.l
  ParseName.l
  NewFolder.l
  MoveHere.l
  CopyHere.l
  GetDetailsOf.l
EndStructure

Macro BuildCOMVTable_Folder(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, Folder)
  __COM_VTABLE_SetMethod(__Object__, Folder, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, Folder, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, Folder, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, Folder, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, Folder, get_Title, 1)
  __COM_VTABLE_SetMethod(__Object__, Folder, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, Folder, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, Folder, get_ParentFolder, 1)
  __COM_VTABLE_SetMethod(__Object__, Folder, Items, 1)
  __COM_VTABLE_SetMethod(__Object__, Folder, ParseName, 2)
  __COM_VTABLE_SetMethod(__Object__, Folder, NewFolder, 2)
  __COM_VTABLE_SetMethod(__Object__, Folder, MoveHere, 2)
  __COM_VTABLE_SetMethod(__Object__, Folder, CopyHere, 2)
  __COM_VTABLE_SetMethod(__Object__, Folder, GetDetailsOf, 3)
  __COM_VTABLE_SetDebug(__Object__, Folder)
EndMacro

DefineGUID(IID_Folder, $BBCBDE60, $C3FF, $11CE, $83, $50, $44, $45, $53, $54, $00, $00)
