;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_FolderItem_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Application.l
  get_Parent.l
  get_Name.l
  put_Name.l
  get_Path.l
  get_GetLink.l
  get_GetFolder.l
  get_IsLink.l
  get_IsFolder.l
  get_IsFileSystem.l
  get_IsBrowsable.l
  get_ModifyDate.l
  put_ModifyDate.l
  get_Size.l
  get_Type.l
  Verbs.l
  InvokeVerb.l
EndStructure

Macro BuildCOMVTable_FolderItem(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, FolderItem)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, put_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_Path, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_GetLink, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_GetFolder, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_IsLink, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_IsFolder, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_IsFileSystem, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_IsBrowsable, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_ModifyDate, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, put_ModifyDate, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_Size, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, get_Type, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, Verbs, 1)
  __COM_VTABLE_SetMethod(__Object__, FolderItem, InvokeVerb, 1)
  __COM_VTABLE_SetDebug(__Object__, FolderItem)
EndMacro

DefineGUID(IID_FolderItem, $FAC32C80, $CBE4, $11CE, $83, $50, $44, $45, $53, $54, $00, $00)
