;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IADesktopP2_Vtbl Extends __COM_IUnknown_Vtbl
  ReReadWallpaper.l
  GetADObjectFlags.l
  UpdateAllDesktopSubscriptions.l
  MakeDynamicChanges.l
EndStructure

Macro BuildCOMVTable_IADesktopP2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IADesktopP2)
  __COM_VTABLE_SetMethod(__Object__, IADesktopP2, ReReadWallpaper, 0)
  __COM_VTABLE_SetMethod(__Object__, IADesktopP2, GetADObjectFlags, 2)
  __COM_VTABLE_SetMethod(__Object__, IADesktopP2, UpdateAllDesktopSubscriptions, 0)
  __COM_VTABLE_SetMethod(__Object__, IADesktopP2, MakeDynamicChanges, 1)
  __COM_VTABLE_SetDebug(__Object__, IADesktopP2)
EndMacro

DefineGUID(IID_IADesktopP2, $B22754E2, $4574, $11D1, $98, $88, $00, $60, $97, $DE, $AC, $F9)
