;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAMPlayListItem_Vtbl Extends __COM_IUnknown_Vtbl
  GetFlags.l
  GetSourceCount.l
  GetSourceURL.l
  GetSourceStart.l
  GetSourceDuration.l
  GetSourceStartMarker.l
  GetSourceEndMarker.l
  GetSourceStartMarkerName.l
  GetSourceEndMarkerName.l
  GetLinkURL.l
  GetScanDuration.l
EndStructure

Macro BuildCOMVTable_IAMPlayListItem(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAMPlayListItem)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceURL, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceStart, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceDuration, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceStartMarker, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceEndMarker, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceStartMarkerName, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetSourceEndMarkerName, 2)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetLinkURL, 1)
  __COM_VTABLE_SetMethod(__Object__, IAMPlayListItem, GetScanDuration, 2)
  __COM_VTABLE_SetDebug(__Object__, IAMPlayListItem)
EndMacro

DefineGUID(IID_IAMPlayListItem, $56A868FF, $0AD4, $11CE, $B0, $A3, $00, $20, $AF, $0B, $A7, $70)
