;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAccPropServices_Vtbl Extends __COM_IUnknown_Vtbl
  SetPropValue.l
  SetPropServer.l
  ClearProps.l
  SetHwndProp.l
  SetHwndPropStr.l
  SetHwndPropServer.l
  ClearHwndProps.l
  ComposeHwndIdentityString.l
  DecomposeHwndIdentityString.l
  SetHmenuProp.l
  SetHmenuPropStr.l
  SetHmenuPropServer.l
  ClearHmenuProps.l
  ComposeHmenuIdentityString.l
  DecomposeHmenuIdentityString.l
EndStructure

Macro BuildCOMVTable_IAccPropServices(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAccPropServices)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetPropValue, 4)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetPropServer, 6)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, ClearProps, 4)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetHwndProp, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetHwndPropStr, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetHwndPropServer, 7)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, ClearHwndProps, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, ComposeHwndIdentityString, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, DecomposeHwndIdentityString, 5)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetHmenuProp, 4)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetHmenuPropStr, 4)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, SetHmenuPropServer, 6)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, ClearHmenuProps, 4)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, ComposeHmenuIdentityString, 4)
  __COM_VTABLE_SetMethod(__Object__, IAccPropServices, DecomposeHmenuIdentityString, 4)
  __COM_VTABLE_SetDebug(__Object__, IAccPropServices)
EndMacro

DefineGUID(IID_IAccPropServices, $6E26E776, $04F0, $495D, $80, $E4, $33, $30, $35, $2E, $31, $69)
