;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IActiveIME2_Vtbl Extends __COM_IUnknown_Vtbl
  Inquire.l
  ConversionList.l
  Configure.l
  Destroy.l
  Escape.l
  SetActiveContext.l
  ProcessKey.l
  Notify.l
  Select.l
  SetCompositionString.l
  ToAsciiEx.l
  RegisterWord.l
  UnregisterWord.l
  GetRegisterWordStyle.l
  EnumRegisterWord.l
  GetCodePageA.l
  GetLangId.l
  Sleep.l
  Unsleep.l
EndStructure

Macro BuildCOMVTable_IActiveIME2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IActiveIME2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Inquire, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, ConversionList, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Configure, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Destroy, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Escape, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, SetActiveContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, ProcessKey, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Notify, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Select, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, SetCompositionString, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, ToAsciiEx, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, RegisterWord, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, UnregisterWord, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, GetRegisterWordStyle, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, EnumRegisterWord, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, GetCodePageA, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, GetLangId, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Sleep, 0)
  __COM_VTABLE_SetMethod(__Object__, IActiveIME2, Unsleep, 1)
  __COM_VTABLE_SetDebug(__Object__, IActiveIME2)
EndMacro

DefineGUID(IID_IActiveIME2, $E1C4BF0E, $2D53, $11D2, $93, $E1, $00, $60, $B0, $67, $B8, $6E)
