;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IActiveIMMApp_Vtbl Extends __COM_IUnknown_Vtbl
  AssociateContext.l
  ConfigureIMEA.l
  ConfigureIMEW.l
  CreateContext.l
  DestroyContext.l
  EnumRegisterWordA.l
  EnumRegisterWordW.l
  EscapeA.l
  EscapeW.l
  GetCandidateListA.l
  GetCandidateListW.l
  GetCandidateListCountA.l
  GetCandidateListCountW.l
  GetCandidateWindow.l
  GetCompositionFontA.l
  GetCompositionFontW.l
  GetCompositionStringA.l
  GetCompositionStringW.l
  GetCompositionWindow.l
  GetContext.l
  GetConversionListA.l
  GetConversionListW.l
  GetConversionStatus.l
  GetDefaultIMEWnd.l
  GetDescriptionA.l
  GetDescriptionW.l
  GetGuideLineA.l
  GetGuideLineW.l
  GetIMEFileNameA.l
  GetIMEFileNameW.l
  GetOpenStatus.l
  GetProperty.l
  GetRegisterWordStyleA.l
  GetRegisterWordStyleW.l
  GetStatusWindowPos.l
  GetVirtualKey.l
  InstallIMEA.l
  InstallIMEW.l
  IsIME.l
  IsUIMessageA.l
  IsUIMessageW.l
  NotifyIME.l
  RegisterWordA.l
  RegisterWordW.l
  ReleaseContext.l
  SetCandidateWindow.l
  SetCompositionFontA.l
  SetCompositionFontW.l
  SetCompositionStringA.l
  SetCompositionStringW.l
  SetCompositionWindow.l
  SetConversionStatus.l
  SetOpenStatus.l
  SetStatusWindowPos.l
  SimulateHotKey.l
  UnregisterWordA.l
  UnregisterWordW.l
  Activate.l
  Deactivate.l
  OnDefWindowProc.l
  FilterClientWindows.l
  GetCodePageA.l
  GetLangId.l
  AssociateContextEx.l
  DisableIME.l
  GetImeMenuItemsA.l
  GetImeMenuItemsW.l
  EnumInputContext.l
EndStructure

Macro BuildCOMVTable_IActiveIMMApp(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IActiveIMMApp)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, AssociateContext, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, ConfigureIMEA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, ConfigureIMEW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, CreateContext, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, DestroyContext, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, EnumRegisterWordA, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, EnumRegisterWordW, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, EscapeA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, EscapeW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCandidateListA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCandidateListW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCandidateListCountA, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCandidateListCountW, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCandidateWindow, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCompositionFontA, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCompositionFontW, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCompositionStringA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCompositionStringW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCompositionWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetConversionListA, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetConversionListW, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetConversionStatus, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetDefaultIMEWnd, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetDescriptionA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetDescriptionW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetGuideLineA, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetGuideLineW, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetIMEFileNameA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetIMEFileNameW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetOpenStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetProperty, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetRegisterWordStyleA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetRegisterWordStyleW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetStatusWindowPos, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetVirtualKey, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, InstallIMEA, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, InstallIMEW, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, IsIME, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, IsUIMessageA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, IsUIMessageW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, NotifyIME, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, RegisterWordA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, RegisterWordW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, ReleaseContext, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetCandidateWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetCompositionFontA, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetCompositionFontW, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetCompositionStringA, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetCompositionStringW, 6)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetCompositionWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetConversionStatus, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetOpenStatus, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SetStatusWindowPos, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, SimulateHotKey, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, UnregisterWordA, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, UnregisterWordW, 4)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, Activate, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, Deactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, OnDefWindowProc, 5)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, FilterClientWindows, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetCodePageA, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetLangId, 2)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, AssociateContextEx, 3)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, DisableIME, 1)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetImeMenuItemsA, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, GetImeMenuItemsW, 7)
  __COM_VTABLE_SetMethod(__Object__, IActiveIMMApp, EnumInputContext, 2)
  __COM_VTABLE_SetDebug(__Object__, IActiveIMMApp)
EndMacro

DefineGUID(IID_IActiveIMMApp, $08C0E040, $62D1, $11D1, $93, $26, $00, $60, $B0, $67, $B8, $6E)
