;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAsyncOperation_Vtbl Extends __COM_IUnknown_Vtbl
  SetAsyncMode.l
  GetAsyncMode.l
  StartOperation.l
  InOperation.l
  EndOperation.l
EndStructure

Macro BuildCOMVTable_IAsyncOperation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAsyncOperation)
  __COM_VTABLE_SetMethod(__Object__, IAsyncOperation, SetAsyncMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncOperation, GetAsyncMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncOperation, StartOperation, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncOperation, InOperation, 1)
  __COM_VTABLE_SetMethod(__Object__, IAsyncOperation, EndOperation, 3)
  __COM_VTABLE_SetDebug(__Object__, IAsyncOperation)
EndMacro

DefineGUID(IID_IAsyncOperation, $3D8B0590, $F691, $11D2, $8E, $A9, $00, $60, $97, $DF, $5B, $D4)
