;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IAttachmentExecute_Vtbl Extends __COM_IUnknown_Vtbl
  SetClientTitle.l
  SetClientGuid.l
  SetLocalPath.l
  SetFileName.l
  SetSource.l
  SetReferrer.l
  CheckPolicy.l
  Prompt.l
  Save.l
  Execute.l
  SaveWithUI.l
  ClearClientState.l
EndStructure

Macro BuildCOMVTable_IAttachmentExecute(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IAttachmentExecute)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SetClientTitle, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SetClientGuid, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SetLocalPath, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SetFileName, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SetSource, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SetReferrer, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, CheckPolicy, 0)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, Prompt, 3)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, Save, 0)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, Execute, 3)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, SaveWithUI, 1)
  __COM_VTABLE_SetMethod(__Object__, IAttachmentExecute, ClearClientState, 0)
  __COM_VTABLE_SetDebug(__Object__, IAttachmentExecute)
EndMacro

DefineGUID(IID_IAttachmentExecute, $73DB1241, $1E85, $4581, $8E, $4F, $A8, $1E, $1D, $0F, $8C, $57)
