;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IBinding_Vtbl Extends __COM_IUnknown_Vtbl
  Abort.l
  Suspend.l
  Resume.l
  SetPriority.l
  GetPriority.l
  GetBindResult.l
EndStructure

Macro BuildCOMVTable_IBinding(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IBinding)
  __COM_VTABLE_SetMethod(__Object__, IBinding, Abort, 0)
  __COM_VTABLE_SetMethod(__Object__, IBinding, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IBinding, Resume, 0)
  __COM_VTABLE_SetMethod(__Object__, IBinding, SetPriority, 1)
  __COM_VTABLE_SetMethod(__Object__, IBinding, GetPriority, 1)
  __COM_VTABLE_SetMethod(__Object__, IBinding, GetBindResult, 4)
  __COM_VTABLE_SetDebug(__Object__, IBinding)
EndMacro

DefineGUID(IID_IBinding, $79EAC9C0, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
