;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IConnectionPoint_Vtbl Extends __COM_IUnknown_Vtbl
  GetConnectionInterface.l
  GetConnectionPointContainer.l
  Advise.l
  Unadvise.l
  EnumConnections.l
EndStructure

Macro BuildCOMVTable_IConnectionPoint(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IConnectionPoint)
  __COM_VTABLE_SetMethod(__Object__, IConnectionPoint, GetConnectionInterface, 1)
  __COM_VTABLE_SetMethod(__Object__, IConnectionPoint, GetConnectionPointContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IConnectionPoint, Advise, 2)
  __COM_VTABLE_SetMethod(__Object__, IConnectionPoint, Unadvise, 1)
  __COM_VTABLE_SetMethod(__Object__, IConnectionPoint, EnumConnections, 1)
  __COM_VTABLE_SetDebug(__Object__, IConnectionPoint)
EndMacro

DefineGUID(IID_IConnectionPoint, $B196B286, $BAB4, $101A, $B6, $9C, $00, $AA, $00, $34, $1D, $07)
