;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ICreateTypeLib2_Vtbl Extends __COM_IUnknown_Vtbl
  CreateTypeInfo.l
  SetName.l
  SetVersion.l
  SetGuid.l
  SetDocString.l
  SetHelpFileName.l
  SetHelpContext.l
  SetLcid.l
  SetLibFlags.l
  SaveAllChanges.l
  DeleteTypeInfo.l
  SetCustData.l
  SetHelpStringContext.l
  SetHelpStringDll.l
EndStructure

Macro BuildCOMVTable_ICreateTypeLib2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ICreateTypeLib2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, CreateTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetName, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetVersion, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetGuid, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetDocString, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetHelpFileName, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetHelpContext, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetLcid, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetLibFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SaveAllChanges, 0)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, DeleteTypeInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetCustData, 2)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetHelpStringContext, 1)
  __COM_VTABLE_SetMethod(__Object__, ICreateTypeLib2, SetHelpStringDll, 1)
  __COM_VTABLE_SetDebug(__Object__, ICreateTypeLib2)
EndMacro

DefineGUID(IID_ICreateTypeLib2, $0002040F, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
