;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXARGBReadWritePtr_Vtbl Extends __COM_IUnknown_Vtbl
  GetSurface.l
  GetNativeType.l
  Move.l
  MoveToRow.l
  MoveToXY.l
  MoveAndGetRunInfo.l
  Unpack.l
  UnpackPremult.l
  UnpackRect.l
  PackAndMove.l
  PackPremultAndMove.l
  PackRect.l
  CopyAndMoveBoth.l
  CopyRect.l
  FillAndMove.l
  FillRect.l
  OverSample.l
  OverArrayAndMove.l
EndStructure

Macro BuildCOMVTable_IDXARGBReadWritePtr(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXARGBReadWritePtr)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, GetSurface, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, GetNativeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, Move, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, MoveToRow, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, MoveToXY, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, MoveAndGetRunInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, Unpack, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, UnpackPremult, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, UnpackRect, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, PackAndMove, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, PackPremultAndMove, 2)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, PackRect, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, CopyAndMoveBoth, 4)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, CopyRect, 5)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, FillAndMove, 4)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, FillRect, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, OverSample, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXARGBReadWritePtr, OverArrayAndMove, 3)
  __COM_VTABLE_SetDebug(__Object__, IDXARGBReadWritePtr)
EndMacro

DefineGUID(IID_IDXARGBReadWritePtr, $EAAAC2D7, $C290, $11D1, $90, $5D, $00, $C0, $4F, $D9, $18, $9D)
