;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXBaseObject_Vtbl Extends __COM_IUnknown_Vtbl
  GetGenerationId.l
  IncrementGenerationId.l
  GetObjectSize.l
EndStructure

Macro BuildCOMVTable_IDXBaseObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXBaseObject)
  __COM_VTABLE_SetMethod(__Object__, IDXBaseObject, GetGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXBaseObject, IncrementGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXBaseObject, GetObjectSize, 1)
  __COM_VTABLE_SetDebug(__Object__, IDXBaseObject)
EndMacro

DefineGUID(IID_IDXBaseObject, $17B59B2B, $9CC8, $11D1, $90, $53, $00, $C0, $4F, $D9, $18, $9D)
