;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXSurfaceFactory_Vtbl Extends __COM_IUnknown_Vtbl
  CreateSurface.l
  CreateFromDDSurface.l
  LoadImage.l
  LoadImageFromStream.l
  CopySurfaceToNewFormat.l
  CreateD3DRMTexture.l
  BitBlt.l
EndStructure

Macro BuildCOMVTable_IDXSurfaceFactory(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXSurfaceFactory)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, CreateSurface, 8)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, CreateFromDDSurface, 6)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, LoadImage, 6)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, LoadImageFromStream, 6)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, CopySurfaceToNewFormat, 5)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, CreateD3DRMTexture, 5)
  __COM_VTABLE_SetMethod(__Object__, IDXSurfaceFactory, BitBlt, 5)
  __COM_VTABLE_SetDebug(__Object__, IDXSurfaceFactory)
EndMacro

DefineGUID(IID_IDXSurfaceFactory, $144946F5, $C4D4, $11D1, $81, $D1, $00, $00, $F8, $75, $57, $DB)
