;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXTaskManager_Vtbl Extends __COM_IUnknown_Vtbl
  QueryNumProcessors.l
  SetThreadPoolSize.l
  GetThreadPoolSize.l
  SetConcurrencyLimit.l
  GetConcurrencyLimit.l
  ScheduleTasks.l
  TerminateTasks.l
  TerminateRequest.l
EndStructure

Macro BuildCOMVTable_IDXTaskManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXTaskManager)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, QueryNumProcessors, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, SetThreadPoolSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, GetThreadPoolSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, SetConcurrencyLimit, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, GetConcurrencyLimit, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, ScheduleTasks, 5)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, TerminateTasks, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXTaskManager, TerminateRequest, 2)
  __COM_VTABLE_SetDebug(__Object__, IDXTaskManager)
EndMacro

DefineGUID(IID_IDXTaskManager, $254DBBC1, $F922, $11D0, $88, $3A, $3C, $8B, $00, $C1, $00, $00)
