;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXTransform_Vtbl Extends __COM_IUnknown_Vtbl
  GetGenerationId.l
  IncrementGenerationId.l
  GetObjectSize.l
  Setup.l
  Execute.l
  MapBoundsIn2Out.l
  MapBoundsOut2In.l
  SetMiscFlags.l
  GetMiscFlags.l
  GetInOutInfo.l
  SetQuality.l
  GetQuality.l
EndStructure

Macro BuildCOMVTable_IDXTransform(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXTransform)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, GetGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, IncrementGenerationId, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, GetObjectSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, Setup, 5)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, Execute, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, MapBoundsIn2Out, 4)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, MapBoundsOut2In, 4)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, SetMiscFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, GetMiscFlags, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, GetInOutInfo, 6)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, SetQuality, 1)
  __COM_VTABLE_SetMethod(__Object__, IDXTransform, GetQuality, 1)
  __COM_VTABLE_SetDebug(__Object__, IDXTransform)
EndMacro

DefineGUID(IID_IDXTransform, $30A5FB78, $E11F, $11D1, $90, $64, $00, $C0, $4F, $D9, $18, $9D)
