;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDXTransformFactory_Vtbl Extends __COM_IUnknown_Vtbl
  QueryService.l
  SetService.l
  CreateTransform.l
  InitializeTransform.l
EndStructure

Macro BuildCOMVTable_IDXTransformFactory(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDXTransformFactory)
  __COM_VTABLE_SetMethod(__Object__, IDXTransformFactory, QueryService, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXTransformFactory, SetService, 3)
  __COM_VTABLE_SetMethod(__Object__, IDXTransformFactory, CreateTransform, 9)
  __COM_VTABLE_SetMethod(__Object__, IDXTransformFactory, InitializeTransform, 7)
  __COM_VTABLE_SetDebug(__Object__, IDXTransformFactory)
EndMacro

DefineGUID(IID_IDXTransformFactory, $6A950B2B, $A971, $11D1, $81, $C8, $00, $00, $F8, $75, $57, $DB)
