;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDeskBand_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  ShowDW.l
  CloseDW.l
  ResizeBorderDW.l
  GetBandInfo.l
EndStructure

Macro BuildCOMVTable_IDeskBand(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDeskBand)
  __COM_VTABLE_SetMethod(__Object__, IDeskBand, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IDeskBand, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IDeskBand, ShowDW, 1)
  __COM_VTABLE_SetMethod(__Object__, IDeskBand, CloseDW, 1)
  __COM_VTABLE_SetMethod(__Object__, IDeskBand, ResizeBorderDW, 3)
  __COM_VTABLE_SetMethod(__Object__, IDeskBand, GetBandInfo, 3)
  __COM_VTABLE_SetDebug(__Object__, IDeskBand)
EndMacro

DefineGUID(IID_IDeskBand, $EB0FE172, $1A3A, $11D0, $89, $B3, $00, $A0, $C9, $0A, $90, $AC)
