;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDirectWriterLock_Vtbl Extends __COM_IUnknown_Vtbl
  WaitForWriteAccess.l
  ReleaseWriteAccess.l
  HaveWriteAccess.l
EndStructure

Macro BuildCOMVTable_IDirectWriterLock(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDirectWriterLock)
  __COM_VTABLE_SetMethod(__Object__, IDirectWriterLock, WaitForWriteAccess, 1)
  __COM_VTABLE_SetMethod(__Object__, IDirectWriterLock, ReleaseWriteAccess, 0)
  __COM_VTABLE_SetMethod(__Object__, IDirectWriterLock, HaveWriteAccess, 0)
  __COM_VTABLE_SetDebug(__Object__, IDirectWriterLock)
EndMacro

DefineGUID(IID_IDirectWriterLock, $0E6D4D92, $6738, $11CF, $96, $08, $00, $AA, $00, $68, $0D, $B4)
