;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDisplayPointer_Vtbl Extends __COM_IUnknown_Vtbl
  MoveToPoint.l
  MoveUnit.l
  PositionMarkupPointer.l
  MoveToPointer.l
  SetPointerGravity.l
  GetPointerGravity.l
  SetDisplayGravity.l
  GetDisplayGravity.l
  IsPositioned.l
  Unposition.l
  IsEqualTo.l
  IsLeftOf.l
  IsRightOf.l
  IsAtBOL.l
  MoveToMarkupPointer.l
  ScrollIntoView.l
  GetLineInfo.l
  GetFlowElement.l
  QueryBreaks.l
EndStructure

Macro BuildCOMVTable_IDisplayPointer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDisplayPointer)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, MoveToPoint, 5)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, MoveUnit, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, PositionMarkupPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, MoveToPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, SetPointerGravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, GetPointerGravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, SetDisplayGravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, GetDisplayGravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, IsPositioned, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, Unposition, 0)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, IsEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, IsLeftOf, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, IsRightOf, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, IsAtBOL, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, MoveToMarkupPointer, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, ScrollIntoView, 0)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, GetLineInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, GetFlowElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayPointer, QueryBreaks, 1)
  __COM_VTABLE_SetDebug(__Object__, IDisplayPointer)
EndMacro

DefineGUID(IID_IDisplayPointer, $3050F69E, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
