;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDisplayServices_Vtbl Extends __COM_IUnknown_Vtbl
  CreateDisplayPointer.l
  TransformRect.l
  TransformPoint.l
  GetCaret.l
  GetComputedStyle.l
  ScrollRectIntoView.l
  HasFlowLayout.l
EndStructure

Macro BuildCOMVTable_IDisplayServices(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDisplayServices)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, CreateDisplayPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, TransformRect, 4)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, TransformPoint, 4)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, GetCaret, 1)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, GetComputedStyle, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, ScrollRectIntoView, 2)
  __COM_VTABLE_SetMethod(__Object__, IDisplayServices, HasFlowLayout, 2)
  __COM_VTABLE_SetDebug(__Object__, IDisplayServices)
EndMacro

DefineGUID(IID_IDisplayServices, $3050F69D, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
