;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDockingWindow_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  ShowDW.l
  CloseDW.l
  ResizeBorderDW.l
EndStructure

Macro BuildCOMVTable_IDockingWindow(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDockingWindow)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindow, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindow, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindow, ShowDW, 1)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindow, CloseDW, 1)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindow, ResizeBorderDW, 3)
  __COM_VTABLE_SetDebug(__Object__, IDockingWindow)
EndMacro

DefineGUID(IID_IDockingWindow, $012DD920, $7B26, $11D0, $8C, $A9, $00, $A0, $C9, $2D, $BF, $E8)
