;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IDockingWindowFrame_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  AddToolbar.l
  RemoveToolbar.l
  FindToolbar.l
EndStructure

Macro BuildCOMVTable_IDockingWindowFrame(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IDockingWindowFrame)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindowFrame, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindowFrame, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindowFrame, AddToolbar, 3)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindowFrame, RemoveToolbar, 2)
  __COM_VTABLE_SetMethod(__Object__, IDockingWindowFrame, FindToolbar, 3)
  __COM_VTABLE_SetDebug(__Object__, IDockingWindowFrame)
EndMacro

DefineGUID(IID_IDockingWindowFrame, $47D2657A, $7B27, $11D0, $8C, $A9, $00, $A0, $C9, $2D, $BF, $E8)
