;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IErrorInfo_Vtbl Extends __COM_IUnknown_Vtbl
  GetGUID.l
  GetSource.l
  GetDescription.l
  GetHelpFile.l
  GetHelpContext.l
EndStructure

Macro BuildCOMVTable_IErrorInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IErrorInfo)
  __COM_VTABLE_SetMethod(__Object__, IErrorInfo, GetGUID, 1)
  __COM_VTABLE_SetMethod(__Object__, IErrorInfo, GetSource, 1)
  __COM_VTABLE_SetMethod(__Object__, IErrorInfo, GetDescription, 1)
  __COM_VTABLE_SetMethod(__Object__, IErrorInfo, GetHelpFile, 1)
  __COM_VTABLE_SetMethod(__Object__, IErrorInfo, GetHelpContext, 1)
  __COM_VTABLE_SetDebug(__Object__, IErrorInfo)
EndMacro

DefineGUID(IID_IErrorInfo, $1CF2B120, $547D, $101B, $8E, $65, $08, $00, $2B, $2B, $D1, $19)
