;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IFileSearchBand_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  SetFocus.l
  SetSearchParameters.l
  get_SearchID.l
  get_Scope.l
  get_QueryFile.l
EndStructure

Macro BuildCOMVTable_IFileSearchBand(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IFileSearchBand)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, SetFocus, 0)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, SetSearchParameters, 4)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, get_SearchID, 1)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, get_Scope, 1)
  __COM_VTABLE_SetMethod(__Object__, IFileSearchBand, get_QueryFile, 1)
  __COM_VTABLE_SetDebug(__Object__, IFileSearchBand)
EndMacro

DefineGUID(IID_IFileSearchBand, $2D91EEA1, $9932, $11D2, $BE, $86, $00, $A0, $C9, $A8, $3D, $A1)
