;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IFolderView_Vtbl Extends __COM_IUnknown_Vtbl
  GetCurrentViewMode.l
  SetCurrentViewMode.l
  GetFolder.l
  Item.l
  ItemCount.l
  Items.l
  GetSelectionMarkedItem.l
  GetFocusedItem.l
  GetItemPosition.l
  GetSpacing.l
  GetDefaultSpacing.l
  GetAutoArrange.l
  SelectItem.l
  SelectAndPositionItems.l
EndStructure

Macro BuildCOMVTable_IFolderView(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IFolderView)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetCurrentViewMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, SetCurrentViewMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetFolder, 2)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, Item, 2)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, ItemCount, 2)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, Items, 3)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetSelectionMarkedItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetFocusedItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetItemPosition, 2)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetDefaultSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, GetAutoArrange, 0)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, SelectItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IFolderView, SelectAndPositionItems, 4)
  __COM_VTABLE_SetDebug(__Object__, IFolderView)
EndMacro

DefineGUID(IID_IFolderView, $CDE725B0, $CCC9, $4519, $91, $7E, $32, $5D, $72, $FA, $B4, $CE)
