;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IGlobalInterfaceTable_Vtbl Extends __COM_IUnknown_Vtbl
  RegisterInterfaceInGlobal.l
  RevokeInterfaceFromGlobal.l
  GetInterfaceFromGlobal.l
EndStructure

Macro BuildCOMVTable_IGlobalInterfaceTable(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IGlobalInterfaceTable)
  __COM_VTABLE_SetMethod(__Object__, IGlobalInterfaceTable, RegisterInterfaceInGlobal, 3)
  __COM_VTABLE_SetMethod(__Object__, IGlobalInterfaceTable, RevokeInterfaceFromGlobal, 1)
  __COM_VTABLE_SetMethod(__Object__, IGlobalInterfaceTable, GetInterfaceFromGlobal, 3)
  __COM_VTABLE_SetDebug(__Object__, IGlobalInterfaceTable)
EndMacro

DefineGUID(IID_IGlobalInterfaceTable, $00000146, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
