;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLBodyElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_background.l
  get_background.l
  put_bgProperties.l
  get_bgProperties.l
  put_leftMargin.l
  get_leftMargin.l
  put_topMargin.l
  get_topMargin.l
  put_rightMargin.l
  get_rightMargin.l
  put_bottomMargin.l
  get_bottomMargin.l
  put_noWrap.l
  get_noWrap.l
  put_bgColor.l
  get_bgColor.l
  put_text.l
  get_text.l
  put_link.l
  get_link.l
  put_vLink.l
  get_vLink.l
  put_aLink.l
  get_aLink.l
  put_onload.l
  get_onload.l
  put_onunload.l
  get_onunload.l
  put_scroll.l
  get_scroll.l
  put_onselect.l
  get_onselect.l
  put_onbeforeunload.l
  get_onbeforeunload.l
  createTextRange.l
EndStructure

Macro BuildCOMVTable_IHTMLBodyElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLBodyElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_background, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_background, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_bgProperties, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_bgProperties, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_leftMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_leftMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_topMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_topMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_rightMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_rightMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_bottomMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_bottomMargin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_noWrap, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_noWrap, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_bgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_bgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_link, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_link, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_vLink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_vLink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_aLink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_aLink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_onunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_onunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_scroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_scroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_onselect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_onselect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, put_onbeforeunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, get_onbeforeunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLBodyElement, createTextRange, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLBodyElement)
EndMacro

DefineGUID(IID_IHTMLBodyElement, $3050F1D8, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
