;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLComputedStyle_Vtbl Extends __COM_IUnknown_Vtbl
  get_bold.l
  get_italic.l
  get_underline.l
  get_overline.l
  get_strikeOut.l
  get_subScript.l
  get_superScript.l
  get_explicitFace.l
  get_fontWeight.l
  get_fontSize.l
  get_fontName.l
  get_hasBgColor.l
  get_textColor.l
  get_backgroundColor.l
  get_preFormatted.l
  get_direction.l
  get_blockDirection.l
  get_OL.l
  IsEqual.l
EndStructure

Macro BuildCOMVTable_IHTMLComputedStyle(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLComputedStyle)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_bold, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_italic, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_underline, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_overline, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_strikeOut, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_subScript, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_superScript, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_explicitFace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_fontWeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_fontSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_fontName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_hasBgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_textColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_backgroundColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_preFormatted, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_direction, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_blockDirection, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, get_OL, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLComputedStyle, IsEqual, 2)
  __COM_VTABLE_SetDebug(__Object__, IHTMLComputedStyle)
EndMacro

DefineGUID(IID_IHTMLComputedStyle, $3050F6C3, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
