;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLControlRange_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  select.l
  add.l
  remove.l
  item.l
  scrollIntoView.l
  queryCommandSupported.l
  queryCommandEnabled.l
  queryCommandState.l
  queryCommandIndeterm.l
  queryCommandText.l
  queryCommandValue.l
  execCommand.l
  execCommandShowHelp.l
  commonParentElement.l
  get_length.l
EndStructure

Macro BuildCOMVTable_IHTMLControlRange(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLControlRange)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, select, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, add, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, remove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, item, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, scrollIntoView, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, queryCommandSupported, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, queryCommandEnabled, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, queryCommandState, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, queryCommandIndeterm, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, queryCommandText, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, queryCommandValue, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, execCommand, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, execCommandShowHelp, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, commonParentElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLControlRange, get_length, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLControlRange)
EndMacro

DefineGUID(IID_IHTMLControlRange, $3050F29C, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
