;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLDOMNode_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeType.l
  get_parentNode.l
  hasChildNodes.l
  get_childNodes.l
  get_attributes.l
  insertBefore.l
  removeChild.l
  replaceChild.l
  cloneNode.l
  removeNode.l
  swapNode.l
  replaceNode.l
  appendChild.l
  get_nodeName.l
  put_nodeValue.l
  get_nodeValue.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
EndStructure

Macro BuildCOMVTable_IHTMLDOMNode(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLDOMNode)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, removeNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, swapNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, replaceNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDOMNode, get_nextSibling, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLDOMNode)
EndMacro

DefineGUID(IID_IHTMLDOMNode, $3050F5DA, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
