;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLDatabinding_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_dataFld.l
  get_dataFld.l
  put_dataSrc.l
  get_dataSrc.l
  put_dataFormatAs.l
  get_dataFormatAs.l
EndStructure

Macro BuildCOMVTable_IHTMLDatabinding(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLDatabinding)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, put_dataFld, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, get_dataFld, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, put_dataSrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, get_dataSrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, put_dataFormatAs, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDatabinding, get_dataFormatAs, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLDatabinding)
EndMacro

DefineGUID(IID_IHTMLDatabinding, $3050F3F2, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
