;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLDocument2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Script.l
  get_all.l
  get_body.l
  get_activeElement.l
  get_images.l
  get_applets.l
  get_links.l
  get_forms.l
  get_anchors.l
  put_title.l
  get_title.l
  get_scripts.l
  put_designMode.l
  get_designMode.l
  get_selection.l
  get_readyState.l
  get_frames.l
  get_embeds.l
  get_plugins.l
  put_alinkColor.l
  get_alinkColor.l
  put_bgColor.l
  get_bgColor.l
  put_fgColor.l
  get_fgColor.l
  put_linkColor.l
  get_linkColor.l
  put_vlinkColor.l
  get_vlinkColor.l
  get_referrer.l
  get_location.l
  get_lastModified.l
  put_URL.l
  get_URL.l
  put_domain.l
  get_domain.l
  put_cookie.l
  get_cookie.l
  put_expando.l
  get_expando.l
  put_charset.l
  get_charset.l
  put_defaultCharset.l
  get_defaultCharset.l
  get_mimeType.l
  get_fileSize.l
  get_fileCreatedDate.l
  get_fileModifiedDate.l
  get_fileUpdatedDate.l
  get_security.l
  get_protocol.l
  get_nameProp.l
  write.l
  writeln.l
  open.l
  close.l
  clear.l
  queryCommandSupported.l
  queryCommandEnabled.l
  queryCommandState.l
  queryCommandIndeterm.l
  queryCommandText.l
  queryCommandValue.l
  execCommand.l
  execCommandShowHelp.l
  createElement.l
  put_onhelp.l
  get_onhelp.l
  put_onclick.l
  get_onclick.l
  put_ondblclick.l
  get_ondblclick.l
  put_onkeyup.l
  get_onkeyup.l
  put_onkeydown.l
  get_onkeydown.l
  put_onkeypress.l
  get_onkeypress.l
  put_onmouseup.l
  get_onmouseup.l
  put_onmousedown.l
  get_onmousedown.l
  put_onmousemove.l
  get_onmousemove.l
  put_onmouseout.l
  get_onmouseout.l
  put_onmouseover.l
  get_onmouseover.l
  put_onreadystatechange.l
  get_onreadystatechange.l
  put_onafterupdate.l
  get_onafterupdate.l
  put_onrowexit.l
  get_onrowexit.l
  put_onrowenter.l
  get_onrowenter.l
  put_ondragstart.l
  get_ondragstart.l
  put_onselectstart.l
  get_onselectstart.l
  elementFromPoint.l
  get_parentWindow.l
  get_styleSheets.l
  put_onbeforeupdate.l
  get_onbeforeupdate.l
  put_onerrorupdate.l
  get_onerrorupdate.l
  toString.l
  createStyleSheet.l
EndStructure

Macro BuildCOMVTable_IHTMLDocument2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLDocument2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_Script, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_all, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_body, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_activeElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_images, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_applets, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_links, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_forms, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_anchors, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_title, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_title, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_scripts, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_designMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_designMode, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_selection, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_frames, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_embeds, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_plugins, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_alinkColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_alinkColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_bgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_bgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_fgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_fgColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_linkColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_linkColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_vlinkColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_vlinkColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_referrer, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_location, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_lastModified, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_domain, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_domain, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_cookie, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_cookie, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_expando, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_expando, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_defaultCharset, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_defaultCharset, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_mimeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_fileSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_fileCreatedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_fileModifiedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_fileUpdatedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_security, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_protocol, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_nameProp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, write, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, writeln, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, open, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, close, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, clear, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, queryCommandSupported, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, queryCommandEnabled, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, queryCommandState, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, queryCommandIndeterm, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, queryCommandText, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, queryCommandValue, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, execCommand, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, execCommandShowHelp, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, createElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onhelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onhelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_ondblclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_ondblclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onkeyup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onkeyup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onkeydown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onkeydown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onkeypress, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onkeypress, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onmouseup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onmouseup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onmousedown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onmousedown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onmousemove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onmousemove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onmouseout, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onmouseout, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onmouseover, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onmouseover, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onafterupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onafterupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onrowexit, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onrowexit, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onrowenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onrowenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_ondragstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_ondragstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onselectstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onselectstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, elementFromPoint, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_parentWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_styleSheets, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onbeforeupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onbeforeupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, put_onerrorupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, get_onerrorupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, toString, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLDocument2, createStyleSheet, 3)
  __COM_VTABLE_SetDebug(__Object__, IHTMLDocument2)
EndMacro

DefineGUID(IID_IHTMLDocument2, $332C4425, $26CB, $11D0, $B4, $83, $00, $C0, $4F, $D9, $01, $19)
