;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  setAttribute.l
  getAttribute.l
  removeAttribute.l
  put_className.l
  get_className.l
  put_id.l
  get_id.l
  get_tagName.l
  get_parentElement.l
  get_style.l
  put_onhelp.l
  get_onhelp.l
  put_onclick.l
  get_onclick.l
  put_ondblclick.l
  get_ondblclick.l
  put_onkeydown.l
  get_onkeydown.l
  put_onkeyup.l
  get_onkeyup.l
  put_onkeypress.l
  get_onkeypress.l
  put_onmouseout.l
  get_onmouseout.l
  put_onmouseover.l
  get_onmouseover.l
  put_onmousemove.l
  get_onmousemove.l
  put_onmousedown.l
  get_onmousedown.l
  put_onmouseup.l
  get_onmouseup.l
  get_document.l
  put_title.l
  get_title.l
  put_language.l
  get_language.l
  put_onselectstart.l
  get_onselectstart.l
  scrollIntoView.l
  contains.l
  get_sourceIndex.l
  get_recordNumber.l
  put_lang.l
  get_lang.l
  get_offsetLeft.l
  get_offsetTop.l
  get_offsetWidth.l
  get_offsetHeight.l
  get_offsetParent.l
  put_innerHTML.l
  get_innerHTML.l
  put_innerText.l
  get_innerText.l
  put_outerHTML.l
  get_outerHTML.l
  put_outerText.l
  get_outerText.l
  insertAdjacentHTML.l
  insertAdjacentText.l
  get_parentTextEdit.l
  get_isTextEdit.l
  click.l
  get_filters.l
  put_ondragstart.l
  get_ondragstart.l
  toString.l
  put_onbeforeupdate.l
  get_onbeforeupdate.l
  put_onafterupdate.l
  get_onafterupdate.l
  put_onerrorupdate.l
  get_onerrorupdate.l
  put_onrowexit.l
  get_onrowexit.l
  put_onrowenter.l
  get_onrowenter.l
  put_ondatasetchanged.l
  get_ondatasetchanged.l
  put_ondataavailable.l
  get_ondataavailable.l
  put_ondatasetcomplete.l
  get_ondatasetcomplete.l
  put_onfilterchange.l
  get_onfilterchange.l
  get_children.l
  get_all.l
EndStructure

Macro BuildCOMVTable_IHTMLElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, setAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, getAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, removeAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_className, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_className, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_id, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_id, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_tagName, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_parentElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_style, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onhelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onhelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_ondblclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_ondblclick, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onkeydown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onkeydown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onkeyup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onkeyup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onkeypress, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onkeypress, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onmouseout, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onmouseout, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onmouseover, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onmouseover, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onmousemove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onmousemove, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onmousedown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onmousedown, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onmouseup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onmouseup, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_document, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_title, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_title, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_language, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_language, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onselectstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onselectstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, scrollIntoView, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, contains, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_sourceIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_recordNumber, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_lang, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_lang, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_offsetLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_offsetTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_offsetWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_offsetHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_offsetParent, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_innerHTML, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_innerHTML, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_innerText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_innerText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_outerHTML, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_outerHTML, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_outerText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_outerText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, insertAdjacentHTML, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, insertAdjacentText, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_parentTextEdit, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_isTextEdit, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, click, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_filters, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_ondragstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_ondragstart, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, toString, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onbeforeupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onbeforeupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onafterupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onafterupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onerrorupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onerrorupdate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onrowexit, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onrowexit, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onrowenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onrowenter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_ondatasetchanged, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_ondatasetchanged, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_ondataavailable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_ondataavailable, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_ondatasetcomplete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_ondatasetcomplete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, put_onfilterchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_onfilterchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_children, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLElement, get_all, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLElement)
EndMacro

DefineGUID(IID_IHTMLElement, $3050F1FF, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
