;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLImgElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_isMap.l
  get_isMap.l
  put_useMap.l
  get_useMap.l
  get_mimeType.l
  get_fileSize.l
  get_fileCreatedDate.l
  get_fileModifiedDate.l
  get_fileUpdatedDate.l
  get_protocol.l
  get_href.l
  get_nameProp.l
  put_border.l
  get_border.l
  put_vspace.l
  get_vspace.l
  put_hspace.l
  get_hspace.l
  put_alt.l
  get_alt.l
  put_src.l
  get_src.l
  put_lowsrc.l
  get_lowsrc.l
  put_vrml.l
  get_vrml.l
  put_dynsrc.l
  get_dynsrc.l
  get_readyState.l
  get_complete.l
  put_loop.l
  get_loop.l
  put_align.l
  get_align.l
  put_onload.l
  get_onload.l
  put_onerror.l
  get_onerror.l
  put_onabort.l
  get_onabort.l
  put_name.l
  get_name.l
  put_width.l
  get_width.l
  put_height.l
  get_height.l
  put_start.l
  get_start.l
EndStructure

Macro BuildCOMVTable_IHTMLImgElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLImgElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_isMap, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_isMap, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_useMap, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_useMap, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_mimeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_fileSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_fileCreatedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_fileModifiedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_fileUpdatedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_protocol, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_href, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_nameProp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_vspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_vspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_hspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_hspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_alt, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_alt, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_lowsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_lowsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_vrml, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_vrml, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_dynsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_dynsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_complete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_loop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_loop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_align, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_align, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_onabort, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_onabort, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, put_start, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLImgElement, get_start, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLImgElement)
EndMacro

DefineGUID(IID_IHTMLImgElement, $3050F240, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
