;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLInputElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_type.l
  get_type.l
  put_value.l
  get_value.l
  put_name.l
  get_name.l
  put_status.l
  get_status.l
  put_disabled.l
  get_disabled.l
  get_form.l
  put_size.l
  get_size.l
  put_maxLength.l
  get_maxLength.l
  select.l
  put_onchange.l
  get_onchange.l
  put_onselect.l
  get_onselect.l
  put_defaultValue.l
  get_defaultValue.l
  put_readOnly.l
  get_readOnly.l
  createTextRange.l
  put_indeterminate.l
  get_indeterminate.l
  put_defaultChecked.l
  get_defaultChecked.l
  put_checked.l
  get_checked.l
  put_border.l
  get_border.l
  put_vspace.l
  get_vspace.l
  put_hspace.l
  get_hspace.l
  put_alt.l
  get_alt.l
  put_src.l
  get_src.l
  put_lowsrc.l
  get_lowsrc.l
  put_vrml.l
  get_vrml.l
  put_dynsrc.l
  get_dynsrc.l
  get_readyState.l
  get_complete.l
  put_loop.l
  get_loop.l
  put_align.l
  get_align.l
  put_onload.l
  get_onload.l
  put_onerror.l
  get_onerror.l
  put_onabort.l
  get_onabort.l
  put_width.l
  get_width.l
  put_height.l
  get_height.l
  put_start.l
  get_start.l
EndStructure

Macro BuildCOMVTable_IHTMLInputElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLInputElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_type, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_type, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_value, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_value, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_status, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_status, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_disabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_disabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_form, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_size, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_size, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_maxLength, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_maxLength, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, select, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_onchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_onchange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_onselect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_onselect, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_defaultValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_defaultValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_readOnly, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_readOnly, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, createTextRange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_indeterminate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_indeterminate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_defaultChecked, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_defaultChecked, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_checked, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_checked, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_vspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_vspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_hspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_hspace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_alt, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_alt, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_lowsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_lowsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_vrml, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_vrml, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_dynsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_dynsrc, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_complete, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_loop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_loop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_align, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_align, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_onabort, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_onabort, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, put_start, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLInputElement, get_start, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLInputElement)
EndMacro

DefineGUID(IID_IHTMLInputElement, $3050F5D2, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
