;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLLocation_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_href.l
  get_href.l
  put_protocol.l
  get_protocol.l
  put_host.l
  get_host.l
  put_hostname.l
  get_hostname.l
  put_port.l
  get_port.l
  put_pathname.l
  get_pathname.l
  put_search.l
  get_search.l
  put_hash.l
  get_hash.l
  reload.l
  replace.l
  assign.l
  toString.l
EndStructure

Macro BuildCOMVTable_IHTMLLocation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLLocation)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_href, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_href, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_protocol, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_protocol, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_host, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_host, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_hostname, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_hostname, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_port, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_port, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_pathname, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_pathname, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_search, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_search, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, put_hash, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, get_hash, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, reload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, replace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, assign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLLocation, toString, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLLocation)
EndMacro

DefineGUID(IID_IHTMLLocation, $163BB1E0, $6E00, $11CF, $83, $7A, $48, $DC, $04, $C1, $00, $00)
