;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLNamespace_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_name.l
  get_urn.l
  get_tagNames.l
  get_readyState.l
  put_onreadystatechange.l
  get_onreadystatechange.l
  doImport.l
  attachEvent.l
  detachEvent.l
EndStructure

Macro BuildCOMVTable_IHTMLNamespace(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLNamespace)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, get_urn, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, get_tagNames, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, put_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, get_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, doImport, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, attachEvent, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLNamespace, detachEvent, 2)
  __COM_VTABLE_SetDebug(__Object__, IHTMLNamespace)
EndMacro

DefineGUID(IID_IHTMLNamespace, $3050F6BB, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
