;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLOpsProfile_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  addRequest.l
  clearRequest.l
  doRequest.l
  getAttribute.l
  setAttribute.l
  commitChanges.l
  addReadRequest.l
  doReadRequest.l
  doWriteRequest.l
EndStructure

Macro BuildCOMVTable_IHTMLOpsProfile(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLOpsProfile)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, addRequest, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, clearRequest, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, doRequest, 6)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, getAttribute, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, setAttribute, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, commitChanges, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, addReadRequest, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, doReadRequest, 6)
  __COM_VTABLE_SetMethod(__Object__, IHTMLOpsProfile, doWriteRequest, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLOpsProfile)
EndMacro

DefineGUID(IID_IHTMLOpsProfile, $3050F401, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
