;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLScriptElement_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_src.l
  get_src.l
  put_htmlFor.l
  get_htmlFor.l
  put_event.l
  get_event.l
  put_text.l
  get_text.l
  put_defer.l
  get_defer.l
  get_readyState.l
  put_onerror.l
  get_onerror.l
  put_type.l
  get_type.l
EndStructure

Macro BuildCOMVTable_IHTMLScriptElement(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLScriptElement)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_src, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_htmlFor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_htmlFor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_event, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_event, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_defer, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_defer, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, put_type, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLScriptElement, get_type, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLScriptElement)
EndMacro

DefineGUID(IID_IHTMLScriptElement, $3050F28B, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
