;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLStyle_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_fontFamily.l
  get_fontFamily.l
  put_fontStyle.l
  get_fontStyle.l
  put_fontVariant.l
  get_fontVariant.l
  put_fontWeight.l
  get_fontWeight.l
  put_fontSize.l
  get_fontSize.l
  put_font.l
  get_font.l
  put_color.l
  get_color.l
  put_background.l
  get_background.l
  put_backgroundColor.l
  get_backgroundColor.l
  put_backgroundImage.l
  get_backgroundImage.l
  put_backgroundRepeat.l
  get_backgroundRepeat.l
  put_backgroundAttachment.l
  get_backgroundAttachment.l
  put_backgroundPosition.l
  get_backgroundPosition.l
  put_backgroundPositionX.l
  get_backgroundPositionX.l
  put_backgroundPositionY.l
  get_backgroundPositionY.l
  put_wordSpacing.l
  get_wordSpacing.l
  put_letterSpacing.l
  get_letterSpacing.l
  put_textDecoration.l
  get_textDecoration.l
  put_textDecorationNone.l
  get_textDecorationNone.l
  put_textDecorationUnderline.l
  get_textDecorationUnderline.l
  put_textDecorationOverline.l
  get_textDecorationOverline.l
  put_textDecorationLineThrough.l
  get_textDecorationLineThrough.l
  put_textDecorationBlink.l
  get_textDecorationBlink.l
  put_verticalAlign.l
  get_verticalAlign.l
  put_textTransform.l
  get_textTransform.l
  put_textAlign.l
  get_textAlign.l
  put_textIndent.l
  get_textIndent.l
  put_lineHeight.l
  get_lineHeight.l
  put_marginTop.l
  get_marginTop.l
  put_marginRight.l
  get_marginRight.l
  put_marginBottom.l
  get_marginBottom.l
  put_marginLeft.l
  get_marginLeft.l
  put_margin.l
  get_margin.l
  put_paddingTop.l
  get_paddingTop.l
  put_paddingRight.l
  get_paddingRight.l
  put_paddingBottom.l
  get_paddingBottom.l
  put_paddingLeft.l
  get_paddingLeft.l
  put_padding.l
  get_padding.l
  put_border.l
  get_border.l
  put_borderTop.l
  get_borderTop.l
  put_borderRight.l
  get_borderRight.l
  put_borderBottom.l
  get_borderBottom.l
  put_borderLeft.l
  get_borderLeft.l
  put_borderColor.l
  get_borderColor.l
  put_borderTopColor.l
  get_borderTopColor.l
  put_borderRightColor.l
  get_borderRightColor.l
  put_borderBottomColor.l
  get_borderBottomColor.l
  put_borderLeftColor.l
  get_borderLeftColor.l
  put_borderWidth.l
  get_borderWidth.l
  put_borderTopWidth.l
  get_borderTopWidth.l
  put_borderRightWidth.l
  get_borderRightWidth.l
  put_borderBottomWidth.l
  get_borderBottomWidth.l
  put_borderLeftWidth.l
  get_borderLeftWidth.l
  put_borderStyle.l
  get_borderStyle.l
  put_borderTopStyle.l
  get_borderTopStyle.l
  put_borderRightStyle.l
  get_borderRightStyle.l
  put_borderBottomStyle.l
  get_borderBottomStyle.l
  put_borderLeftStyle.l
  get_borderLeftStyle.l
  put_width.l
  get_width.l
  put_height.l
  get_height.l
  put_styleFloat.l
  get_styleFloat.l
  put_clear.l
  get_clear.l
  put_display.l
  get_display.l
  put_visibility.l
  get_visibility.l
  put_listStyleType.l
  get_listStyleType.l
  put_listStylePosition.l
  get_listStylePosition.l
  put_listStyleImage.l
  get_listStyleImage.l
  put_listStyle.l
  get_listStyle.l
  put_whiteSpace.l
  get_whiteSpace.l
  put_top.l
  get_top.l
  put_left.l
  get_left.l
  get_position.l
  put_zIndex.l
  get_zIndex.l
  put_overflow.l
  get_overflow.l
  put_pageBreakBefore.l
  get_pageBreakBefore.l
  put_pageBreakAfter.l
  get_pageBreakAfter.l
  put_cssText.l
  get_cssText.l
  put_pixelTop.l
  get_pixelTop.l
  put_pixelLeft.l
  get_pixelLeft.l
  put_pixelWidth.l
  get_pixelWidth.l
  put_pixelHeight.l
  get_pixelHeight.l
  put_posTop.l
  get_posTop.l
  put_posLeft.l
  get_posLeft.l
  put_posWidth.l
  get_posWidth.l
  put_posHeight.l
  get_posHeight.l
  put_cursor.l
  get_cursor.l
  put_clip.l
  get_clip.l
  put_filter.l
  get_filter.l
  setAttribute.l
  getAttribute.l
  removeAttribute.l
  toString.l
EndStructure

Macro BuildCOMVTable_IHTMLStyle(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLStyle)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_fontFamily, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_fontFamily, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_fontStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_fontStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_fontVariant, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_fontVariant, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_fontWeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_fontWeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_fontSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_fontSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_font, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_font, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_color, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_color, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_background, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_background, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundImage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundImage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundRepeat, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundRepeat, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundAttachment, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundAttachment, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundPosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundPosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundPositionX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundPositionX, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_backgroundPositionY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_backgroundPositionY, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_wordSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_wordSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_letterSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_letterSpacing, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textDecoration, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textDecoration, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textDecorationNone, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textDecorationNone, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textDecorationUnderline, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textDecorationUnderline, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textDecorationOverline, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textDecorationOverline, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textDecorationLineThrough, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textDecorationLineThrough, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textDecorationBlink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textDecorationBlink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_verticalAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_verticalAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textTransform, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textTransform, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_textIndent, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_textIndent, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_lineHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_lineHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_marginTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_marginTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_marginRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_marginRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_marginBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_marginBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_marginLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_marginLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_margin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_margin, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_paddingTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_paddingTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_paddingRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_paddingRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_paddingBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_paddingBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_paddingLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_paddingLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_padding, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_padding, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_border, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderRight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderBottom, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderTopColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderTopColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderRightColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderRightColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderBottomColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderBottomColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderLeftColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderLeftColor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderTopWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderTopWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderRightWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderRightWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderBottomWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderBottomWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderLeftWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderLeftWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderTopStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderTopStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderRightStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderRightStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderBottomStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderBottomStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_borderLeftStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_borderLeftStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_width, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_height, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_styleFloat, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_styleFloat, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_clear, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_clear, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_display, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_display, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_visibility, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_visibility, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_listStyleType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_listStyleType, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_listStylePosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_listStylePosition, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_listStyleImage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_listStyleImage, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_listStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_listStyle, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_whiteSpace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_whiteSpace, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_top, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_top, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_left, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_left, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_position, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_zIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_zIndex, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_overflow, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_overflow, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_pageBreakBefore, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_pageBreakBefore, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_pageBreakAfter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_pageBreakAfter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_cssText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_cssText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_pixelTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_pixelTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_pixelLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_pixelLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_pixelWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_pixelWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_pixelHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_pixelHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_posTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_posTop, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_posLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_posLeft, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_posWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_posWidth, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_posHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_posHeight, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_cursor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_cursor, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_clip, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_clip, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, put_filter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, get_filter, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, setAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, getAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, removeAttribute, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyle, toString, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLStyle)
EndMacro

DefineGUID(IID_IHTMLStyle, $3050F25E, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
