;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLStyleSheet_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_title.l
  get_title.l
  get_parentStyleSheet.l
  get_owningElement.l
  put_disabled.l
  get_disabled.l
  get_readOnly.l
  get_imports.l
  put_href.l
  get_href.l
  get_type.l
  get_id.l
  addImport.l
  addRule.l
  removeImport.l
  removeRule.l
  put_media.l
  get_media.l
  put_cssText.l
  get_cssText.l
  get_rules.l
EndStructure

Macro BuildCOMVTable_IHTMLStyleSheet(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLStyleSheet)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, put_title, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_title, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_parentStyleSheet, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_owningElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, put_disabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_disabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_readOnly, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_imports, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, put_href, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_href, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_type, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_id, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, addImport, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, addRule, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, removeImport, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, removeRule, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, put_media, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_media, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, put_cssText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_cssText, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLStyleSheet, get_rules, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLStyleSheet)
EndMacro

DefineGUID(IID_IHTMLStyleSheet, $3050F2E3, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
