;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHTMLWindow2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  item.l
  get_length.l
  get_frames.l
  put_defaultStatus.l
  get_defaultStatus.l
  put_status.l
  get_status.l
  setTimeout.l
  clearTimeout.l
  alert.l
  confirm.l
  prompt.l
  get_Image.l
  get_location.l
  get_history.l
  close.l
  put_opener.l
  get_opener.l
  get_navigator.l
  put_name.l
  get_name.l
  get_parent.l
  open.l
  get_self.l
  get_top.l
  get_window.l
  navigate.l
  put_onfocus.l
  get_onfocus.l
  put_onblur.l
  get_onblur.l
  put_onload.l
  get_onload.l
  put_onbeforeunload.l
  get_onbeforeunload.l
  put_onunload.l
  get_onunload.l
  put_onhelp.l
  get_onhelp.l
  put_onerror.l
  get_onerror.l
  put_onresize.l
  get_onresize.l
  put_onscroll.l
  get_onscroll.l
  get_document.l
  get_event.l
  get__newEnum.l
  showModalDialog.l
  showHelp.l
  get_screen.l
  get_Option.l
  focus.l
  get_closed.l
  blur.l
  scroll.l
  get_clientInformation.l
  setInterval.l
  clearInterval.l
  put_offscreenBuffering.l
  get_offscreenBuffering.l
  execScript.l
  toString.l
  scrollBy.l
  scrollTo.l
  moveTo.l
  moveBy.l
  resizeTo.l
  resizeBy.l
  get_external.l
EndStructure

Macro BuildCOMVTable_IHTMLWindow2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHTMLWindow2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, item, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_length, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_frames, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_defaultStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_defaultStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_status, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_status, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, setTimeout, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, clearTimeout, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, alert, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, confirm, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, prompt, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_Image, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_location, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_history, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, close, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_opener, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_opener, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_navigator, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, open, 5)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_self, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_top, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_window, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, navigate, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onfocus, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onblur, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onblur, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onbeforeunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onbeforeunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onunload, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onhelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onhelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onerror, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onresize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onresize, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_onscroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_onscroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_document, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_event, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get__newEnum, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, showModalDialog, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, showHelp, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_screen, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_Option, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, focus, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_closed, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, blur, 0)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, scroll, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_clientInformation, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, setInterval, 4)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, clearInterval, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, put_offscreenBuffering, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_offscreenBuffering, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, execScript, 3)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, toString, 1)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, scrollBy, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, scrollTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, moveTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, moveBy, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, resizeTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, resizeBy, 2)
  __COM_VTABLE_SetMethod(__Object__, IHTMLWindow2, get_external, 1)
  __COM_VTABLE_SetDebug(__Object__, IHTMLWindow2)
EndMacro

DefineGUID(IID_IHTMLWindow2, $332C4427, $26CB, $11D0, $B4, $83, $00, $C0, $4F, $D9, $01, $19)
