;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHlinkBrowseContext_Vtbl Extends __COM_IUnknown_Vtbl
  Register.l
  GetObject.l
  Revoke.l
  SetBrowseWindowInfo.l
  GetBrowseWindowInfo.l
  SetInitialHlink.l
  OnNavigateHlink.l
  UpdateHlink.l
  EnumNavigationStack.l
  QueryHlink.l
  GetHlink.l
  SetCurrentHlink.l
  Clone.l
  Close.l
EndStructure

Macro BuildCOMVTable_IHlinkBrowseContext(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHlinkBrowseContext)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, Register, 4)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, GetObject, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, Revoke, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, SetBrowseWindowInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, GetBrowseWindowInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, SetInitialHlink, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, OnNavigateHlink, 5)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, UpdateHlink, 4)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, EnumNavigationStack, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, QueryHlink, 2)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, GetHlink, 2)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, SetCurrentHlink, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, Clone, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlinkBrowseContext, Close, 1)
  __COM_VTABLE_SetDebug(__Object__, IHlinkBrowseContext)
EndMacro

DefineGUID(IID_IHlinkBrowseContext, $79EAC9C7, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
