;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IHlinkTarget_Vtbl Extends __COM_IUnknown_Vtbl
  SetBrowseContext.l
  GetBrowseContext.l
  Navigate.l
  GetMoniker.l
  GetFriendlyName.l
EndStructure

Macro BuildCOMVTable_IHlinkTarget(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IHlinkTarget)
  __COM_VTABLE_SetMethod(__Object__, IHlinkTarget, SetBrowseContext, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlinkTarget, GetBrowseContext, 1)
  __COM_VTABLE_SetMethod(__Object__, IHlinkTarget, Navigate, 2)
  __COM_VTABLE_SetMethod(__Object__, IHlinkTarget, GetMoniker, 3)
  __COM_VTABLE_SetMethod(__Object__, IHlinkTarget, GetFriendlyName, 2)
  __COM_VTABLE_SetDebug(__Object__, IHlinkTarget)
EndMacro

DefineGUID(IID_IHlinkTarget, $79EAC9C4, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
