;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInternetProtocol_Vtbl Extends __COM_IUnknown_Vtbl
  Start.l
  Continue.l
  Abort.l
  Terminate.l
  Suspend.l
  Resume.l
  Read.l
  Seek.l
  LockRequest.l
  UnlockRequest.l
EndStructure

Macro BuildCOMVTable_IInternetProtocol(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInternetProtocol)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Start, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Continue, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Abort, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Terminate, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Resume, 0)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Read, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, Seek, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, LockRequest, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetProtocol, UnlockRequest, 0)
  __COM_VTABLE_SetDebug(__Object__, IInternetProtocol)
EndMacro

DefineGUID(IID_IInternetProtocol, $79EAC9E4, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
