;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInternetSecurityManager_Vtbl Extends __COM_IUnknown_Vtbl
  SetSecuritySite.l
  GetSecuritySite.l
  MapUrlToZone.l
  GetSecurityId.l
  ProcessUrlAction.l
  QueryCustomPolicy.l
  SetZoneMapping.l
  GetZoneMappings.l
EndStructure

Macro BuildCOMVTable_IInternetSecurityManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInternetSecurityManager)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, SetSecuritySite, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, GetSecuritySite, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, MapUrlToZone, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, GetSecurityId, 4)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, ProcessUrlAction, 8)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, QueryCustomPolicy, 7)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, SetZoneMapping, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetSecurityManager, GetZoneMappings, 3)
  __COM_VTABLE_SetDebug(__Object__, IInternetSecurityManager)
EndMacro

DefineGUID(IID_IInternetSecurityManager, $79EAC9EE, $BAF9, $11CE, $8C, $82, $00, $AA, $00, $4B, $A9, $0B)
