;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IInternetZoneManagerEx_Vtbl Extends __COM_IUnknown_Vtbl
  GetZoneAttributes.l
  SetZoneAttributes.l
  GetZoneCustomPolicy.l
  SetZoneCustomPolicy.l
  GetZoneActionPolicy.l
  SetZoneActionPolicy.l
  PromptAction.l
  LogAction.l
  CreateZoneEnumerator.l
  GetZoneAt.l
  DestroyZoneEnumerator.l
  CopyTemplatePoliciesToZone.l
  GetZoneActionPolicyEx.l
  SetZoneActionPolicyEx.l
EndStructure

Macro BuildCOMVTable_IInternetZoneManagerEx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IInternetZoneManagerEx)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, GetZoneAttributes, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, SetZoneAttributes, 2)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, GetZoneCustomPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, SetZoneCustomPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, GetZoneActionPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, SetZoneActionPolicy, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, PromptAction, 5)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, LogAction, 4)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, CreateZoneEnumerator, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, GetZoneAt, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, DestroyZoneEnumerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, CopyTemplatePoliciesToZone, 3)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, GetZoneActionPolicyEx, 6)
  __COM_VTABLE_SetMethod(__Object__, IInternetZoneManagerEx, SetZoneActionPolicyEx, 6)
  __COM_VTABLE_SetDebug(__Object__, IInternetZoneManagerEx)
EndMacro

DefineGUID(IID_IInternetZoneManagerEx, $A4C23339, $8E06, $431E, $9B, $F4, $7E, $71, $1C, $08, $56, $48)
