;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMalloc_Vtbl Extends __COM_IUnknown_Vtbl
  Alloc.l
  Realloc.l
  Free.l
  GetSize.l
  DidAlloc.l
  HeapMinimize.l
EndStructure

Macro BuildCOMVTable_IMalloc(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMalloc)
  __COM_VTABLE_SetMethod(__Object__, IMalloc, Alloc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMalloc, Realloc, 2)
  __COM_VTABLE_SetMethod(__Object__, IMalloc, Free, 1)
  __COM_VTABLE_SetMethod(__Object__, IMalloc, GetSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IMalloc, DidAlloc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMalloc, HeapMinimize, 0)
  __COM_VTABLE_SetDebug(__Object__, IMalloc)
EndMacro

DefineGUID(IID_IMalloc, $00000002, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
