;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarkupContainer2_Vtbl Extends __COM_IUnknown_Vtbl
  OwningDoc.l
  CreateChangeLog.l
  RegisterForDirtyRange.l
  UnRegisterForDirtyRange.l
  GetAndClearDirtyRange.l
  GetVersionNumber.l
  GetMasterElement.l
EndStructure

Macro BuildCOMVTable_IMarkupContainer2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarkupContainer2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, OwningDoc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, CreateChangeLog, 4)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, RegisterForDirtyRange, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, UnRegisterForDirtyRange, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, GetAndClearDirtyRange, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, GetVersionNumber, 0)
  __COM_VTABLE_SetMethod(__Object__, IMarkupContainer2, GetMasterElement, 1)
  __COM_VTABLE_SetDebug(__Object__, IMarkupContainer2)
EndMacro

DefineGUID(IID_IMarkupContainer2, $3050F648, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
