;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarkupPointer_Vtbl Extends __COM_IUnknown_Vtbl
  OwningDoc.l
  Gravity.l
  SetGravity.l
  Cling.l
  SetCling.l
  Unposition.l
  IsPositioned.l
  GetContainer.l
  MoveAdjacentToElement.l
  MoveToPointer.l
  MoveToContainer.l
  Left.l
  Right.l
  CurrentScope.l
  IsLeftOf.l
  IsLeftOfOrEqualTo.l
  IsRightOf.l
  IsRightOfOrEqualTo.l
  IsEqualTo.l
  MoveUnit.l
  FindText.l
EndStructure

Macro BuildCOMVTable_IMarkupPointer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarkupPointer)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, OwningDoc, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, Gravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, SetGravity, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, Cling, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, SetCling, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, Unposition, 0)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, IsPositioned, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, GetContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, MoveAdjacentToElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, MoveToPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, MoveToContainer, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, Left, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, Right, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, CurrentScope, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, IsLeftOf, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, IsLeftOfOrEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, IsRightOf, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, IsRightOfOrEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, IsEqualTo, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, MoveUnit, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupPointer, FindText, 4)
  __COM_VTABLE_SetDebug(__Object__, IMarkupPointer)
EndMacro

DefineGUID(IID_IMarkupPointer, $3050F49F, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
