;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarkupServices2_Vtbl Extends __COM_IUnknown_Vtbl
  CreateMarkupPointer.l
  CreateMarkupContainer.l
  CreateElement.l
  CloneElement.l
  InsertElement.l
  RemoveElement.l
  Remove.l
  Copy.l
  Move.l
  InsertText.l
  ParseString.l
  ParseGlobal.l
  IsScopedElement.l
  GetElementTagId.l
  GetTagIDForName.l
  GetNameForTagID.l
  MovePointersToRange.l
  MoveRangeToPointers.l
  BeginUndoUnit.l
  EndUndoUnit.l
  ParseGlobalEx.l
  ValidateElements.l
  SaveSegmentsToClipboard.l
EndStructure

Macro BuildCOMVTable_IMarkupServices2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarkupServices2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, CreateMarkupPointer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, CreateMarkupContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, CreateElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, CloneElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, InsertElement, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, RemoveElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, Remove, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, Copy, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, Move, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, InsertText, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, ParseString, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, ParseGlobal, 5)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, IsScopedElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, GetElementTagId, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, GetTagIDForName, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, GetNameForTagID, 2)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, MovePointersToRange, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, MoveRangeToPointers, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, BeginUndoUnit, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, EndUndoUnit, 0)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, ParseGlobalEx, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, ValidateElements, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarkupServices2, SaveSegmentsToClipboard, 2)
  __COM_VTABLE_SetDebug(__Object__, IMarkupServices2)
EndMacro

DefineGUID(IID_IMarkupServices2, $3050F682, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
