;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IMarshal2_Vtbl Extends __COM_IUnknown_Vtbl
  GetUnmarshalClass.l
  GetMarshalSizeMax.l
  MarshalInterface.l
  UnmarshalInterface.l
  ReleaseMarshalData.l
  DisconnectObject.l
EndStructure

Macro BuildCOMVTable_IMarshal2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IMarshal2)
  __COM_VTABLE_SetMethod(__Object__, IMarshal2, GetUnmarshalClass, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarshal2, GetMarshalSizeMax, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarshal2, MarshalInterface, 6)
  __COM_VTABLE_SetMethod(__Object__, IMarshal2, UnmarshalInterface, 3)
  __COM_VTABLE_SetMethod(__Object__, IMarshal2, ReleaseMarshalData, 1)
  __COM_VTABLE_SetMethod(__Object__, IMarshal2, DisconnectObject, 1)
  __COM_VTABLE_SetDebug(__Object__, IMarshal2)
EndMacro

DefineGUID(IID_IMarshal2, $000001CF, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
