;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleCache2_Vtbl Extends __COM_IUnknown_Vtbl
  Cache.l
  Uncache.l
  EnumCache.l
  InitCache.l
  SetData.l
  UpdateCache.l
  DiscardCache.l
EndStructure

Macro BuildCOMVTable_IOleCache2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleCache2)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, Cache, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, Uncache, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, EnumCache, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, InitCache, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, SetData, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, UpdateCache, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleCache2, DiscardCache, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleCache2)
EndMacro

DefineGUID(IID_IOleCache2, $00000128, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
