;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleClientSite_Vtbl Extends __COM_IUnknown_Vtbl
  SaveObject.l
  GetMoniker.l
  GetContainer.l
  ShowObject.l
  OnShowWindow.l
  RequestNewObjectLayout.l
EndStructure

Macro BuildCOMVTable_IOleClientSite(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleClientSite)
  __COM_VTABLE_SetMethod(__Object__, IOleClientSite, SaveObject, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleClientSite, GetMoniker, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleClientSite, GetContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleClientSite, ShowObject, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleClientSite, OnShowWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleClientSite, RequestNewObjectLayout, 0)
  __COM_VTABLE_SetDebug(__Object__, IOleClientSite)
EndMacro

DefineGUID(IID_IOleClientSite, $00000118, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
