;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleDocumentView_Vtbl Extends __COM_IUnknown_Vtbl
  SetInPlaceSite.l
  GetInPlaceSite.l
  GetDocument.l
  SetRect.l
  GetRect.l
  SetRectComplex.l
  Show.l
  UIActivate.l
  Open.l
  CloseView.l
  SaveViewState.l
  ApplyViewState.l
  Clone.l
EndStructure

Macro BuildCOMVTable_IOleDocumentView(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleDocumentView)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, SetInPlaceSite, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, GetInPlaceSite, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, GetDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, SetRect, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, GetRect, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, SetRectComplex, 4)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, Show, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, UIActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, Open, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, CloseView, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, SaveViewState, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, ApplyViewState, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleDocumentView, Clone, 2)
  __COM_VTABLE_SetDebug(__Object__, IOleDocumentView)
EndMacro

DefineGUID(IID_IOleDocumentView, $B722BCC6, $4E68, $101B, $A2, $BC, $00, $AA, $00, $40, $47, $70)
