;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceActiveObject_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  TranslateAccelerator.l
  OnFrameWindowActivate.l
  OnDocWindowActivate.l
  ResizeBorder.l
  EnableModeless.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceActiveObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceActiveObject)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, TranslateAccelerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, OnFrameWindowActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, OnDocWindowActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, ResizeBorder, 3)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceActiveObject, EnableModeless, 1)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceActiveObject)
EndMacro

DefineGUID(IID_IOleInPlaceActiveObject, $00000117, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
