;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceObject_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  InPlaceDeactivate.l
  UIDeactivate.l
  SetObjectRects.l
  ReactivateAndUndo.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceObject)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObject, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObject, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObject, InPlaceDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObject, UIDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObject, SetObjectRects, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceObject, ReactivateAndUndo, 0)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceObject)
EndMacro

DefineGUID(IID_IOleInPlaceObject, $00000113, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
