;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOleInPlaceSiteEx_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  CanInPlaceActivate.l
  OnInPlaceActivate.l
  OnUIActivate.l
  GetWindowContext.l
  Scroll.l
  OnUIDeactivate.l
  OnInPlaceDeactivate.l
  DiscardUndoState.l
  DeactivateAndUndo.l
  OnPosRectChange.l
  OnInPlaceActivateEx.l
  OnInPlaceDeactivateEx.l
  RequestUIActivate.l
EndStructure

Macro BuildCOMVTable_IOleInPlaceSiteEx(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOleInPlaceSiteEx)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, CanInPlaceActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnInPlaceActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnUIActivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, GetWindowContext, 5)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, Scroll, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnUIDeactivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnInPlaceDeactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, DiscardUndoState, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, DeactivateAndUndo, 0)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnPosRectChange, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnInPlaceActivateEx, 2)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, OnInPlaceDeactivateEx, 1)
  __COM_VTABLE_SetMethod(__Object__, IOleInPlaceSiteEx, RequestUIActivate, 0)
  __COM_VTABLE_SetDebug(__Object__, IOleInPlaceSiteEx)
EndMacro

DefineGUID(IID_IOleInPlaceSiteEx, $9C2CAD80, $3424, $11CF, $B6, $70, $00, $AA, $00, $4C, $D6, $D8)
