;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IOmNavigator_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_appCodeName.l
  get_appName.l
  get_appVersion.l
  get_userAgent.l
  javaEnabled.l
  taintEnabled.l
  get_mimeTypes.l
  get_plugins.l
  get_cookieEnabled.l
  get_opsProfile.l
  toString.l
  get_cpuClass.l
  get_systemLanguage.l
  get_browserLanguage.l
  get_userLanguage.l
  get_platform.l
  get_appMinorVersion.l
  get_connectionSpeed.l
  get_onLine.l
  get_userProfile.l
EndStructure

Macro BuildCOMVTable_IOmNavigator(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IOmNavigator)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_appCodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_appName, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_appVersion, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_userAgent, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, javaEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, taintEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_mimeTypes, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_plugins, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_cookieEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_opsProfile, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, toString, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_cpuClass, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_systemLanguage, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_browserLanguage, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_userLanguage, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_platform, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_appMinorVersion, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_connectionSpeed, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_onLine, 1)
  __COM_VTABLE_SetMethod(__Object__, IOmNavigator, get_userProfile, 1)
  __COM_VTABLE_SetDebug(__Object__, IOmNavigator)
EndMacro

DefineGUID(IID_IOmNavigator, $FECEAAA5, $8405, $11CF, $8B, $A1, $00, $AA, $00, $47, $6D, $A6)
