;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPersistMemory_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  Load.l
  Save.l
  GetSizeMax.l
  InitNew.l
EndStructure

Macro BuildCOMVTable_IPersistMemory(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPersistMemory)
  __COM_VTABLE_SetMethod(__Object__, IPersistMemory, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistMemory, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPersistMemory, Load, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistMemory, Save, 3)
  __COM_VTABLE_SetMethod(__Object__, IPersistMemory, GetSizeMax, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistMemory, InitNew, 0)
  __COM_VTABLE_SetDebug(__Object__, IPersistMemory)
EndMacro

DefineGUID(IID_IPersistMemory, $BD1AE5E0, $A6AE, $11CE, $BD, $37, $50, $42, $00, $C1, $00, $00)
