;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPersistStream_Vtbl Extends __COM_IUnknown_Vtbl
  GetClassID.l
  IsDirty.l
  Load.l
  Save.l
  GetSizeMax.l
EndStructure

Macro BuildCOMVTable_IPersistStream(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPersistStream)
  __COM_VTABLE_SetMethod(__Object__, IPersistStream, GetClassID, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStream, IsDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPersistStream, Load, 1)
  __COM_VTABLE_SetMethod(__Object__, IPersistStream, Save, 2)
  __COM_VTABLE_SetMethod(__Object__, IPersistStream, GetSizeMax, 1)
  __COM_VTABLE_SetDebug(__Object__, IPersistStream)
EndMacro

DefineGUID(IID_IPersistStream, $00000109, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
