;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPointerInactive_Vtbl Extends __COM_IUnknown_Vtbl
  GetActivationPolicy.l
  OnInactiveMouseMove.l
  OnInactiveSetCursor.l
EndStructure

Macro BuildCOMVTable_IPointerInactive(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPointerInactive)
  __COM_VTABLE_SetMethod(__Object__, IPointerInactive, GetActivationPolicy, 1)
  __COM_VTABLE_SetMethod(__Object__, IPointerInactive, OnInactiveMouseMove, 4)
  __COM_VTABLE_SetMethod(__Object__, IPointerInactive, OnInactiveSetCursor, 5)
  __COM_VTABLE_SetDebug(__Object__, IPointerInactive)
EndMacro

DefineGUID(IID_IPointerInactive, $55980BA0, $35AA, $11CF, $B6, $71, $00, $AA, $00, $4C, $D6, $D8)
