;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IProgressDialog_Vtbl Extends __COM_IUnknown_Vtbl
  StartProgressDialog.l
  StopProgressDialog.l
  SetTitle.l
  SetAnimation.l
  HasUserCancelled.l
  SetProgress.l
  SetProgress64.l
  SetLine.l
  SetCancelMsg.l
  Timer.l
EndStructure

Macro BuildCOMVTable_IProgressDialog(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IProgressDialog)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, StartProgressDialog, 4)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, StopProgressDialog, 0)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, SetTitle, 1)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, SetAnimation, 2)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, HasUserCancelled, 0)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, SetProgress, 2)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, SetProgress64, 2)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, SetLine, 4)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, SetCancelMsg, 2)
  __COM_VTABLE_SetMethod(__Object__, IProgressDialog, Timer, 2)
  __COM_VTABLE_SetDebug(__Object__, IProgressDialog)
EndMacro

DefineGUID(IID_IProgressDialog, $EBBC7C04, $315E, $11D2, $B6, $2F, $00, $60, $97, $DF, $5B, $D4)
