;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPropertyPage_Vtbl Extends __COM_IUnknown_Vtbl
  SetPageSite.l
  Activate.l
  Deactivate.l
  GetPageInfo.l
  SetObjects.l
  Show.l
  Move.l
  IsPageDirty.l
  Apply.l
  Help.l
  TranslateAccelerator.l
EndStructure

Macro BuildCOMVTable_IPropertyPage(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPropertyPage)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, SetPageSite, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, Activate, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, Deactivate, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, GetPageInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, SetObjects, 2)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, Show, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, Move, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, IsPageDirty, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, Apply, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, Help, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyPage, TranslateAccelerator, 1)
  __COM_VTABLE_SetDebug(__Object__, IPropertyPage)
EndMacro

DefineGUID(IID_IPropertyPage, $B196B28D, $BAB4, $101A, $B6, $9C, $00, $AA, $00, $34, $1D, $07)
