;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPropertyStorage_Vtbl Extends __COM_IUnknown_Vtbl
  ReadMultiple.l
  WriteMultiple.l
  DeleteMultiple.l
  ReadPropertyNames.l
  WritePropertyNames.l
  DeletePropertyNames.l
  Commit.l
  Revert.l
  Enum.l
  SetTimes.l
  SetClass.l
  Stat.l
EndStructure

Macro BuildCOMVTable_IPropertyStorage(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPropertyStorage)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, ReadMultiple, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, WriteMultiple, 4)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, DeleteMultiple, 2)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, ReadPropertyNames, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, WritePropertyNames, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, DeletePropertyNames, 2)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, Commit, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, Revert, 0)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, Enum, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, SetTimes, 3)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, SetClass, 1)
  __COM_VTABLE_SetMethod(__Object__, IPropertyStorage, Stat, 1)
  __COM_VTABLE_SetDebug(__Object__, IPropertyStorage)
EndMacro

DefineGUID(IID_IPropertyStorage, $00000138, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
