;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IPublishingWizard_Vtbl Extends __COM_IUnknown_Vtbl
  AddPages.l
  GetFirstPage.l
  GetLastPage.l
  Initialize.l
  GetTransferManifest.l
EndStructure

Macro BuildCOMVTable_IPublishingWizard(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IPublishingWizard)
  __COM_VTABLE_SetMethod(__Object__, IPublishingWizard, AddPages, 3)
  __COM_VTABLE_SetMethod(__Object__, IPublishingWizard, GetFirstPage, 1)
  __COM_VTABLE_SetMethod(__Object__, IPublishingWizard, GetLastPage, 1)
  __COM_VTABLE_SetMethod(__Object__, IPublishingWizard, Initialize, 3)
  __COM_VTABLE_SetMethod(__Object__, IPublishingWizard, GetTransferManifest, 2)
  __COM_VTABLE_SetDebug(__Object__, IPublishingWizard)
EndMacro

DefineGUID(IID_IPublishingWizard, $AA9198BB, $CCEC, $472D, $BE, $ED, $19, $A4, $F6, $73, $3F, $7A)
