;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRpcStubBuffer_Vtbl Extends __COM_IUnknown_Vtbl
  Connect.l
  Disconnect.l
  Invoke.l
  IsIIDSupported.l
  CountRefs.l
  DebugServerQueryInterface.l
  DebugServerRelease.l
EndStructure

Macro BuildCOMVTable_IRpcStubBuffer(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRpcStubBuffer)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, Connect, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, Disconnect, 0)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, Invoke, 2)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, IsIIDSupported, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, CountRefs, 0)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, DebugServerQueryInterface, 1)
  __COM_VTABLE_SetMethod(__Object__, IRpcStubBuffer, DebugServerRelease, 1)
  __COM_VTABLE_SetDebug(__Object__, IRpcStubBuffer)
EndMacro

DefineGUID(IID_IRpcStubBuffer, $D5F56AFC, $593B, $101A, $B5, $69, $08, $00, $2B, $2D, $BF, $7A)
