;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IRunnableObject_Vtbl Extends __COM_IUnknown_Vtbl
  GetRunningClass.l
  Run.l
  IsRunning.l
  LockRunning.l
  SetContainedObject.l
EndStructure

Macro BuildCOMVTable_IRunnableObject(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IRunnableObject)
  __COM_VTABLE_SetMethod(__Object__, IRunnableObject, GetRunningClass, 1)
  __COM_VTABLE_SetMethod(__Object__, IRunnableObject, Run, 1)
  __COM_VTABLE_SetMethod(__Object__, IRunnableObject, IsRunning, 0)
  __COM_VTABLE_SetMethod(__Object__, IRunnableObject, LockRunning, 2)
  __COM_VTABLE_SetMethod(__Object__, IRunnableObject, SetContainedObject, 1)
  __COM_VTABLE_SetDebug(__Object__, IRunnableObject)
EndMacro

DefineGUID(IID_IRunnableObject, $00000126, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
