;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IScriptErrorList_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  advanceError.l
  retreatError.l
  canAdvanceError.l
  canRetreatError.l
  getErrorLine.l
  getErrorChar.l
  getErrorCode.l
  getErrorMsg.l
  getErrorUrl.l
  getAlwaysShowLockState.l
  getDetailsPaneOpen.l
  setDetailsPaneOpen.l
  getPerErrorDisplay.l
  setPerErrorDisplay.l
EndStructure

Macro BuildCOMVTable_IScriptErrorList(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IScriptErrorList)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, advanceError, 0)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, retreatError, 0)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, canAdvanceError, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, canRetreatError, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getErrorLine, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getErrorChar, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getErrorCode, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getErrorMsg, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getErrorUrl, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getAlwaysShowLockState, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getDetailsPaneOpen, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, setDetailsPaneOpen, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, getPerErrorDisplay, 1)
  __COM_VTABLE_SetMethod(__Object__, IScriptErrorList, setPerErrorDisplay, 1)
  __COM_VTABLE_SetDebug(__Object__, IScriptErrorList)
EndMacro

DefineGUID(IID_IScriptErrorList, $F3470F24, $15FD, $11D2, $BB, $2E, $00, $80, $5F, $F7, $EF, $CA)
