;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISearchAssistantOC_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  AddNextMenuItem.l
  SetDefaultSearchUrl.l
  NavigateToDefaultSearch.l
  IsRestricted.l
  get_ShellFeaturesEnabled.l
  get_SearchAssistantDefault.l
  get_Searches.l
  get_InWebFolder.l
  PutProperty.l
  GetProperty.l
  put_EventHandled.l
  ResetNextMenu.l
  FindOnWeb.l
  FindFilesOrFolders.l
  FindComputer.l
  FindPrinter.l
  FindPeople.l
  GetSearchAssistantURL.l
  NotifySearchSettingsChanged.l
  put_ASProvider.l
  get_ASProvider.l
  put_ASSetting.l
  get_ASSetting.l
  NETDetectNextNavigate.l
  PutFindText.l
  get_Version.l
  EncodeString.l
EndStructure

Macro BuildCOMVTable_ISearchAssistantOC(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISearchAssistantOC)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, AddNextMenuItem, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, SetDefaultSearchUrl, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, NavigateToDefaultSearch, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, IsRestricted, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_ShellFeaturesEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_SearchAssistantDefault, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_Searches, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_InWebFolder, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, PutProperty, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, GetProperty, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, put_EventHandled, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, ResetNextMenu, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, FindOnWeb, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, FindFilesOrFolders, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, FindComputer, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, FindPrinter, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, FindPeople, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, GetSearchAssistantURL, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, NotifySearchSettingsChanged, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, put_ASProvider, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_ASProvider, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, put_ASSetting, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_ASSetting, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, NETDetectNextNavigate, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, PutFindText, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, get_Version, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC, EncodeString, 4)
  __COM_VTABLE_SetDebug(__Object__, ISearchAssistantOC)
EndMacro

DefineGUID(IID_ISearchAssistantOC, $72423E8F, $8011, $11D2, $BE, $79, $00, $A0, $C9, $A8, $3D, $A1)
