;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISearchAssistantOC2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  AddNextMenuItem.l
  SetDefaultSearchUrl.l
  NavigateToDefaultSearch.l
  IsRestricted.l
  get_ShellFeaturesEnabled.l
  get_SearchAssistantDefault.l
  get_Searches.l
  get_InWebFolder.l
  PutProperty.l
  GetProperty.l
  put_EventHandled.l
  ResetNextMenu.l
  FindOnWeb.l
  FindFilesOrFolders.l
  FindComputer.l
  FindPrinter.l
  FindPeople.l
  GetSearchAssistantURL.l
  NotifySearchSettingsChanged.l
  put_ASProvider.l
  get_ASProvider.l
  put_ASSetting.l
  get_ASSetting.l
  NETDetectNextNavigate.l
  PutFindText.l
  get_Version.l
  EncodeString.l
  get_ShowFindPrinter.l
EndStructure

Macro BuildCOMVTable_ISearchAssistantOC2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISearchAssistantOC2)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, AddNextMenuItem, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, SetDefaultSearchUrl, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, NavigateToDefaultSearch, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, IsRestricted, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_ShellFeaturesEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_SearchAssistantDefault, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_Searches, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_InWebFolder, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, PutProperty, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, GetProperty, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, put_EventHandled, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, ResetNextMenu, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, FindOnWeb, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, FindFilesOrFolders, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, FindComputer, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, FindPrinter, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, FindPeople, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, GetSearchAssistantURL, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, NotifySearchSettingsChanged, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, put_ASProvider, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_ASProvider, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, put_ASSetting, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_ASSetting, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, NETDetectNextNavigate, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, PutFindText, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_Version, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, EncodeString, 4)
  __COM_VTABLE_SetMethod(__Object__, ISearchAssistantOC2, get_ShowFindPrinter, 1)
  __COM_VTABLE_SetDebug(__Object__, ISearchAssistantOC2)
EndMacro

DefineGUID(IID_ISearchAssistantOC2, $72423E8F, $8011, $11D2, $BE, $79, $00, $A0, $C9, $A8, $3D, $A2)
