;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISearchCommandExt_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  ClearResults.l
  NavigateToSearchResults.l
  get_ProgressText.l
  SaveSearch.l
  GetErrorInfo.l
  SearchFor.l
  GetScopeInfo.l
  RestoreSavedSearch.l
  Execute.l
  AddConstraint.l
  GetNextConstraint.l
EndStructure

Macro BuildCOMVTable_ISearchCommandExt(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISearchCommandExt)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, ClearResults, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, NavigateToSearchResults, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, get_ProgressText, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, SaveSearch, 0)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, GetErrorInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, SearchFor, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, GetScopeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, RestoreSavedSearch, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, Execute, 3)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, AddConstraint, 2)
  __COM_VTABLE_SetMethod(__Object__, ISearchCommandExt, GetNextConstraint, 2)
  __COM_VTABLE_SetDebug(__Object__, ISearchCommandExt)
EndMacro

DefineGUID(IID_ISearchCommandExt, $1D2EFD50, $75CE, $11D1, $B7, $5A, $00, $A0, $C9, $05, $64, $FE)
