;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISearchContext_Vtbl Extends __COM_IUnknown_Vtbl
  GetSearchUrl.l
  GetSearchText.l
  GetSearchStyle.l
EndStructure

Macro BuildCOMVTable_ISearchContext(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISearchContext)
  __COM_VTABLE_SetMethod(__Object__, ISearchContext, GetSearchUrl, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchContext, GetSearchText, 1)
  __COM_VTABLE_SetMethod(__Object__, ISearchContext, GetSearchStyle, 1)
  __COM_VTABLE_SetDebug(__Object__, ISearchContext)
EndMacro

DefineGUID(IID_ISearchContext, $09F656A2, $41AF, $480C, $88, $F7, $16, $CC, $0D, $16, $46, $15)
