;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISelectionServicesListener_Vtbl Extends __COM_IUnknown_Vtbl
  BeginSelectionUndo.l
  EndSelectionUndo.l
  OnSelectedElementExit.l
  OnChangeType.l
  GetTypeDetail.l
EndStructure

Macro BuildCOMVTable_ISelectionServicesListener(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISelectionServicesListener)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServicesListener, BeginSelectionUndo, 0)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServicesListener, EndSelectionUndo, 0)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServicesListener, OnSelectedElementExit, 4)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServicesListener, OnChangeType, 2)
  __COM_VTABLE_SetMethod(__Object__, ISelectionServicesListener, GetTypeDetail, 1)
  __COM_VTABLE_SetDebug(__Object__, ISelectionServicesListener)
EndMacro

DefineGUID(IID_ISelectionServicesListener, $3050F699, $98B5, $11CF, $BB, $82, $00, $AA, $00, $BD, $CE, $0B)
