;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellBrowser_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  InsertMenusSB.l
  SetMenuSB.l
  RemoveMenusSB.l
  SetStatusTextSB.l
  EnableModelessSB.l
  TranslateAcceleratorSB.l
  BrowseObject.l
  GetViewStateStream.l
  GetControlWindow.l
  SendControlMsg.l
  QueryActiveShellView.l
  OnViewWindowActive.l
  SetToolbarItems.l
EndStructure

Macro BuildCOMVTable_IShellBrowser(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellBrowser)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, InsertMenusSB, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, SetMenuSB, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, RemoveMenusSB, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, SetStatusTextSB, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, EnableModelessSB, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, TranslateAcceleratorSB, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, BrowseObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, GetViewStateStream, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, GetControlWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, SendControlMsg, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, QueryActiveShellView, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, OnViewWindowActive, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellBrowser, SetToolbarItems, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellBrowser)
EndMacro

DefineGUID(IID_IShellBrowser, $000214E2, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
