;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellDispatch_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Application.l
  get_Parent.l
  NameSpace.l
  BrowseForFolder.l
  Windows.l
  Open.l
  Explore.l
  MinimizeAll.l
  UndoMinimizeALL.l
  FileRun.l
  CascadeWindows.l
  TileVertically.l
  TileHorizontally.l
  ShutdownWindows.l
  Suspend.l
  EjectPC.l
  SetTime.l
  TrayProperties.l
  Help.l
  FindFiles.l
  FindComputer.l
  RefreshMenu.l
  ControlPanelItem.l
EndStructure

Macro BuildCOMVTable_IShellDispatch(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellDispatch)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, NameSpace, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, BrowseForFolder, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, Windows, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, Explore, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, MinimizeAll, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, UndoMinimizeALL, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, FileRun, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, CascadeWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, TileVertically, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, TileHorizontally, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, ShutdownWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, EjectPC, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, SetTime, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, TrayProperties, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, Help, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, FindFiles, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, FindComputer, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, RefreshMenu, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch, ControlPanelItem, 1)
  __COM_VTABLE_SetDebug(__Object__, IShellDispatch)
EndMacro

DefineGUID(IID_IShellDispatch, $D8F015C0, $C278, $11CE, $A4, $9E, $44, $45, $53, $54, $00, $00)
