;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellDispatch2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Application.l
  get_Parent.l
  NameSpace.l
  BrowseForFolder.l
  Windows.l
  Open.l
  Explore.l
  MinimizeAll.l
  UndoMinimizeALL.l
  FileRun.l
  CascadeWindows.l
  TileVertically.l
  TileHorizontally.l
  ShutdownWindows.l
  Suspend.l
  EjectPC.l
  SetTime.l
  TrayProperties.l
  Help.l
  FindFiles.l
  FindComputer.l
  RefreshMenu.l
  ControlPanelItem.l
  IsRestricted.l
  ShellExecute.l
  FindPrinter.l
  GetSystemInformation.l
  ServiceStart.l
  ServiceStop.l
  IsServiceRunning.l
  CanStartStopService.l
  ShowBrowserBar.l
EndStructure

Macro BuildCOMVTable_IShellDispatch2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellDispatch2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, NameSpace, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, BrowseForFolder, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, Windows, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, Explore, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, MinimizeAll, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, UndoMinimizeALL, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, FileRun, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, CascadeWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, TileVertically, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, TileHorizontally, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, ShutdownWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, EjectPC, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, SetTime, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, TrayProperties, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, Help, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, FindFiles, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, FindComputer, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, RefreshMenu, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, ControlPanelItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, IsRestricted, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, ShellExecute, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, FindPrinter, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, GetSystemInformation, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, ServiceStart, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, ServiceStop, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, IsServiceRunning, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, CanStartStopService, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch2, ShowBrowserBar, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellDispatch2)
EndMacro

DefineGUID(IID_IShellDispatch2, $A4C6892C, $3BA9, $11D2, $9D, $EA, $00, $C0, $4F, $B1, $61, $62)
