;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellDispatch3_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Application.l
  get_Parent.l
  NameSpace.l
  BrowseForFolder.l
  Windows.l
  Open.l
  Explore.l
  MinimizeAll.l
  UndoMinimizeALL.l
  FileRun.l
  CascadeWindows.l
  TileVertically.l
  TileHorizontally.l
  ShutdownWindows.l
  Suspend.l
  EjectPC.l
  SetTime.l
  TrayProperties.l
  Help.l
  FindFiles.l
  FindComputer.l
  RefreshMenu.l
  ControlPanelItem.l
  IsRestricted.l
  ShellExecute.l
  FindPrinter.l
  GetSystemInformation.l
  ServiceStart.l
  ServiceStop.l
  IsServiceRunning.l
  CanStartStopService.l
  ShowBrowserBar.l
  AddToRecent.l
EndStructure

Macro BuildCOMVTable_IShellDispatch3(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellDispatch3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, NameSpace, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, BrowseForFolder, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, Windows, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, Explore, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, MinimizeAll, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, UndoMinimizeALL, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, FileRun, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, CascadeWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, TileVertically, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, TileHorizontally, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, ShutdownWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, EjectPC, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, SetTime, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, TrayProperties, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, Help, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, FindFiles, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, FindComputer, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, RefreshMenu, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, ControlPanelItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, IsRestricted, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, ShellExecute, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, FindPrinter, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, GetSystemInformation, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, ServiceStart, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, ServiceStop, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, IsServiceRunning, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, CanStartStopService, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, ShowBrowserBar, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch3, AddToRecent, 2)
  __COM_VTABLE_SetDebug(__Object__, IShellDispatch3)
EndMacro

DefineGUID(IID_IShellDispatch3, $177160CA, $BB5A, $411C, $84, $1D, $BD, $38, $FA, $CD, $EA, $A0)
