;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellDispatch4_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Application.l
  get_Parent.l
  NameSpace.l
  BrowseForFolder.l
  Windows.l
  Open.l
  Explore.l
  MinimizeAll.l
  UndoMinimizeALL.l
  FileRun.l
  CascadeWindows.l
  TileVertically.l
  TileHorizontally.l
  ShutdownWindows.l
  Suspend.l
  EjectPC.l
  SetTime.l
  TrayProperties.l
  Help.l
  FindFiles.l
  FindComputer.l
  RefreshMenu.l
  ControlPanelItem.l
  IsRestricted.l
  ShellExecute.l
  FindPrinter.l
  GetSystemInformation.l
  ServiceStart.l
  ServiceStop.l
  IsServiceRunning.l
  CanStartStopService.l
  ShowBrowserBar.l
  AddToRecent.l
  WindowsSecurity.l
  ToggleDesktop.l
  ExplorerPolicy.l
  GetSetting.l
EndStructure

Macro BuildCOMVTable_IShellDispatch4(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellDispatch4)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, NameSpace, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, BrowseForFolder, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, Windows, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, Open, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, Explore, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, MinimizeAll, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, UndoMinimizeALL, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, FileRun, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, CascadeWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, TileVertically, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, TileHorizontally, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ShutdownWindows, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, Suspend, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, EjectPC, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, SetTime, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, TrayProperties, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, Help, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, FindFiles, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, FindComputer, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, RefreshMenu, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ControlPanelItem, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, IsRestricted, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ShellExecute, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, FindPrinter, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, GetSystemInformation, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ServiceStart, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ServiceStop, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, IsServiceRunning, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, CanStartStopService, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ShowBrowserBar, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, AddToRecent, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, WindowsSecurity, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ToggleDesktop, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, ExplorerPolicy, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellDispatch4, GetSetting, 2)
  __COM_VTABLE_SetDebug(__Object__, IShellDispatch4)
EndMacro

DefineGUID(IID_IShellDispatch4, $EFD84B2D, $4BCF, $4298, $BE, $25, $EB, $54, $2A, $59, $FB, $DA)
