;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellFolder_Vtbl Extends __COM_IUnknown_Vtbl
  ParseDisplayName.l
  EnumObjects.l
  BindToObject.l
  BindToStorage.l
  CompareIDs.l
  CreateViewObject.l
  GetAttributesOf.l
  GetUIObjectOf.l
  GetDisplayNameOf.l
  SetNameOf.l
EndStructure

Macro BuildCOMVTable_IShellFolder(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellFolder)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, ParseDisplayName, 6)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, EnumObjects, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, BindToObject, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, BindToStorage, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, CompareIDs, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, CreateViewObject, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, GetAttributesOf, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, GetUIObjectOf, 6)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, GetDisplayNameOf, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellFolder, SetNameOf, 5)
  __COM_VTABLE_SetDebug(__Object__, IShellFolder)
EndMacro

DefineGUID(IID_IShellFolder, $000214E6, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
