;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellIconOverlayManager_Vtbl Extends __COM_IUnknown_Vtbl
  GetFileOverlayInfo.l
  GetReservedOverlayInfo.l
  RefreshOverlayImages.l
  LoadNonloadedOverlayIdentifiers.l
  OverlayIndexFromImageIndex.l
EndStructure

Macro BuildCOMVTable_IShellIconOverlayManager(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellIconOverlayManager)
  __COM_VTABLE_SetMethod(__Object__, IShellIconOverlayManager, GetFileOverlayInfo, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellIconOverlayManager, GetReservedOverlayInfo, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellIconOverlayManager, RefreshOverlayImages, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellIconOverlayManager, LoadNonloadedOverlayIdentifiers, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellIconOverlayManager, OverlayIndexFromImageIndex, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellIconOverlayManager)
EndMacro

DefineGUID(IID_IShellIconOverlayManager, $F10B5E34, $DD3B, $42A7, $AA, $7D, $2F, $4E, $C5, $4B, $B0, $9B)
