;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellMenu_Vtbl Extends __COM_IUnknown_Vtbl
  Initialize.l
  GetMenuInfo.l
  SetShellFolder.l
  GetShellFolder.l
  SetMenu.l
  GetMenu.l
  InvalidateItem.l
  GetState.l
  SetMenuToolbar.l
EndStructure

Macro BuildCOMVTable_IShellMenu(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellMenu)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, Initialize, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, GetMenuInfo, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, SetShellFolder, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, GetShellFolder, 4)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, SetMenu, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, GetMenu, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, InvalidateItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, GetState, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellMenu, SetMenuToolbar, 2)
  __COM_VTABLE_SetDebug(__Object__, IShellMenu)
EndMacro

DefineGUID(IID_IShellMenu, $EE1F7637, $E138, $11D1, $83, $79, $00, $C0, $4F, $D9, $18, $D0)
