;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellUIHelper_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  ResetFirstBootMode.l
  ResetSafeMode.l
  RefreshOfflineDesktop.l
  AddFavorite.l
  AddChannel.l
  AddDesktopComponent.l
  IsSubscribed.l
  NavigateAndFind.l
  ImportExportFavorites.l
  AutoCompleteSaveForm.l
  AutoScan.l
  AutoCompleteAttach.l
  ShowBrowserUI.l
EndStructure

Macro BuildCOMVTable_IShellUIHelper(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellUIHelper)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, ResetFirstBootMode, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, ResetSafeMode, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, RefreshOfflineDesktop, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, AddFavorite, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, AddChannel, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, AddDesktopComponent, 6)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, IsSubscribed, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, NavigateAndFind, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, ImportExportFavorites, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, AutoCompleteSaveForm, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, AutoScan, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, AutoCompleteAttach, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellUIHelper, ShowBrowserUI, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellUIHelper)
EndMacro

DefineGUID(IID_IShellUIHelper, $729FE2F8, $1EA8, $11D1, $8F, $85, $00, $C0, $4F, $C2, $FB, $E1)
