;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IShellView_Vtbl Extends __COM_IUnknown_Vtbl
  GetWindow.l
  ContextSensitiveHelp.l
  TranslateAccelerator.l
  EnableModeless.l
  UIActivate.l
  Refresh.l
  CreateViewWindow.l
  DestroyViewWindow.l
  GetCurrentInfo.l
  AddPropertySheetPages.l
  SaveViewState.l
  SelectItem.l
  GetItemObject.l
EndStructure

Macro BuildCOMVTable_IShellView(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IShellView)
  __COM_VTABLE_SetMethod(__Object__, IShellView, GetWindow, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView, ContextSensitiveHelp, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView, TranslateAccelerator, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView, EnableModeless, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView, UIActivate, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView, Refresh, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellView, CreateViewWindow, 5)
  __COM_VTABLE_SetMethod(__Object__, IShellView, DestroyViewWindow, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellView, GetCurrentInfo, 1)
  __COM_VTABLE_SetMethod(__Object__, IShellView, AddPropertySheetPages, 3)
  __COM_VTABLE_SetMethod(__Object__, IShellView, SaveViewState, 0)
  __COM_VTABLE_SetMethod(__Object__, IShellView, SelectItem, 2)
  __COM_VTABLE_SetMethod(__Object__, IShellView, GetItemObject, 3)
  __COM_VTABLE_SetDebug(__Object__, IShellView)
EndMacro

DefineGUID(IID_IShellView, $000214E3, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
