;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IStats_Vtbl Extends __COM_IUnknown_Vtbl
  Connect.l
  Disconnect.l
  QueryStatus.l
  Configure.l
  Start.l
  Pause.l
  Resume.l
  Stop.l
  GetControlState.l
  GetTotalStatistics.l
  GetConversationStatistics.l
  InsertSpecialFrame.l
  QueryStations.l
EndStructure

Macro BuildCOMVTable_IStats(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IStats)
  __COM_VTABLE_SetMethod(__Object__, IStats, Connect, 4)
  __COM_VTABLE_SetMethod(__Object__, IStats, Disconnect, 0)
  __COM_VTABLE_SetMethod(__Object__, IStats, QueryStatus, 1)
  __COM_VTABLE_SetMethod(__Object__, IStats, Configure, 2)
  __COM_VTABLE_SetMethod(__Object__, IStats, Start, 0)
  __COM_VTABLE_SetMethod(__Object__, IStats, Pause, 0)
  __COM_VTABLE_SetMethod(__Object__, IStats, Resume, 0)
  __COM_VTABLE_SetMethod(__Object__, IStats, Stop, 0)
  __COM_VTABLE_SetMethod(__Object__, IStats, GetControlState, 2)
  __COM_VTABLE_SetMethod(__Object__, IStats, GetTotalStatistics, 2)
  __COM_VTABLE_SetMethod(__Object__, IStats, GetConversationStatistics, 5)
  __COM_VTABLE_SetMethod(__Object__, IStats, InsertSpecialFrame, 4)
  __COM_VTABLE_SetMethod(__Object__, IStats, QueryStations, 1)
  __COM_VTABLE_SetDebug(__Object__, IStats)
EndMacro

DefineGUID(IID_IStats, $944AD530, $B09D, $11CE, $B5, $9C, $00, $AA, $00, $6C, $B3, $7D)
