;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IStorage_Vtbl Extends __COM_IUnknown_Vtbl
  CreateStream.l
  OpenStream.l
  CreateStorage.l
  OpenStorage.l
  CopyTo.l
  MoveElementTo.l
  Commit.l
  Revert.l
  EnumElements.l
  DestroyElement.l
  RenameElement.l
  SetElementTimes.l
  SetClass.l
  SetStateBits.l
  Stat.l
EndStructure

Macro BuildCOMVTable_IStorage(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IStorage)
  __COM_VTABLE_SetMethod(__Object__, IStorage, CreateStream, 5)
  __COM_VTABLE_SetMethod(__Object__, IStorage, OpenStream, 5)
  __COM_VTABLE_SetMethod(__Object__, IStorage, CreateStorage, 5)
  __COM_VTABLE_SetMethod(__Object__, IStorage, OpenStorage, 6)
  __COM_VTABLE_SetMethod(__Object__, IStorage, CopyTo, 4)
  __COM_VTABLE_SetMethod(__Object__, IStorage, MoveElementTo, 4)
  __COM_VTABLE_SetMethod(__Object__, IStorage, Commit, 1)
  __COM_VTABLE_SetMethod(__Object__, IStorage, Revert, 0)
  __COM_VTABLE_SetMethod(__Object__, IStorage, EnumElements, 4)
  __COM_VTABLE_SetMethod(__Object__, IStorage, DestroyElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IStorage, RenameElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IStorage, SetElementTimes, 4)
  __COM_VTABLE_SetMethod(__Object__, IStorage, SetClass, 1)
  __COM_VTABLE_SetMethod(__Object__, IStorage, SetStateBits, 2)
  __COM_VTABLE_SetMethod(__Object__, IStorage, Stat, 2)
  __COM_VTABLE_SetDebug(__Object__, IStorage)
EndMacro

DefineGUID(IID_IStorage, $0000000B, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
