;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IStream_Vtbl Extends __COM_IUnknown_Vtbl
  Read.l
  Write.l
  Seek.l
  SetSize.l
  CopyTo.l
  Commit.l
  Revert.l
  LockRegion.l
  UnlockRegion.l
  Stat.l
  Clone.l
EndStructure

Macro BuildCOMVTable_IStream(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IStream)
  __COM_VTABLE_SetMethod(__Object__, IStream, Read, 3)
  __COM_VTABLE_SetMethod(__Object__, IStream, Write, 3)
  __COM_VTABLE_SetMethod(__Object__, IStream, Seek, 3)
  __COM_VTABLE_SetMethod(__Object__, IStream, SetSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IStream, CopyTo, 4)
  __COM_VTABLE_SetMethod(__Object__, IStream, Commit, 1)
  __COM_VTABLE_SetMethod(__Object__, IStream, Revert, 0)
  __COM_VTABLE_SetMethod(__Object__, IStream, LockRegion, 3)
  __COM_VTABLE_SetMethod(__Object__, IStream, UnlockRegion, 3)
  __COM_VTABLE_SetMethod(__Object__, IStream, Stat, 2)
  __COM_VTABLE_SetMethod(__Object__, IStream, Clone, 1)
  __COM_VTABLE_SetDebug(__Object__, IStream)
EndMacro

DefineGUID(IID_IStream, $0000000C, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
