;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISurrogateService_Vtbl Extends __COM_IUnknown_Vtbl
  Init.l
  ApplicationLaunch.l
  ApplicationFree.l
  CatalogRefresh.l
  ProcessShutdown.l
EndStructure

Macro BuildCOMVTable_ISurrogateService(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISurrogateService)
  __COM_VTABLE_SetMethod(__Object__, ISurrogateService, Init, 3)
  __COM_VTABLE_SetMethod(__Object__, ISurrogateService, ApplicationLaunch, 2)
  __COM_VTABLE_SetMethod(__Object__, ISurrogateService, ApplicationFree, 1)
  __COM_VTABLE_SetMethod(__Object__, ISurrogateService, CatalogRefresh, 1)
  __COM_VTABLE_SetMethod(__Object__, ISurrogateService, ProcessShutdown, 1)
  __COM_VTABLE_SetDebug(__Object__, ISurrogateService)
EndMacro

DefineGUID(IID_ISurrogateService, $000001D4, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
