;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ISynchronizeMutex_Vtbl Extends __COM_IUnknown_Vtbl
  Wait.l
  Signal.l
  Reset.l
  ReleaseMutex.l
EndStructure

Macro BuildCOMVTable_ISynchronizeMutex(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ISynchronizeMutex)
  __COM_VTABLE_SetMethod(__Object__, ISynchronizeMutex, Wait, 2)
  __COM_VTABLE_SetMethod(__Object__, ISynchronizeMutex, Signal, 0)
  __COM_VTABLE_SetMethod(__Object__, ISynchronizeMutex, Reset, 0)
  __COM_VTABLE_SetMethod(__Object__, ISynchronizeMutex, ReleaseMutex, 0)
  __COM_VTABLE_SetDebug(__Object__, ISynchronizeMutex)
EndMacro

DefineGUID(IID_ISynchronizeMutex, $00000025, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
