;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITAutomatedPhoneControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  StartTone.l
  StopTone.l
  get_Tone.l
  StartRinger.l
  StopRinger.l
  get_Ringer.l
  put_PhoneHandlingEnabled.l
  get_PhoneHandlingEnabled.l
  put_AutoEndOfNumberTimeout.l
  get_AutoEndOfNumberTimeout.l
  put_AutoDialtone.l
  get_AutoDialtone.l
  put_AutoStopTonesOnOnHook.l
  get_AutoStopTonesOnOnHook.l
  put_AutoStopRingOnOffHook.l
  get_AutoStopRingOnOffHook.l
  put_AutoKeypadTones.l
  get_AutoKeypadTones.l
  put_AutoKeypadTonesMinimumDuration.l
  get_AutoKeypadTonesMinimumDuration.l
  put_AutoVolumeControl.l
  get_AutoVolumeControl.l
  put_AutoVolumeControlStep.l
  get_AutoVolumeControlStep.l
  put_AutoVolumeControlRepeatDelay.l
  get_AutoVolumeControlRepeatDelay.l
  put_AutoVolumeControlRepeatPeriod.l
  get_AutoVolumeControlRepeatPeriod.l
  SelectCall.l
  UnselectCall.l
  EnumerateSelectedCalls.l
  get_SelectedCalls.l
EndStructure

Macro BuildCOMVTable_ITAutomatedPhoneControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITAutomatedPhoneControl)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, StartTone, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, StopTone, 0)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_Tone, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, StartRinger, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, StopRinger, 0)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_Ringer, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_PhoneHandlingEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_PhoneHandlingEnabled, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoEndOfNumberTimeout, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoEndOfNumberTimeout, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoDialtone, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoDialtone, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoStopTonesOnOnHook, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoStopTonesOnOnHook, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoStopRingOnOffHook, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoStopRingOnOffHook, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoKeypadTones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoKeypadTones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoKeypadTonesMinimumDuration, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoKeypadTonesMinimumDuration, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoVolumeControl, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoVolumeControl, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoVolumeControlStep, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoVolumeControlStep, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoVolumeControlRepeatDelay, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoVolumeControlRepeatDelay, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, put_AutoVolumeControlRepeatPeriod, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_AutoVolumeControlRepeatPeriod, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, SelectCall, 2)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, UnselectCall, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, EnumerateSelectedCalls, 1)
  __COM_VTABLE_SetMethod(__Object__, ITAutomatedPhoneControl, get_SelectedCalls, 1)
  __COM_VTABLE_SetDebug(__Object__, ITAutomatedPhoneControl)
EndMacro

DefineGUID(IID_ITAutomatedPhoneControl, $1EE1AF0E, $6159, $4A61, $B7, $9B, $6A, $4B, $A3, $FC, $9D, $FC)
