;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITBasicCallControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  Connect.l
  Answer.l
  Disconnect.l
  Hold.l
  HandoffDirect.l
  HandoffIndirect.l
  Conference.l
  Transfer.l
  BlindTransfer.l
  SwapHold.l
  ParkDirect.l
  ParkIndirect.l
  Unpark.l
  SetQOS.l
  Pickup.l
  Dial.l
  Finish.l
  RemoveFromConference.l
EndStructure

Macro BuildCOMVTable_ITBasicCallControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITBasicCallControl)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Connect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Answer, 0)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Disconnect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Hold, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, HandoffDirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, HandoffIndirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Conference, 2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Transfer, 2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, BlindTransfer, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, SwapHold, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, ParkDirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, ParkIndirect, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Unpark, 0)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, SetQOS, 2)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Pickup, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Dial, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, Finish, 1)
  __COM_VTABLE_SetMethod(__Object__, ITBasicCallControl, RemoveFromConference, 0)
  __COM_VTABLE_SetDebug(__Object__, ITBasicCallControl)
EndMacro

DefineGUID(IID_ITBasicCallControl, $B1EFC389, $9355, $11D0, $83, $5C, $00, $AA, $00, $3C, $CA, $BD)
