;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITDispatchMapper_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  QueryDispatchInterface.l
EndStructure

Macro BuildCOMVTable_ITDispatchMapper(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITDispatchMapper)
  __COM_VTABLE_SetMethod(__Object__, ITDispatchMapper, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITDispatchMapper, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITDispatchMapper, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITDispatchMapper, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITDispatchMapper, QueryDispatchInterface, 3)
  __COM_VTABLE_SetDebug(__Object__, ITDispatchMapper)
EndMacro

DefineGUID(IID_ITDispatchMapper, $E9225295, $C759, $11D1, $A0, $2B, $00, $C0, $4F, $B6, $80, $9F)
