;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITForwardInformation_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  put_NumRingsNoAnswer.l
  get_NumRingsNoAnswer.l
  SetForwardType.l
  get_ForwardTypeDestination.l
  get_ForwardTypeCaller.l
  GetForwardType.l
  Clear.l
EndStructure

Macro BuildCOMVTable_ITForwardInformation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITForwardInformation)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, put_NumRingsNoAnswer, 1)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, get_NumRingsNoAnswer, 1)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, SetForwardType, 3)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, get_ForwardTypeDestination, 2)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, get_ForwardTypeCaller, 2)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, GetForwardType, 3)
  __COM_VTABLE_SetMethod(__Object__, ITForwardInformation, Clear, 0)
  __COM_VTABLE_SetDebug(__Object__, ITForwardInformation)
EndMacro

DefineGUID(IID_ITForwardInformation, $449F659E, $88A3, $11D1, $BB, $5D, $00, $C0, $4F, $B6, $80, $9F)
