;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITLocationInfo_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_PermanentLocationID.l
  get_CountryCode.l
  get_CountryID.l
  get_Options.l
  get_PreferredCardID.l
  get_LocationName.l
  get_CityCode.l
  get_LocalAccessCode.l
  get_LongDistanceAccessCode.l
  get_TollPrefixList.l
  get_CancelCallWaitingCode.l
EndStructure

Macro BuildCOMVTable_ITLocationInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITLocationInfo)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_PermanentLocationID, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_CountryCode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_CountryID, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_Options, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_PreferredCardID, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_LocationName, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_CityCode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_LocalAccessCode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_LongDistanceAccessCode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_TollPrefixList, 1)
  __COM_VTABLE_SetMethod(__Object__, ITLocationInfo, get_CancelCallWaitingCode, 1)
  __COM_VTABLE_SetDebug(__Object__, ITLocationInfo)
EndMacro

DefineGUID(IID_ITLocationInfo, $0C4D8EFF, $8DDB, $11D1, $A0, $9E, $00, $80, $5F, $C1, $47, $D3)
