;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITPhoneEvent_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Phone.l
  get_Event.l
  get_ButtonState.l
  get_HookSwitchState.l
  get_HookSwitchDevice.l
  get_RingMode.l
  get_ButtonLampId.l
  get_NumberGathered.l
  get_Call.l
EndStructure

Macro BuildCOMVTable_ITPhoneEvent(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITPhoneEvent)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_Phone, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_Event, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_ButtonState, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_HookSwitchState, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_HookSwitchDevice, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_RingMode, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_ButtonLampId, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_NumberGathered, 1)
  __COM_VTABLE_SetMethod(__Object__, ITPhoneEvent, get_Call, 1)
  __COM_VTABLE_SetDebug(__Object__, ITPhoneEvent)
EndMacro

DefineGUID(IID_ITPhoneEvent, $8F942DD8, $64ED, $4AAF, $A7, $7D, $B2, $3D, $B0, $83, $7E, $AD)
