;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITScriptableAudioFormat_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Channels.l
  put_Channels.l
  get_SamplesPerSec.l
  put_SamplesPerSec.l
  get_AvgBytesPerSec.l
  put_AvgBytesPerSec.l
  get_BlockAlign.l
  put_BlockAlign.l
  get_BitsPerSample.l
  put_BitsPerSample.l
  get_FormatTag.l
  put_FormatTag.l
EndStructure

Macro BuildCOMVTable_ITScriptableAudioFormat(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITScriptableAudioFormat)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, get_Channels, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, put_Channels, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, get_SamplesPerSec, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, put_SamplesPerSec, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, get_AvgBytesPerSec, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, put_AvgBytesPerSec, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, get_BlockAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, put_BlockAlign, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, get_BitsPerSample, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, put_BitsPerSample, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, get_FormatTag, 1)
  __COM_VTABLE_SetMethod(__Object__, ITScriptableAudioFormat, put_FormatTag, 1)
  __COM_VTABLE_SetDebug(__Object__, ITScriptableAudioFormat)
EndMacro

DefineGUID(IID_ITScriptableAudioFormat, $B87658BD, $3C59, $4F64, $BE, $74, $AE, $DE, $3E, $86, $A8, $1E)
