;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITStream_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_MediaType.l
  get_Direction.l
  get_Name.l
  StartStream.l
  PauseStream.l
  StopStream.l
  SelectTerminal.l
  UnselectTerminal.l
  EnumerateTerminals.l
  get_Terminals.l
EndStructure

Macro BuildCOMVTable_ITStream(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITStream)
  __COM_VTABLE_SetMethod(__Object__, ITStream, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITStream, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITStream, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITStream, get_MediaType, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, get_Direction, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, get_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, StartStream, 0)
  __COM_VTABLE_SetMethod(__Object__, ITStream, PauseStream, 0)
  __COM_VTABLE_SetMethod(__Object__, ITStream, StopStream, 0)
  __COM_VTABLE_SetMethod(__Object__, ITStream, SelectTerminal, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, UnselectTerminal, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, EnumerateTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITStream, get_Terminals, 1)
  __COM_VTABLE_SetDebug(__Object__, ITStream)
EndMacro

DefineGUID(IID_ITStream, $EE3BD605, $3868, $11D2, $A0, $45, $00, $C0, $4F, $B6, $80, $9F)
