;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITSubStreamControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  CreateSubStream.l
  RemoveSubStream.l
  EnumerateSubStreams.l
  get_SubStreams.l
EndStructure

Macro BuildCOMVTable_ITSubStreamControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITSubStreamControl)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, CreateSubStream, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, RemoveSubStream, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, EnumerateSubStreams, 1)
  __COM_VTABLE_SetMethod(__Object__, ITSubStreamControl, get_SubStreams, 1)
  __COM_VTABLE_SetDebug(__Object__, ITSubStreamControl)
EndMacro

DefineGUID(IID_ITSubStreamControl, $EE3BD607, $3868, $11D2, $A0, $45, $00, $C0, $4F, $B6, $80, $9F)
