;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITTAPI2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  Initialize.l
  Shutdown.l
  get_Addresses.l
  EnumerateAddresses.l
  RegisterCallNotifications.l
  UnregisterNotifications.l
  get_CallHubs.l
  EnumerateCallHubs.l
  SetCallHubTracking.l
  EnumeratePrivateTAPIObjects.l
  get_PrivateTAPIObjects.l
  RegisterRequestRecipient.l
  SetAssistedTelephonyPriority.l
  SetApplicationPriority.l
  put_EventFilter.l
  get_EventFilter.l
  get_Phones.l
  EnumeratePhones.l
  CreateEmptyCollectionObject.l
EndStructure

Macro BuildCOMVTable_ITTAPI2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITTAPI2)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, Initialize, 0)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, Shutdown, 0)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, get_Addresses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, EnumerateAddresses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, RegisterCallNotifications, 6)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, UnregisterNotifications, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, get_CallHubs, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, EnumerateCallHubs, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, SetCallHubTracking, 2)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, EnumeratePrivateTAPIObjects, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, get_PrivateTAPIObjects, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, RegisterRequestRecipient, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, SetAssistedTelephonyPriority, 2)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, SetApplicationPriority, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, put_EventFilter, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, get_EventFilter, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, get_Phones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, EnumeratePhones, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTAPI2, CreateEmptyCollectionObject, 1)
  __COM_VTABLE_SetDebug(__Object__, ITTAPI2)
EndMacro

DefineGUID(IID_ITTAPI2, $54FBDC8C, $D90F, $4DAD, $96, $95, $B3, $73, $09, $7F, $09, $4B)
