;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITTerminal_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_Name.l
  get_State.l
  get_TerminalType.l
  get_TerminalClass.l
  get_MediaType.l
  get_Direction.l
EndStructure

Macro BuildCOMVTable_ITTerminal(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITTerminal)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, get_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, get_State, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, get_TerminalType, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, get_TerminalClass, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, get_MediaType, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminal, get_Direction, 1)
  __COM_VTABLE_SetDebug(__Object__, ITTerminal)
EndMacro

DefineGUID(IID_ITTerminal, $B1EFC38A, $9355, $11D0, $83, $5C, $00, $AA, $00, $3C, $CA, $BD)
