;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITTerminalSupport2_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_StaticTerminals.l
  EnumerateStaticTerminals.l
  get_DynamicTerminalClasses.l
  EnumerateDynamicTerminalClasses.l
  CreateTerminal.l
  GetDefaultStaticTerminal.l
  get_PluggableSuperclasses.l
  EnumeratePluggableSuperclasses.l
  get_PluggableTerminalClasses.l
  EnumeratePluggableTerminalClasses.l
EndStructure

Macro BuildCOMVTable_ITTerminalSupport2(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITTerminalSupport2)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, get_StaticTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, EnumerateStaticTerminals, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, get_DynamicTerminalClasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, EnumerateDynamicTerminalClasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, CreateTerminal, 4)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, GetDefaultStaticTerminal, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, get_PluggableSuperclasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, EnumeratePluggableSuperclasses, 1)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, get_PluggableTerminalClasses, 3)
  __COM_VTABLE_SetMethod(__Object__, ITTerminalSupport2, EnumeratePluggableTerminalClasses, 3)
  __COM_VTABLE_SetDebug(__Object__, ITTerminalSupport2)
EndMacro

DefineGUID(IID_ITTerminalSupport2, $F3EB39BC, $1B1F, $4E99, $A0, $C0, $56, $30, $5C, $4D, $D5, $91)
