;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITaskbarList_Vtbl Extends __COM_IUnknown_Vtbl
  HrInit.l
  AddTab.l
  DeleteTab.l
  ActivateTab.l
  SetActiveAlt.l
EndStructure

Macro BuildCOMVTable_ITaskbarList(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITaskbarList)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList, HrInit, 0)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList, AddTab, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList, DeleteTab, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList, ActivateTab, 1)
  __COM_VTABLE_SetMethod(__Object__, ITaskbarList, SetActiveAlt, 1)
  __COM_VTABLE_SetDebug(__Object__, ITaskbarList)
EndMacro

DefineGUID(IID_ITaskbarList, $56FDF342, $FD6D, $11D0, $95, $8A, $00, $60, $97, $C9, $A0, $90)
