;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITypeInfo_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeAttr.l
  GetTypeComp.l
  GetFuncDesc.l
  GetVarDesc.l
  GetNames.l
  GetRefTypeOfImplType.l
  GetImplTypeFlags.l
  GetIDsOfNames.l
  Invoke.l
  GetDocumentation.l
  GetDllEntry.l
  GetRefTypeInfo.l
  AddressOfMember.l
  CreateInstance.l
  GetMops.l
  GetContainingTypeLib.l
  ReleaseTypeAttr.l
  ReleaseFuncDesc.l
  ReleaseVarDesc.l
EndStructure

Macro BuildCOMVTable_ITypeInfo(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITypeInfo)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetTypeAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetTypeComp, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetFuncDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetVarDesc, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetNames, 4)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetRefTypeOfImplType, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetImplTypeFlags, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetIDsOfNames, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, Invoke, 7)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetDocumentation, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetDllEntry, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetRefTypeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, AddressOfMember, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, CreateInstance, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetMops, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, GetContainingTypeLib, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, ReleaseTypeAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, ReleaseFuncDesc, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeInfo, ReleaseVarDesc, 1)
  __COM_VTABLE_SetDebug(__Object__, ITypeInfo)
EndMacro

DefineGUID(IID_ITypeInfo, $00020401, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
