;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_ITypeLib_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetTypeInfoType.l
  GetTypeInfoOfGuid.l
  GetLibAttr.l
  GetTypeComp.l
  GetDocumentation.l
  IsName.l
  FindName.l
  ReleaseTLibAttr.l
EndStructure

Macro BuildCOMVTable_ITypeLib(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, ITypeLib)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetTypeInfoCount, 0)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetTypeInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetTypeInfoType, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetTypeInfoOfGuid, 2)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetLibAttr, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetTypeComp, 1)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, GetDocumentation, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, IsName, 3)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, FindName, 5)
  __COM_VTABLE_SetMethod(__Object__, ITypeLib, ReleaseTLibAttr, 1)
  __COM_VTABLE_SetDebug(__Object__, ITypeLib)
EndMacro

DefineGUID(IID_ITypeLib, $00020402, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
