;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IUserNotification_Vtbl Extends __COM_IUnknown_Vtbl
  SetBalloonInfo.l
  SetBalloonRetry.l
  SetIconInfo.l
  Show.l
  PlaySound.l
EndStructure

Macro BuildCOMVTable_IUserNotification(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IUserNotification)
  __COM_VTABLE_SetMethod(__Object__, IUserNotification, SetBalloonInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IUserNotification, SetBalloonRetry, 3)
  __COM_VTABLE_SetMethod(__Object__, IUserNotification, SetIconInfo, 2)
  __COM_VTABLE_SetMethod(__Object__, IUserNotification, Show, 2)
  __COM_VTABLE_SetMethod(__Object__, IUserNotification, PlaySound, 1)
  __COM_VTABLE_SetDebug(__Object__, IUserNotification)
EndMacro

DefineGUID(IID_IUserNotification, $BA9711BA, $5893, $4787, $A7, $E1, $41, $27, $71, $51, $55, $0B)
