;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IWBScriptControl_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  raiseEvent.l
  bubbleEvent.l
  setContextMenu.l
  put_selectableContent.l
  get_selectableContent.l
  get_frozen.l
  put_scrollbar.l
  get_scrollbar.l
  get_version.l
  get_visibility.l
  put_onvisibilitychange.l
  get_onvisibilitychange.l
EndStructure

Macro BuildCOMVTable_IWBScriptControl(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IWBScriptControl)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, raiseEvent, 2)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, bubbleEvent, 0)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, setContextMenu, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, put_selectableContent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, get_selectableContent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, get_frozen, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, put_scrollbar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, get_scrollbar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, get_version, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, get_visibility, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, put_onvisibilitychange, 1)
  __COM_VTABLE_SetMethod(__Object__, IWBScriptControl, get_onvisibilitychange, 1)
  __COM_VTABLE_SetDebug(__Object__, IWBScriptControl)
EndMacro

DefineGUID(IID_IWBScriptControl, $A5170870, $0CF8, $11D1, $8B, $91, $00, $80, $C7, $44, $F3, $89)
