;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IWebBrowserApp_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  GoBack.l
  GoForward.l
  GoHome.l
  GoSearch.l
  Navigate.l
  Refresh.l
  Refresh2.l
  Stop.l
  get_Application.l
  get_Parent.l
  get_Container.l
  get_Document.l
  get_TopLevelContainer.l
  get_Type.l
  get_Left.l
  put_Left.l
  get_Top.l
  put_Top.l
  get_Width.l
  put_Width.l
  get_Height.l
  put_Height.l
  get_LocationName.l
  get_LocationURL.l
  get_Busy.l
  Quit.l
  ClientToWindow.l
  PutProperty.l
  GetProperty.l
  get_Name.l
  get_HWND.l
  get_FullName.l
  get_Path.l
  get_Visible.l
  put_Visible.l
  get_StatusBar.l
  put_StatusBar.l
  get_StatusText.l
  put_StatusText.l
  get_ToolBar.l
  put_ToolBar.l
  get_MenuBar.l
  put_MenuBar.l
  get_FullScreen.l
  put_FullScreen.l
EndStructure

Macro BuildCOMVTable_IWebBrowserApp(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IWebBrowserApp)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GoBack, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GoForward, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GoHome, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GoSearch, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, Navigate, 5)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, Refresh, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, Refresh2, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, Stop, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Application, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Parent, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Container, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Document, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_TopLevelContainer, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Type, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Left, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_Left, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Top, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_Top, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_Width, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_Height, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_LocationName, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_LocationURL, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Busy, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, Quit, 0)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, ClientToWindow, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, PutProperty, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, GetProperty, 2)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Name, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_HWND, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_FullName, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Path, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_Visible, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_Visible, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_StatusBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_StatusBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_StatusText, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_StatusText, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_ToolBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_ToolBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_MenuBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_MenuBar, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, get_FullScreen, 1)
  __COM_VTABLE_SetMethod(__Object__, IWebBrowserApp, put_FullScreen, 1)
  __COM_VTABLE_SetDebug(__Object__, IWebBrowserApp)
EndMacro

DefineGUID(IID_IWebBrowserApp, $0002DF05, $0000, $0000, $C0, $00, $00, $00, $00, $00, $00, $46)
