;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMAttribute_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_name.l
  get_value.l
  put_value.l
EndStructure

Macro BuildCOMVTable_IXMLDOMAttribute(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMAttribute)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_name, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, get_value, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMAttribute, put_value, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMAttribute)
EndMacro

DefineGUID(IID_IXMLDOMAttribute, $2933BF85, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
