;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMCDATASection_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_data.l
  put_data.l
  get_length.l
  substringData.l
  appendData.l
  insertData.l
  deleteData.l
  replaceData.l
  splitText.l
EndStructure

Macro BuildCOMVTable_IXMLDOMCDATASection(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMCDATASection)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, put_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, get_length, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, substringData, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, appendData, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, insertData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, deleteData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, replaceData, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCDATASection, splitText, 2)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMCDATASection)
EndMacro

DefineGUID(IID_IXMLDOMCDATASection, $2933BF8A, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
