;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMCharacterData_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_data.l
  put_data.l
  get_length.l
  substringData.l
  appendData.l
  insertData.l
  deleteData.l
  replaceData.l
EndStructure

Macro BuildCOMVTable_IXMLDOMCharacterData(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMCharacterData)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, put_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, get_length, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, substringData, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, appendData, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, insertData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, deleteData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMCharacterData, replaceData, 3)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMCharacterData)
EndMacro

DefineGUID(IID_IXMLDOMCharacterData, $2933BF84, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
