;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMComment_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_data.l
  put_data.l
  get_length.l
  substringData.l
  appendData.l
  insertData.l
  deleteData.l
  replaceData.l
EndStructure

Macro BuildCOMVTable_IXMLDOMComment(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMComment)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, put_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, get_length, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, substringData, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, appendData, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, insertData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, deleteData, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMComment, replaceData, 3)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMComment)
EndMacro

DefineGUID(IID_IXMLDOMComment, $2933BF88, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
