;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMDocument_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_doctype.l
  get_implementation.l
  get_documentElement.l
  putref_documentElement.l
  createElement.l
  createDocumentFragment.l
  createTextNode.l
  createComment.l
  createCDATASection.l
  createProcessingInstruction.l
  createAttribute.l
  createEntityReference.l
  getElementsByTagName.l
  createNode.l
  nodeFromID.l
  load.l
  get_readyState.l
  get_parseError.l
  get_url.l
  get_async.l
  put_async.l
  abort.l
  loadXML.l
  save.l
  get_validateOnParse.l
  put_validateOnParse.l
  get_resolveExternals.l
  put_resolveExternals.l
  get_preserveWhiteSpace.l
  put_preserveWhiteSpace.l
  put_onreadystatechange.l
  put_ondataavailable.l
  put_ontransformnode.l
EndStructure

Macro BuildCOMVTable_IXMLDOMDocument(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMDocument)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_doctype, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_implementation, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_documentElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, putref_documentElement, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createElement, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createDocumentFragment, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createTextNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createComment, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createCDATASection, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createProcessingInstruction, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createAttribute, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createEntityReference, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, getElementsByTagName, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, createNode, 4)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, nodeFromID, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, load, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_parseError, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_url, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_async, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_async, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, abort, 0)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, loadXML, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, save, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_validateOnParse, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_validateOnParse, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_resolveExternals, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_resolveExternals, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, get_preserveWhiteSpace, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_preserveWhiteSpace, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_onreadystatechange, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_ondataavailable, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMDocument, put_ontransformnode, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMDocument)
EndMacro

DefineGUID(IID_IXMLDOMDocument, $2933BF81, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
