;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMNotation_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_publicId.l
  get_systemId.l
EndStructure

Macro BuildCOMVTable_IXMLDOMNotation(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMNotation)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_publicId, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMNotation, get_systemId, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMNotation)
EndMacro

DefineGUID(IID_IXMLDOMNotation, $2933BF8C, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
