;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDOMProcessingInstruction_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  get_target.l
  get_data.l
  put_data.l
EndStructure

Macro BuildCOMVTable_IXMLDOMProcessingInstruction(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDOMProcessingInstruction)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_target, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, get_data, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDOMProcessingInstruction, put_data, 1)
  __COM_VTABLE_SetDebug(__Object__, IXMLDOMProcessingInstruction)
EndMacro

DefineGUID(IID_IXMLDOMProcessingInstruction, $2933BF89, $7B36, $11D2, $B2, $0E, $00, $C0, $4F, $98, $3E, $60)
