;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXMLDocument_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_root.l
  get_fileSize.l
  get_fileModifiedDate.l
  get_fileUpdatedDate.l
  get_URL.l
  put_URL.l
  get_mimeType.l
  get_readyState.l
  get_charset.l
  put_charset.l
  get_version.l
  get_doctype.l
  get_dtdURL.l
  createElement.l
EndStructure

Macro BuildCOMVTable_IXMLDocument(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXMLDocument)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_root, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_fileSize, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_fileModifiedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_fileUpdatedDate, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, put_URL, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_mimeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_readyState, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, put_charset, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_version, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_doctype, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, get_dtdURL, 1)
  __COM_VTABLE_SetMethod(__Object__, IXMLDocument, createElement, 3)
  __COM_VTABLE_SetDebug(__Object__, IXMLDocument)
EndMacro

DefineGUID(IID_IXMLDocument, $F52E2B61, $18A1, $11D1, $B1, $05, $00, $80, $5F, $49, $91, $6B)
