;
; PureBasic COM Object Framework
;   by Timo 'fr34k' Harter (purebasic@freak1.de)
;
; See the 'Readme.txt' for help and licence information.
;

Structure __COM_IXTLRuntime_Vtbl Extends __COM_IUnknown_Vtbl
  GetTypeInfoCount.l
  GetTypeInfo.l
  GetIDsOfNames.l
  Invoke.l
  get_nodeName.l
  get_nodeValue.l
  put_nodeValue.l
  get_nodeType.l
  get_parentNode.l
  get_childNodes.l
  get_firstChild.l
  get_lastChild.l
  get_previousSibling.l
  get_nextSibling.l
  get_attributes.l
  insertBefore.l
  replaceChild.l
  removeChild.l
  appendChild.l
  hasChildNodes.l
  get_ownerDocument.l
  cloneNode.l
  get_nodeTypeString.l
  get_text.l
  put_text.l
  get_specified.l
  get_definition.l
  get_nodeTypedValue.l
  put_nodeTypedValue.l
  get_dataType.l
  put_dataType.l
  get_xml.l
  transformNode.l
  selectNodes.l
  selectSingleNode.l
  get_parsed.l
  get_namespaceURI.l
  get_prefix.l
  get_baseName.l
  transformNodeToObject.l
  uniqueID.l
  depth.l
  childNumber.l
  ancestorChildNumber.l
  absoluteChildNumber.l
  formatIndex.l
  formatNumber.l
  formatDate.l
  formatTime.l
EndStructure

Macro BuildCOMVTable_IXTLRuntime(__Object__)
  __COM_VTABLE_SetIUnknown(__Object__, IXTLRuntime)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, GetTypeInfoCount, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, GetTypeInfo, 3)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, GetIDsOfNames, 5)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, Invoke, 8)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_nodeName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, put_nodeValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_nodeType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_parentNode, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_childNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_firstChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_lastChild, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_previousSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_nextSibling, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_attributes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, insertBefore, 3)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, replaceChild, 3)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, removeChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, appendChild, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, hasChildNodes, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_ownerDocument, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, cloneNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_nodeTypeString, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, put_text, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_specified, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_definition, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, put_nodeTypedValue, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, put_dataType, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_xml, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, transformNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, selectNodes, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, selectSingleNode, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_parsed, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_namespaceURI, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_prefix, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, get_baseName, 1)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, transformNodeToObject, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, uniqueID, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, depth, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, childNumber, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, ancestorChildNumber, 3)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, absoluteChildNumber, 2)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, formatIndex, 3)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, formatNumber, 3)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, formatDate, 4)
  __COM_VTABLE_SetMethod(__Object__, IXTLRuntime, formatTime, 4)
  __COM_VTABLE_SetDebug(__Object__, IXTLRuntime)
EndMacro

DefineGUID(IID_IXTLRuntime, $3EFAA425, $272F, $11D2, $83, $6F, $00, $00, $F8, $7A, $77, $82)
